Willkommen

Startseite

Nächstes Thema >>
Wichtige Information für Windows CE 4.1 und Windows CE 4.2 Benutzer


Wichtige Information für Windows CE 4.1 und Windows CE 4.2 Benutzer

Allgemein

Ab Version 3.00 werden in der B&R Windows CE Online-Hilfe nur mehr auf Microsoft Windows CE 5.0 basierende B&R Windows CE Images dokumentiert. Falls Sie B&R Windows CE Images verwenden, welche auf Microsoft Windows CE 4.1 oder 4.2 basieren, so benützen Sie die B&R Windows CE Online-Hilfe 2.11. Sie können diese von der Homepage http://www.br-automation.com laden.

<< Vorheriges Thema
Willkommen

Startseite

Nächstes Thema >>
Bestellnummern


Bestellnummern

Allgemein

In der folgenden Tabelle finden Sie alle aktuell verfügbaren Bestellnummern für B&R Windows CE 5.0:

Bestellnummer | Materialkurztext | Plattform | Beschreibung
9S0001.33-020 | WinCE5.0 Pro PP100/200,MP100/200 | Power Panel 100/200 BIOS, Mobile Panel 100/200 BIOS | Microsoft Windows CE 5.0 Professional, vorinstalliert auf einer 128 MByte Compact Flash Karte für PP100/200 und MP100/200.
9S0001.35-020 | WinCE5.0 ProPlus PP100/200,MP100/200 | Power Panel 100/200 BIOS, Mobile Panel 100/200 BIOS | Microsoft Windows CE 5.0 Professional Plus, vorinstalliert auf einer 128 MByte Compact Flash Karte für PP100/200 und MP100/200.
9S0001.32-020 | WinCE5.0 Pro APC620,PPC700 | APC620, PPC700 | Microsoft Windows CE 5.0 Professional, vorinstalliert auf einer 128 MByte Compact Flash Karte für APC620 und PPC700.
9S0001.34-020 | WinCE5.0 ProPlus APC620,PPC700 | APC620, PPC700 | Microsoft Windows CE 5.0 Professional Plus, vorinstalliert auf einer 128 MByte Compact Flash Karte für APC620 und PPC700.

Die folgende Tabelle listet jene Bestellnummern auf, welche bei einer Set-Bestellung verwendet werden können:

Bestellnummer | Materialkurztext | Plattform | Beschreibung
9S0001.29-020 | WinCE5.0 Pro | Power Panel 100/200 BIOS, Mobile Panel 100/200 BIOS, APC620, PPC700 | Set-Bestellungen: Lizenzaufkleber und Software für Microsoft Windows CE 5.0 Professional.
9S0001.36-020 | WinCE5.0 ProPlus | Power Panel 100/200 BIOS, Mobile Panel 100/200 BIOS, APC620, PPC700 | Set-Bestellungen: Lizenzaufkleber und Software für Microsoft Windows CE 5.0 Professional Plus für Set-Bestellungen.

Hinweis: Beachten Sie, dass bei den Bestellnummern 9S0001.29-020 und 9S0001.36-020 keine Compact Flash Karten geliefert werden. Diese müssen extra bestellt werden.

Siehe auch

Spezifikation, Funktionsumfang, Worin besteht der Unterschied zwischen den Professional und den Professional Plus Images?

<< Vorheriges Thema
Wichtige Information für Windows CE 4.1 und Windows CE 4.2 Benutzer

Startseite

Nächstes Thema >>
Spezifikation


Spezifikation

In diesem Abschnitt werden folgende Themen behandelt:

Spezifikation

APC620, PPC700

PP100/200, MP100/200

<< Vorheriges Thema
Bestellnummern

Startseite

Nächstes Thema >>
APC620, PPC700


APC620, PPC700

Betriebssystem | Microsoft Windows CE 5.0
Bestellnummern | 9S0001.32-020, 9S0001.34-020
Bildschirmauflösung | VGA, SVGA, XGA
Farbtiefe | 16Bit/65536 Farben
Grafikkartentreiber | Intel(R) Embedded Graphics Driver
RAM | Automatische Erkennung und Verwendung von bis zu 512 MByte RAM
Bootuptime | Ca. 39 Sekunden
Screenrotation | Wird nicht unterstützt
Webbrowser | Internet Explorer 6.0 für Windows CE
.Net | Compact Framework 2.0 + SP1
Imagegröße | Ca. 30 MByte nicht komprimiert
Kundenspezifische Tasten | Werden unterstützt
PVI | Wird unterstützt
Automation Device Interface | Wird unterstützt
Viewer | Werden unterstützt
Serielle Schnittstellen | 3

Siehe auch

Funktionsumfang, Bestellnummern

<< Vorheriges Thema
Spezifikation

Startseite

Nächstes Thema >>
PP100/200, MP100/200

Kapitelanfang


PP100/200 BIOS, MP100/200 BIOS

PP100/200, MP100/200

Betriebssystem | Microsoft Windows CE 5.0
Bestellnummern | 9S0001.33-02, 9S0001.35-020
Bildschirmauflösung | QVGA (LCD), QVGA (TFT), VGA (TFT), SVGA (TFT), XGA (TFT)
Farbtiefe | 16Bit/65536 Farben*
Grafikkartentreiber | AMD Geode Grafikkartentreiber mit Screenrotation ohne DirectX
RAM | Automatische Erkennung und Verwendung von bis zu 512 MByte RAM
Bootuptime | Ca. 20 Sekunden
Screenrotation | Der Desktop kann in 90° Schritten gedreht werden
Webbrowser | Internet Explorer 6.0 für Windows CE
.Net | Compact Framework 1.0 mit SP3
Imagegröße | Ca. 26 MByte nicht komprimiert
Kundenspezifische Tasten | Werden unterstützt
PVI | Wird unterstützt
Automation Device Interface | Wird unterstützt
Viewer | Werden unterstützt
*Beachten Sie, dass die Farbtiefe auch vom verwendeten Display abhängt.

Siehe auch

Funktionsumfang, Wie installiere ich das Compact Framework 2.0?

<< Vorheriges Thema
APC620, PPC700

Startseite

Nächstes Thema >>
Funktionsumfang


Funktionsumfang

Allgemein

In diesem Kapitel finden Sie die Komponenten und Treiber, welche in den verschiedenen B&R Windows CE Images integriert sind. Detailierte Beschreibungen der Komponenten entnehmen Sie bitte der Microsoft Platform Builder Hilfe, oder dem Microsoft Authoring Kit.

In diesem Abschnitt werden folgende Themen behandelt:

Funktionsumfang

APC620, PPC700

PP 100/200, MP 100/200

<< Vorheriges Thema
PP100/200, MP100/200

Startseite

Nächstes Thema >>
APC620, PPC700


APC620, PPC700

In diesem Abschnitt werden folgende Themen behandelt:

APC620, PPC700

V1.0

V1.1

<< Vorheriges Thema
Funktionsumfang

Startseite

Nächstes Thema >>
V1.0


V1.0

Basisbetriebssystem

  • Microsoft Windows CE 5.0

Device Drivers

  • Audio

    • APC620/PPC700 (B&R spezifischer Audio Treiber)

  • Display

    • APC620/PPC700 Graphic Card Driver (Intel® Embedded Graphics driver package for Microsoft Windows CE 5.0 Version 4.0)

  • Input Devices
    • 8042 Keyboard/Mouse English

  • Networking
    • Local Area Networking (LAN) devices

      • APC620/PPC700 8255ER Ethernet

    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS Driver

  • Parallel

    • Parallel

  • PCI Bus

  • Printer Devices
    • PCL Printer Devices
  • Serial
    • Com16550
    • Com16550 (Second Instance)
    • Com16550 (Third Instance)
    • APC620/PPC700 4 Serial Ports

  • Smart Card
    • Smart Card

  • Storage Devices
    • Storage Devices

      • APC620/PPC700 ATAPI (B&R spezifischer ATAPI Treiber ohne DMA Unterstützung)
  • USB Host
    • UHCI (Intel® USB 2.0 Driver for Windows* CE 5.0 V5.0.1.4)
    • EHCI (Intel® USB 2.0 Driver for Windows* CE 5.0 V5.0.1.4)

  • Touch

    • APC620/PPC700 (Elo® Serial Windows CE Embedded Driver V1.11)

Application - End User

  • Active Sync
    • File Sync

  • CAB File Installer/Uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Audio Playback Redirection
      • Cut/Copy/Paste Clipboard Redirection
      • File Storage Redirection
      • Printer Redirection
      • Serial and Parallel Port Redirection
      • Smart Card Redirection
      • User Interfaces Dialog Boxes

  • WordPad

Application and Services Development

  • .NET Compact Framework 2.0

    • .NET Compact Framwork 2.0
    • OS Dependencies for .NET Compact Framework 2.0

  • Active Template Library (ATL)
  • C Libraries and Runtimes
    • C++ Runtime Support for Exception Handling and Runtime Type Information
    • Full C Runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard String Functtions - ASCII (corestra)
    • String Safe Utility Functions

  • Component Services (COM and DCOM)

    • Component Object Model

      • DCOM

        • COM Storage
        • DCOM Remote Access

  • Microsoft Foundation Classes (MFC)
  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML Error Strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML Minimal Parser

Communication Services and Networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial Up Networking (RAS/PPP)

      • AutoDial
      • Standard Modem Support for Dial Up Networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem Support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS User-mode I/O Driver
    • Network Driver Architecture (NDIS)
    • Network Utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock Support

  • Servers
    • Core Server Support
    • File Server
    • FTP Server
    • RAS Server/PPTP Server (Incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP Client with DST

    • Telent Server
    • Web Server *HTTPD

      • Active Server Pages (ASP) Support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS Services

  • Debugging Tools
    • LMemDebug Memory Debugging Hooks
    • Toolelp API
    • Remote Display Application

  • Device Manager
  • Display Support
  • Kernel Features

    • Fiber API
    • FormatMessage API
    • Memory Mapped Files
    • Message Queue - Point-to-Point

  • Parallel Port Support
  • PNP Notifications
  • Power Management (Full)
  • Serial Port Support
  • UI based Notification
  • USB Host Support
    • USB Human Input Device (HID) Class Driver
    • USB Printer Class Driver
    • USB Remote NDIS Class Driver
    • USB Storage Class Driver

File Systems and Data Store

  • Bit-based
  • Compression
  • Database Support
  • Hive-based Registry
  • ROM-only File System
  • Storage Manager

    • CD/UDFS File System
    • FAT File System
    • Partition Driver
    • Storage Manager Control Panel Applet

  • System Password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and Multimedia Technologies

  • Audio

    • Waveform Audio

  • Graphics
    • DirectDraw
    • Gradient Fill Support
    • Imaging

      • Still Image Codec Support (Encode and Decode)

      • Sill Image Decoders

        • BMP Decoder
        • GIF Decoder
        • JPG Decoder
        • PNG Decoder

      • Still Image Encoders

        • BMP Decoder
        • GIF Decoder
        • JPG Decoder
        • PNG Decoder

  • Media
    • Audio Codecs and Renderers

      • MP3 Codec
      • Wave/AIFF/au/snd File Parser
      • WMA Codec
      • WMA Voice Codec

    • DirectShow

      • ACM Wrapper Filter
      • DirectShow Core
      • DirectShow Display
      • DMP Wrapper Filter

    • Media Formats

      • AVI Filter
      • MPEG-1 Parser/Splitter

    • Video Codecs and Renderers

      • DirectShow Video Renderer
      • MPEG-1 Video Codec
      • MS RLE Video Codec
      • Video/Image Compression Manager
      • WMV/MPEG-4 Video Codec

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX
      • Windows Media Technologies

        • ASX v1 and M3U File Support
        • ASX v2 File Support
        • ASX v3 File Support
        • NSC File Support
        • Windows Media Multicast and Multi-Bit Rate
        • Windows Media Streaming from Local Storage
        • Windows Media Streaming over HTTP
        • Windows Media Streaming over MMS

    • WMA and MP3 Local Playback
    • WMA and MP3 Streaming

International

  • Input Methode Manager (IMM)
  • Multilingual User Interface (MUI)
  • National Lanugage Support (NLS)

Internet Client Services

  • Browser Application
    • Internet Explorer 6.0 for Windows CE - Standard Components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer Browser Control Host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer Multiple-Language Base API
    • URL Moniker Services
    • Windows Internet Services

      • Passport SSI 1.4 Authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script Authoring (Jscript)
      • Script Encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script Authoring (VBScript)
      • Script Encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography Services (CryptoAPI 1.0) with High Encryption Provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic Messaging (PKCS#7)

    • Diffie-Hellman/DSS Provider

Shell and User Interface

  • Graphics, Windowing and Events
    • Minimal GDI Configuration
    • Minimal GWES Configuration
    • Minimal Input Configuration
    • Minimal Window Manager Configuration

  • Shell

    • Command Shell

      • Command Processor
      • Console Window

    • Standard Shell

  • User Interface

    • Common Controls

      • Common Control

    • Common Dialog Support
    • Control Panel Applets
    • Customizable UI

      • Windows XP-like Sample Skin

    • Mouse
    • Network User Interface
    • Software Input Panel

      • SIP for Large Screens
      • SIP for Small Screens
      • Software-based Input Panel Driver

Platform Manager

  • Platform Manager

Bernecker + Rainer specific Tools

  • APIs
    • Automation Device Interface V1.42
    • Screensaver

  • Control Panel Applets
    • Configuration Manager
    • Control Center
    • Screensaver
    • Server Applet
    • Touch Applet

  • Programs
    • DCOMCnfg
    • Fullscreen Webbrowser
    • PVI
    • RamDisk
    • Registry Editor
    • RegSave
    • RegSvrCE

<< Vorheriges Thema
APC620, PPC700

Startseite

Nächstes Thema >>
V1.1


V1.1

9S0001.32-020 WinCE5.0 Pro APC620/PPC700

Folgende Komponenten sind im Produkt 9S0001.32-020 WinCE5.0 Pro APC620/PPC700 enthalten:

Basisbetriebssystem

  • Microsoft Windows CE 5.0

Device Drivers

  • Audio

    • APC620/PPC700 Audio (Intel® - Unified Audio Driver Model - Monolithic Wavedev/MixerAPI driver 5.0.1.20)

  • Display

    • APC620/PPC700 Graphic Card Driver (Intel® Embedded Graphics driver package for Microsoft Windows CE 5.0 Version 5.1)

  • Input Devices
    • 8042 Keyboard/Mouse English

  • Networking
    • Local Area Networking (LAN) devices

      • APC620/PPC700 Ethernet

    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS Driver

  • Parallel

    • Parallel

  • PCI Bus

  • Printer Devices
    • PCL Printer Devices

  • Serial
    • Com16550
    • Com16550 (Second Instance)
    • Com16550 (Third Instance)
    • APC620/PPC700 4 Serial Ports

  • Smart Card
    • Smart Card

  • Storage Devices
    • Storage Devices

      • APC620/PPC700 ATAPI (Microsoft ATAPI Treiber mit DMA Unterstützung)
  • USB Host
    • UHCI (Intel® 854 Development Platform USB 2.0 Driver for Windows CE 5.0 V5.0.1.5)
    • EHCI (Intel® 854 Development Platform USB 2.0 Driver for Windows CE 5.0 V5.0.1.5)

  • Touch

    • APC620/PPC700 (Elo® Serial Windows CE Embedded Driver V1.13)

Application - End User

  • Active Sync
    • File Sync

  • CAB File Installer/Uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Audio Playback Redirection
      • Cut/Copy/Paste Clipboard Redirection
      • File Storage Redirection
      • Printer Redirection
      • Serial and Parallel Port Redirection
      • Smart Card Redirection
      • User Interfaces Dialog Boxes

  • WordPad

Application and Services Development

  • .NET Compact Framework 2.0 + SP1

    • .NET Compact Framwork 2.0 + SP1
    • OS Dependencies for .NET Compact Framework 2.0

  • Active Template Library (ATL)
  • C Libraries and Runtimes
    • C++ Runtime Support for Exception Handling and Runtime Type Information
    • Full C Runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard String Functtions - ASCII (corestra)
    • String Safe Utility Functions

  • Component Services (COM and DCOM)

    • Component Object Model

      • DCOM

        • COM Storage
        • DCOM Remote Access

  • SQL Mobile

    • SQL Mobile
    • SQL Mobile .Net 2.0 Data Provider

  • Microsoft Foundation Classes (MFC)
  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML Error Strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML Minimal Parser

Communication Services and Networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial Up Networking (RAS/PPP)

      • AutoDial
      • Standard Modem Support for Dial Up Networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem Support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS User-mode I/O Driver
    • Network Driver Architecture (NDIS)
    • Network Utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock Support

  • Servers
    • Core Server Support
    • File Server
    • FTP Server
    • RAS Server/PPTP Server (Incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP Client with DST

    • Telent Server
    • Web Server *HTTPD

      • Active Server Pages (ASP) Support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS Services

  • Debugging Tools
    • Toolhelp API
    • Remote Display Application

  • Device Manager
  • Display Support
  • Kernel Features

    • Fiber API

    • FormatMessage API
      • FormatMessage API - System Error Messages

    • Memory Mapped Files
    • Message Queue - Point-to-Point

  • Parallel Port Support
  • PNP Notifications
  • Power Management (Full)
  • Serial Port Support
  • UI based Notification
  • USB Host Support
    • USB Human Input Device (HID) Class Driver
    • USB Printer Class Driver
    • USB Remote NDIS Class Driver
    • USB Storage Class Driver

File Systems and Data Store

  • Bit-based
  • Compression
  • Database Support
  • Hive-based Registry
  • ROM-only File System
  • Storage Manager

    • CD/UDFS File System
    • FAT File System
    • Partition Driver
    • Storage Manager Control Panel Applet

  • System Password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and Multimedia Technologies

  • Audio

    • Waveform Audio

  • Graphics
    • DirectDraw
    • Gradient Fill Support
    • Imaging

      • Still Image Codec Support (Encode and Decode)

      • Sill Image Decoders

        • BMP Decoder
        • GIF Decoder
        • JPG Decoder
        • PNG Decoder

      • Still Image Encoders

        • BMP Decoder
        • GIF Decoder
        • JPG Decoder
        • PNG Decoder

  • Media
    • Audio Codecs and Renderers

      • MP3 Codec
      • Wave/AIFF/au/snd File Parser
      • WMA Codec
      • WMA Voice Codec

    • DirectShow

      • ACM Wrapper Filter
      • DirectShow Core
      • DirectShow Display
      • DMP Wrapper Filter

    • Media Formats

      • AVI Filter
      • MPEG-1 Parser/Splitter

    • Video Codecs and Renderers

      • DirectShow Video Renderer
      • MPEG-1 Video Codec
      • MS RLE Video Codec
      • Video/Image Compression Manager
      • WMV/MPEG-4 Video Codec

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX
      • Windows Media Technologies

        • ASX v1 and M3U File Support
        • ASX v2 File Support
        • ASX v3 File Support
        • NSC File Support
        • Windows Media Multicast and Multi-Bit Rate
        • Windows Media Streaming from Local Storage
        • Windows Media Streaming over HTTP
        • Windows Media Streaming over MMS

    • WMA and MP3 Local Playback
    • WMA and MP3 Streaming

International

  • Input Methode Manager (IMM)
  • Multilingual User Interface (MUI)
  • National Lanugage Support (NLS)

Internet Client Services

  • Browser Application
    • Internet Explorer 6.0 for Windows CE - Standard Components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer Browser Control Host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer Multiple-Language Base API
    • URL Moniker Services
    • Windows Internet Services

      • Passport SSI 1.4 Authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script Authoring (Jscript)
      • Script Encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script Authoring (VBScript)
      • Script Encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography Services (CryptoAPI 1.0) with High Encryption Provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic Messaging (PKCS#7)

    • Diffie-Hellman/DSS Provider

Shell and User Interface

  • Graphics, Windowing and Events
    • Minimal GDI Configuration
    • Minimal GWES Configuration
    • Minimal Input Configuration
    • Minimal Window Manager Configuration

  • Shell

    • Command Shell

      • Command Processor
      • Console Window

    • Standard Shell

  • User Interface

    • Common Controls

      • Common Control

    • Common Dialog Support
    • Control Panel Applets
    • Customizable UI

      • Windows XP-like Sample Skin

    • Mouse
    • Network User Interface
    • Software Input Panel

      • SIP for Large Screens
      • SIP for Small Screens
      • Software-based Input Panel Driver

Platform Manager

  • Platform Manager

Bernecker + Rainer specific Tools

  • APIs
    • Automation Device Interface V1.51
    • Screensaver
    • PVI

  • Control Panel Applets
    • Configuration Manager V2.00
    • Touch Screen V2.00
    • Screensaver
    • Server Applet V2.00

  • Programs
    • Registry Editor
    • RegSvrCE
    • DCOMCnfg
    • Fullscreen Webbrowser
    • RamDisk
    • RegSave

9S0001.34-020 WinCE5.0 ProPlus APC620/PPC700

Zusätzlich zu den Komponenten des Produktes 9S0001.32-020 WinCE5.0 Pro APC620/PPC700 sind folgende Viewer enthalten:

  • PDF Viewer
  • Excel Viewer
  • Word Viewer
  • Power Point Viewer
  • Image Viewer

<< Vorheriges Thema
V1.0

Startseite

Nächstes Thema >>
PP 100/200, MP 100/200


PP 100/200 BIOS, MP 100/200 BIOS

PP 100/200, MP 100/200

In diesem Abschnitt werden folgende Themen behandelt:

PP 100/200, MP 100/200

V5.0

V5.1

<< Vorheriges Thema
V1.1

Startseite

Nächstes Thema >>
V5.0


V5.0

Basisbetriebssystem

  • Microsoft Windows CE 5.0

Device Drivers

  • Input Devices
    • 8042 Keyboard/Mouse English
    • NOP (Stub) Keyboard/Mouse English

  • Networking
    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS Driver

  • PCI Bus
  • Printer Devices
    • PCL Printer Devices

  • Serial
    • Com16550
    • Com16550 (Second Instance)
    • Com16550 (Third Instance)
    • Com Card

  • Smart Card
    • Smart Card

  • Storage Devices
    • Storage Devices

      • ATAPI PCI/IDE Storage Block Driver
      • Promise Controller ATAPI driver

  • USB Host
    • OHCI
  • Power Panel Geode Graphiccard Driver with Rotation Support

Application - End User

  • Active Sync
    • File Sync

  • CAB File Installer/Uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Cut/Copy/Paste Clipboard Redirection
      • File Storage Redirection
      • Printer Redirection
      • Serial and Parallel Port Redirection
      • Smart Card Redirection
      • User Interfaces Dialog Boxes

  • WordPad

Application and Services Development

  • .NET Compact Framework

    • .NET Compact Framwork 1.0
    • OS Dependencies for .NET Compact Framework 1.0
    • Smart Device Authentication Utlity

  • Active Template Library (ATL)
  • C Libraries and Runtimes
    • C++ Runtime Support for Exception Handling and Runtime Type Information
    • Full C Runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard String Functtions - ASCII (corestra)
    • String Safe Utility Functions

  • Component Services (COM and DCOM)

    • Component Object Model

      • DCOM

        • COM Storage
        • DCOM Remote Access

  • Microsoft Foundation Classes (MFC)
  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML Error Strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML Minimal Parser

Communication Services and Networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial Up Networking (RAS/PPP)

      • AutoDial
      • Standard Modem Support for Dial Up Networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem Support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS User-mode I/O Driver
    • Network Driver Architecture (NDIS)
    • Network Utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock Support

  • Servers
    • Core Server Support
    • File Server
    • FTP Server
    • RAS Server/PPTP Server (Incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP Client with DST

    • Telent Server
    • Web Server *HTTPD

      • Active Server Pages (ASP) Support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS Services

  • Debugging Tools
    • LMemDebug Memory Debugging Hooks
    • Toolelp API
    • Remote Display Application

  • Device Manager
  • Display Support
  • Kernel Features

    • Fiber API
    • FormatMessage API
    • Memory Mapped Files
    • Message Queue - Point-to-Point

  • Parallel Port Support
  • PNP Notifications
  • Power Management (Full)
  • Serial Port Support
  • UI based Notification
  • USB Host Support
    • USB Printer Class Driver
    • USB Remote NDIS Class Driver
    • USB Storage Class Driver

File Systems and Data Store

  • Bit-based
  • Compression
  • Database Support
  • Hive-based Registry
  • ROM-only File System
  • Storage Manager

    • CD/UDFS File System
    • FAT File System
    • Partition Driver
    • Storage Manager Control Panel Applet

  • System Password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and Multimedia Technologies

  • Audio

    • Waveform Audio

  • Graphics
    • DirectDraw
    • Gradient Fill Support
    • Imaging

      • Still Image Codec Support (Encode and Decode)
      • Sill Image Decoders
      • BMP Decoder
      • GIF Decoder
      • JPG Decoder
      • PNG Decoder

  • Media
    • DirectShow

      • DirectShow Core
      • DirectShow Display
      • DMP Wrapper Filter

    • Media Formats

      • AVI Filter
      • MPEG-1 Parser/Splitter

    • Video Codecs and Renderers
    • DirectShow Video Renderer

      • MPEG-1 Video Codec
      • MS RLE Video Codec
      • Video/Image Compression Manager

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX

International

  • Input Methode Manager (IMM)
  • National Lanugage Support (NLS)
  • Multilingual User Interface (MUI)

Internet Client Services

  • Browser Application
    • Internet Explorer 6.0 for Windows CE - Standard Components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer Browser Control Host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer Multiple-Language Base API
    • URL Moniker Services
    • Windows Internet Services

      • Passport SSI 1.4 Authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script Authoring (Jscript)
      • Script Encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script Authoring (VBScript)
      • Script Encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography Services (CryptoAPI 1.0) with High Encryption Provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic Messaging (PKCS#7)

    • Diffie-Hellman/DSS Provider

Shell and User Interface

  • Graphics, Windowing and Events
    • Minimal GDI Configuration
    • Minimal GWES Configuration
    • Minimal Input Configuration
    • Minimal Window Manager Configuration

  • Shell

    • Command Shell

      • Command Processor
      • Console Window

    • Standard Shell

  • User Interface

    • Common Controls

      • Common Control

    • Common Dialog Support
    • Control Panel Applets
    • Customizable UI

      • Windows XP-like Sample Skin

    • Mouse
    • Network User Interface
    • Software Input Panel

      • SIP for Large Screens
      • SIP for Small Screens
      • Software-based Input Panel Driver

Platform Manager

  • Platform Manager

Bernecker + Rainer specific Tools

  • APIs
    • Automation Device Interface V1.01
    • Screensaver

  • Control Panel Applets
    • Server Applet
    • Configuration Manager
    • PVI

  • Programs
    • Registry Editor
    • RegSvrCE
    • DCOMCnfg

  • aPCI Cards
    • aPCI Modul 5IF760.9

<< Vorheriges Thema
PP 100/200, MP 100/200

Startseite

Nächstes Thema >>
V5.1


V5.1

9S0001.33-020 WinCE5.0 Pro PP100/200,MP100/200

Folgende Komponenten sind im Produkt 9S0001.33-020 WinCE5.0 Pro PP100/200,MP100/200 enthalten:

Basisbetriebssystem

  • Microsoft Windows CE 5.0

Device Drivers

  • Input Devices
    • 8042 Keyboard/Mouse English
    • NOP (Stub) Keyboard/Mouse English

  • Networking
    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS Driver

  • PCI Bus
  • Printer Devices
    • PCL Printer Devices

  • Serial
    • Com16550
    • Com16550 (Second Instance)
    • Com16550 (Third Instance)
    • Com Card

  • Smart Card
    • Smart Card

  • Storage Devices
    • Storage Devices

      • ATAPI PCI/IDE Storage Block Driver
      • Promise Controller ATAPI driver

  • USB Host
    • OHCI

  • Power Panel Geode Graphiccard Driver with Rotation Support

Application - End User

  • Active Sync
    • File Sync

  • CAB File Installer/Uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Cut/Copy/Paste Clipboard Redirection
      • File Storage Redirection
      • Printer Redirection
      • Serial and Parallel Port Redirection
      • Smart Card Redirection
      • User Interfaces Dialog Boxes

  • WordPad

Application and Services Development

  • .NET Compact Framework

    • .NET Compact Framwork 1.0
    • OS Dependencies for .NET Compact Framework 1.0
    • Smart Device Authentication Utlity

  • Active Template Library (ATL)
  • C Libraries and Runtimes
    • C++ Runtime Support for Exception Handling and Runtime Type Information
    • Full C Runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard String Functtions - ASCII (corestra)
    • String Safe Utility Functions

  • Component Services (COM and DCOM)

    • Component Object Model

      • DCOM

        • COM Storage
        • DCOM Remote Access

  • Microsoft Foundation Classes (MFC)
  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML Error Strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML Minimal Parser

Communication Services and Networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial Up Networking (RAS/PPP)

      • AutoDial
      • Standard Modem Support for Dial Up Networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem Support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS User-mode I/O Driver
    • Network Driver Architecture (NDIS)
    • Network Utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock Support

  • Servers
    • Core Server Support
    • File Server
    • FTP Server
    • RAS Server/PPTP Server (Incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP Client with DST

    • Telent Server
    • Web Server *HTTPD

      • Active Server Pages (ASP) Support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS Services

  • Debugging Tools
    • LMemDebug Memory Debugging Hooks
    • Toolelp API
    • Remote Display Application

  • Device Manager
  • Display Support
  • Kernel Features

    • Fiber API

    • FormatMessage API
      • FormatMessage API - System Error Messages

    • Memory Mapped Files
    • Message Queue - Point-to-Point

  • Parallel Port Support
  • PNP Notifications
  • Power Management (Full)
  • Serial Port Support
  • UI based Notification
  • USB Host Support
    • USB Printer Class Driver
    • USB Remote NDIS Class Driver
    • USB Storage Class Driver

File Systems and Data Store

  • Bit-based
  • Compression
  • Database Support
  • Hive-based Registry
  • ROM-only File System
  • Storage Manager

    • CD/UDFS File System
    • FAT File System
    • Partition Driver
    • Storage Manager Control Panel Applet

  • System Password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and Multimedia Technologies

  • Audio

    • Waveform Audio

  • Graphics
    • DirectDraw
    • Gradient Fill Support
    • Imaging

      • Still Image Codec Support (Encode and Decode)
      • Sill Image Decoders
      • BMP Decoder
      • GIF Decoder
      • JPG Decoder
      • PNG Decoder

  • Media
    • DirectShow

      • DirectShow Core
      • DirectShow Display
      • DMP Wrapper Filter

    • Media Formats

      • AVI Filter
      • MPEG-1 Parser/Splitter

    • Video Codecs and Renderers
    • DirectShow Video Renderer

      • MPEG-1 Video Codec
      • MS RLE Video Codec
      • Video/Image Compression Manager

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX

International

  • Input Methode Manager (IMM)
  • National Lanugage Support (NLS)
  • Multilingual User Interface (MUI)

Internet Client Services

  • Browser Application
    • Internet Explorer 6.0 for Windows CE - Standard Components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer Browser Control Host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer Multiple-Language Base API
    • URL Moniker Services
    • Windows Internet Services

      • Passport SSI 1.4 Authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script Authoring (Jscript)
      • Script Encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script Authoring (VBScript)
      • Script Encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography Services (CryptoAPI 1.0) with High Encryption Provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic Messaging (PKCS#7)

    • Diffie-Hellman/DSS Provider

Shell and User Interface

  • Graphics, Windowing and Events
    • Minimal GDI Configuration
    • Minimal GWES Configuration
    • Minimal Input Configuration
    • Minimal Window Manager Configuration

  • Shell

    • Command Shell

      • Command Processor
      • Console Window

    • Standard Shell

  • User Interface

    • Common Controls

      • Common Control

    • Common Dialog Support
    • Control Panel Applets
    • Customizable UI

      • Windows XP-like Sample Skin

    • Mouse
    • Network User Interface
    • Software Input Panel

      • SIP for Large Screens
      • SIP for Small Screens
      • Software-based Input Panel Driver

Platform Manager

  • Platform Manager

Bernecker + Rainer specific Tools

  • APIs
    • Automation Device Interface V2.01
    • Screensaver
    • PVI

  • Control Panel Applets
    • Configuration Manager V2.00
    • Touch Screen V2.00
    • Screensaver
    • Server Applet V2.00

  • Programs
    • Registry Editor
    • RegSvrCE
    • DCOMCnfg
    • Fullscreen Webbrowser
    • RamDisk
    • RegSave

  • aPCI Cards
    • aPCI Modul 5IF760.9

9S0001.35-020 WinCE5.0 ProPlus PP100/200,MP100/200

Zusätzlich zu den Komponenten des Produktes 9S0001.33-020 WinCE5.0 Pro PP100/200,MP100/200 sind folgende Viewer enthalten:
  • PDF Viewer
  • Excel Viewer
  • Word Viewer
  • Power Point Viewer
  • Image Viewer

<< Vorheriges Thema
V5.0

Startseite

Nächstes Thema >>
Inbetriebnahme


Inbetriebnahme

In diesem Abschnitt werden folgende Themen behandelt:

Inbetriebnahme

Installation

Konfiguration

Duplizieren

<< Vorheriges Thema
V5.1

Startseite

Nächstes Thema >>
Installation


Installation

In diesem Abschnitt werden folgende Themen behandelt:

Installation

Was Sie für die Installation von B&R Windows CE benötigen

Partitionierung der Compact Flash Karte

BIOS Einstellungen

So installieren Sie B&R Windows CE

<< Vorheriges Thema
Inbetriebnahme

Startseite

Nächstes Thema >>
Was Sie für die Installation von B&R Windows CE benötigen


Was Sie für die Installation von B&R Windows CE benötigenWas Sie für die Installation von B&R Windows CE benötigen

Was Sie für die Installation von B&R Windows CE benötigen

Allgemein

In diesem Dokument erfahren Sie, welche Komponenten Sie für die Installation von B&R Windows CE benötigen. Beachten Sie, dass B&R Windows CE in der Regel nur von B&R in Kombination mit einem B&R Gerät ausgeliefert werden darf. Die manuelle Installation von B&R Windows CE darf nur zur Wiederherstellung eines B&R Windows CE Images verwendet werden.

Hardware

Teil | Beschreibung
B&R Power Panel 100 BIOS, B&R Mobile Panel 100 BIOS, B&R APC620, B&R Panel PC 700 | Automation Runtime Panels (z.B. Power Panel 100 embedded, Power Panel 15 etc.) werden nicht unterstützt!
RAM | Das Gerät muss mindestens 128 MByte RAM besitzen. Beachten Sie, dass Microsoft Windows CE maximal 512MByte RAM adressieren kann.
Compact Flash Karte | Die Compact Flash Karte muss mindestens 32 MByte groß sein.
USB Compact Flash Adapter | Mit diesem Adapter beschreiben Sie die Compact Flash Karte. Empfohlen wird die B&R USB 2.0 Laufwerkskombination 5MD900.USB2-00.

Software

Teil | Beschreibung
Datei NK.BIN | Das B&R Windows CE Image.
Datei BLDR | Der B&R Windows CE Bootloader.
Datei LogoQVGA.bmp | Bootlogo für QVGA Geräte.
Datei LogoXRes.bmp | Bootlogo für Geräte mit einer Auflösung größer als QVGA.
B&R eMbedded OS Installer | Ein Windows XP Programm, welches B&R Windows CE installiert. Dieses Programm können Sie kostenlos von der B&R Homepage (http://www.br-automation.com) downloaden.
Windows XP | Dieses Betriebssystem wird von B&R eMbedded OS Installer unterstützt.

Hinweis: NK.BIN, BLDR, LogoQVGA.bmp und LogoXRes.bmp (diese Dateien werden auch als "das Windows CE Image" bezeichnet) können Sie nicht von der B&R Homepage downloaden. Sie müssen diese Dateien von einer bereits funktionierenden B&R Windows CE Installation sichern. Falls Sie nicht im Besitz einer funktionierenden B&R Windows CE Installation sind, kontaktieren Sie bitte Ihren zuständigen B&R Vertriebsmann.

Siehe auch

B&R eMbedded OS Installer

<< Vorheriges Thema
Installation

Startseite

Nächstes Thema >>
Partitionierung der Compact Flash Karte


Partitionierung der Compact Flash Karte

Allgemein

B&R Windows CE benötigt zumindestens 2 Partitionen (SYSTEM und STORAGE), wobei die erste Partition versteckt ist. Auf der ersten, versteckten Partition (SYSTEM) befindet sich das Betriebssystem (BLDR, NK.BIN, LOGOQVGA.BMP und LOGOXRES.BMP), die Registry und die Konfigurationsdateien. Da diese Partition versteckt ist, kann der Benutzer von Windows CE aus auf diese Partition nicht zugreifen, womit das Betriebssystem geschützt ist.

Die zweite Partition (STORAGE) wird als Ablage für das Storage Memory verwendet. Das bedeutet, jede Datei welche Sie in das Storage Memory von B&R Windows CE kopieren, wird auf die zweite Partition gespeichert und ist somit auch nach einem Power-Down noch verfügbar. Damit das Speichern des Storage Memories einwandfrei funktioniert müssen Sie sicherstellen, dass die Partition STORAGE zumindestens so groß ist, wie Sie dies im Control Panel Applet System Properties > Memory definiert haben.

Beachten Sie auch folgenden Umstände:

  • Microsoft Windows CE teilt das vorhandene RAM eines Gerätes in Storage Memory und Program Memory ein. Vergrößern Sie nun das Storage Memory über das Control Panel Applet System, so benötigen Sie eine größere STORAGE Partition auf der Compact Flash Karte und das frei verfügbare Program Memory wird verringert.

  • Während des ersten Bootens von B&R Windows CE 5.0 wird das Storage Memory fix auf 5MByte konfiguriert. Daraus ergibt sich die Mindestgröße der Partition STORAGE von 5MByte. Sie können diesen Wert über das Control Panel Applet System oder über das Keyword STORAGEMEMORY in der Konfigurationsdatei START.DAT anpassen.
Nr. | Bezeichnung | Beschreibung | Versteckt | Mindestgröße | Benötigt
1 | SYSTEM | Beinhaltet das Betriebssystem, die Registry und die Konfigurationsdateien. Optional auch Applikationsdaten. | Ja | Größe des Betriebssystems + Größe der Konfigurationsdateien + 1MByte | Ja
2 | STORAGE | Beinhaltet jenen Dateien, welche in das Storage Memory kopiert werden. | Nein | 5 MByte | Ja

Hinweis: Die Größe der Partition SYSTEM hängt massgeblich von der Größe des verwendeten Betriebssystems und der B&R eMbedded OS Installer Option B&R Windows CE Image komprimieren ab.

Siehe auch

Was Sie für die Installation von B&R Windows CE benötigen, So installieren Sie B&R Windows CE 5.0, B&R eMbedded OS Installer

<< Vorheriges Thema
Was Sie für die Installation von B&R Windows CE benötigen

Startseite

Nächstes Thema >>
BIOS Einstellungen


BIOS Einstellungen

Allgemein

Da Microsoft Windows CE ein embedded Betriebssystem ist, verfügt dieses nur über eingeschränkte Plug and Play Mechanismen. Aus diesem Grund müssen am APC620 und am PPC700 verschiedene BIOS Einstellungen gesetzt werden. Stellen Sie sicher, dass Sie diese Einstellungen bereits vor dem ersten Booten korrekt gesetzt haben!

Standardkonfiguration

Hinweis: Laden Sie die Setup Defaults bevor Sie die Einstellungen in der folgenden Tabelle ändern.

    Einstellung | Wert | Beschreibung
Advanced > PCI/PNP Configuration > PNP OS installed | No | B&R Windows CE ist kein Plug and Play Betriebssystem. Setzen Sie diese Einstellung auf No damit das BIOS die Ressourcen zuteilt.
Advanced > Baseboard/Panel Features > Legacy Devices > COM C: | Enabled | Setzen Sie diese Einstellung auf Enabled, wenn Sie einen Touchscreen verwenden wollen.
Advanced > Baseboard/Panel Features > Legacy Devices > COM D: | Disabled | Setzen Sie diese Einstellung auf Disabled, damit der Touchscreen im Clone Modus auf allen angeschlossenen Panels funktioniert.
Advanced > Miscellaneous > PS/2 Mouse | Enabled | Setzen Sie diese Einstellung auf Enabled, wenn Sie eine PS/2 Maus verwenden wollen.

So passen Sie die BIOS Einstellungen an (PanelPC 700):

  • Öffnen Sie das BIOS Setup durch drücken der Taste F2.
  • Wechseln Sie auf die Registerkarte Exit.
  • Laden Sie nun die Setup Defaults, in dem Sie mit den Cursortasten den Menüpunkt Load Setup Defaults auswählen und anschließend Return drücken.
  • Wechseln Sie nun auf die Registerkarte Advanced.
  • Öffnen Sie das Menü PCI/PNP Configuration.
  • Setzen Sie PNP OS installed auf No.
  • Wechseln Sie auf die Registerkarte Advanced.
  • Öffnen Sie das Menü Baseboard/Panel Features > Legacy Devices.
  • Deaktivieren Sie die serielle Schnittstelle COM D.
  • Wechseln Sie nun auf die Registerkarte Miscellaneous.
  • Aktivieren Sie die Option PS/2 Mouse.
  • Beenden Sie das BIOS durch den Befehl Exit Saving Changes

Serielle Schnittstellen

B&R Windows CE für den APC620 und PPC700 unterstützt bis zu 4 serielle Schnittstellen. Davon ist eine Schnittstelle (COM 3) für den Touch reserviert. Die restlichen drei Schnittstellen können im BIOS frei definiert werden. Beachten Sie, dass nur COM1 und COM2 UNIMODEM fähig sind.

    Schnittstelle | BIOS Default | Base I/O address | Interrupt
COM1 | Serial Port A | 3F8 | 4
COM2 | Serial Port B | 2F8 | 3
COM3 | COM C | 3E8 | 11
COM4 | COM D | 238 | 7

Siehe auch

Was Sie für die Installation von B&R Windows CE benötigen, So installieren Sie B&R Windows CE, Warum funktioniert die PS/2 Maus nicht?, Warum funktioniert der Touch nur auf einem Link Connector?

<< Vorheriges Thema
Partitionierung der Compact Flash Karte

Startseite

Nächstes Thema >>
So installieren Sie B&R Windows CE


So installieren Sie B&R Windows CE

Allgemein

In diesem Kapitel erfahren Sie, wie Sie B&R Windows CE installieren. Stellen Sie dazu sicher, dass Sie alle Anforderungen aus dem Kapitel Was Sie für die Installation von B&R Windows CE benötigen erfüllen.

So installieren Sie B&R Windows CE:

  • Wenn Sie einen B&R APC620 oder einen B&R PPC700 verwenden, so konfigurieren Sie das BIOS wie im folgenden Kapitel beschrieben: BIOS Einstellungen.

  • Kopieren Sie die Dateien NK.BIN, BLDR, LOGOQVGA.BMP und LOGOXRES.BMP einer bestehenden B&R Windows CE Installation in ein beliebiges Verzeichnis auf Ihrer Festplatte. Vergewisseren Sie sich, dass Sie Schreibrechte in diesem Verzeichnis besitzen!

Hinweis: Die Dateien NK.BIN, BLDR, LOGOQVGA.BMP und LOGOXRES.BMP müssen Sie von einer bereits existierenden B&R Windows CE Installation sichern. Wenn Sie keine B&R Windows CE Installation besitzen, wenden Sie sich an Ihren B&R Vertriebsmann.
  • Starten Sie B&R eMbedded OS Installer V2.21 oder höher und markieren Sie den gewünschten Wechseldatenträger. Stellen Sie sicher, dass Sie eine Compact Flash Karte verwenden, welche mindestens 32MByte groß ist.

Hinweis: B&R eMbedded OS Installer können Sie kostenlos von der B&R Homepage http://www.br-automation.com laden.

  • Wechseln Sie auf die Registerkarte B&R Betriebsystem.

  • Wählen Sie im Frame Betriebssystem Microsoft Windows CE 5.0 aus.

  • Wählen Sie im Frame Betriebssystemdateien jenen Ordner aus, welcher die Dateien NK.BIN, BLDR, LOGOQVGA.BMP und LOGOXES.BMP enthält.

  • Wechseln Sie auf die Registerkarte Konfiguration.

  • Aktivieren Sie die Checkbox Windows CE Image komprimieren.

  • Stellen Sie sicher, dass die Checkbox START.DAT und die Option Automatische Konfiguration aktiviert ist.

  • Wechseln Sie auf die Registerkarte Partitionen & Daten und entfernen Sie alle eventuell vorhandenen Partitionen.

  • Klicken Sie auf Hinzufügen um die erste Partition Volume1 zu erstellen.

  • Öffnen Sie die Eigenschaften der ersten Partitition.

  • Klicken Sie auf Mindestgröße der Partition um die Größe der Partition optimal an das B&R Windows CE Image anzupassen.

  • Geben Sie der Partition den Namen SYSTEM.

  • Aktivieren Sie die Checkbox Partition verstecken.

  • Beenden Sie den Dialog.

  • Klicken Sie ein weiteres mal auf Hinzufügen, um im restlichen freien Speicherplatz eine weitere Partition zu erstellen.

  • Öffnen Sie den Dialog Eigenschaften der Partition und geben Sie dieser Partition den Namen STORAGE.

Hinweis: Stellen Sie sicher, dass die zweite Partition STORAGE mindestens 5 MByte groß ist.

  • Klicken Sie abschließend auf Installieren.

Siehe auch

Partitionierung der Compact Flash Karte, Was Sie für die Installation von B&R Windows CE benötigen

<< Vorheriges Thema
BIOS Einstellungen

Startseite

Nächstes Thema >>
Konfiguration


Konfiguration

In diesem Abschnitt werden folgende Themen behandelt:

Konfiguration

Speichern der Registry

Bearbeiten der Registry

Erstellung eines Bootlogos

Kalibrierung des Touch Screens

Einstellen von Helligkeit und Kontrast

Parametrierung der Tasten

<< Vorheriges Thema
So installieren Sie B&R Windows CE

Startseite

Nächstes Thema >>
Speichern der Registry


Speichern der Registry

Allgemein

Das Speichern der Registry erfolgt am B&R Windows CE Gerät durch das Control Panel Applet Configuration Manager. Dieses Control Panel Applet finden Sie in der Systemsteuerung Ihres CE Gerätes.

So speichern Sie die Registry:

  • Öffnen Sie den Dialog Start > Settings > Control Panel > Configuration Manager.
  • Wechseln Sie auf die Registerkarte Save.
  • Klicken Sie auf Save Settings.

Siehe auch

Configuration Manager, B&R Registry Editor

<< Vorheriges Thema
Konfiguration

Startseite

Nächstes Thema >>
Bearbeiten der Registry


Bearbeiten der Registry

Allgemein

B&R Windows CE bietet drei Methoden um die Registry Ihres B&R CE Gerätes zu editieren:
  • B&R Registry Editor
  • Windows CE Remote Registry Editor.
  • Konfigurationsdatei SETTINGS.REG.

So starten Sie den B&R Registry Editor:

  • Starten Sie das B&R Windows CE Gerät.
  • Wählen Sie Start > Programme > Accessories > B&R Registry Editor.

Der B&R Windows CE 4.1 Registry Editor "RegEdit"

Hinweis:Nach dem Beenden des B&R Registry Editors muss die Registry gespeichert werden. Verwenden Sie dazu das Control Panel Applet Configuration Manager.

So starten Sie den Windows CE Remote Registry Editor:

  • Stellen Sie eine Verbindung zum CE Gerät her (ActiveSync oder Manuelle TCPIP Verbindung).
  • Wählen Sie Tools > Remote Registry Editor im Menü von Microsoft eMbedded Visual C++.

    Remote Registry Editor Link im Menü Tools von eVC4

    Microsoft Remote Registry Editor

Siehe auch

B&R Registry Editor, SETTINGS.REG, Configuration Manager

<< Vorheriges Thema
Speichern der Registry

Startseite

Nächstes Thema >>
Erstellung eines Bootlogos


Erstellung eines Bootlogos

Allgemein

Während des Bootens zeigt B&R Windows CE ein Bootlogo mit Progressbar an. In diesem Kapitel erfahren Sie, wie ein Bootlogo für das B&R Windows CE Gerät erstellt wird. Es wird dazu das Programm Corel Photopaint 10 verwendet.

So erstellen Sie ein Bootlogo:

  • Erstellen Sie ein neues Bild mit den folgenden Parametern:
Parameter | Wert
Farbmodus | 8 Bit Palette
Breite | 640 Pixel
Höhe | 480 Pixel
Auflösung | 72 DPI

Ein neues Bild wird angelegt
Ein neues Bild wird angelegt

  • Die Farbpalette ändern Sie zu diesem Zeitpunkt nicht. Dialog ohne Änderung mit OK bestätigen.

Die Farbpalette wird nicht geändert
Die Farbpalette wird nicht geändert

  • Malen Sie nun ihr Bootlogo.

Malen sie nun ihr Bootlogo
Malen sie nun ihr Bootlogo

Hinweis:
Wenn Sie ein Logo für QVGA Geräte erstellen wollen, teilen Sie das Bitmap in 4 gleich große Rechtecke mit der Größe 320x200. Füllen Sie jedes Rechteck mit dem gewünschten QVGA Logo.

Bootlogo für ein QVGA Gerät
Beispiel: Bootlogo für ein QVGA Gerät

  • Damit das Bootlogo korrekt angezeigt wird, muss es gespiegelt werden. Wählen Sie dazu im Menü Bild->Wenden den Befehl Vertikal.

Das Bild muss gespiegelt werden
Das Bild muss gespiegelt werden

  • Nachdem Sie Ihr Bootlogo erstellt haben, müssen Sie die Farben für die Progressbar und den Hintergrund setzen. Folgende Palletenfarben (Indexes) werden dazu verwendet:
Farbe | Farbindex
Progressbar | 1
Hintergrund | 0

Um die Palette anzupassen, müssen Sie in Corel Photopaint den Modus des Bootlogos ändern (Befehl Bild > Modus > Palette (8Bit)). Nur beim Ändern des Bildformates können die Palettenfarben verschoben und angepasst werden. Verwenden Sie dazu die Funktionen auf der Reiterkarte Verarbeitete Palette.

  • Zum Abschluß müssen Sie das Bootlogo speichern. Wählen Sie aus dem Menü Datei den Befehl Exportieren.

Das Bitmap wird gespeichert
Das Bitmap wird gespeichert

Im Dialog Bild auf Diskette exportieren müssen Sie folgende Einstellungen durchführen:

Eigenschaft | Wert
Dateiname für Bootlogos mit QVGA Auflösung | LogoQVGA.bmp
Dateiname für Bootlogos mit einer Auflösung größer als QVGA | LogoXRes.bmp
Dateityp | BMP - Windows Bitmap
Komprimierungstyp | Unkomprimiert
  • Sie können nun beide Dateien LogoXRes.bmp und LogoQVGA.bmp in das Hauptverzeichnis Ihrer Compact Flash Karte kopieren.

Siehe auch

Warum muss ich das Bootlogo spiegeln?

<< Vorheriges Thema
Bearbeiten der Registry

Startseite

Nächstes Thema >>
Kalibrierung des Touch Screens


Kalibrierung des Touch Screens

Allgemein

In der Standardkonfiguration (Auslieferungsstand) startet B&R Windows CE während des ersten Bootens die Touchkalibrierung. Somit wird eine korrekte Kalibrierung des Touch Screens sichergestellt. Sollte es trotzdem nötig sein den Touch zu rekalibrieren, so bietet Ihnen B&R Windows CE folgende Methoden an:
  • Starten der Kalibrierung per Control Panel Applet Touch Screen.
  • Starten der Kalibrierung per TOUCHCAL Keyword.
  • Starten der Kalibrierung per Mode/Node Schalter am PP100/200 BIOS und MP100/200 BIOS.

So starten Sie die Kalibrierung über das Control Panel Applet Touch Screen:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie auf das Touch Screen Icon.
  • Wechseln Sie auf die Registerkarte Calibration.

  • Klicken Sie auf die Schaltfläche Calibrate / Recalibrate.
  • Folgen Sie nun den Anweisungen am Bildschirm.

So starten Sie die Kalibrierung per Keyword TOUCHCAL:

Ist in der Konfigurationsdatei START.DAT das Keyword TOUCHCAL=1 gesetzt, so überprüft B&R Windows CE bei jedem Booten ob der Touch bereits erfolgreich kalibriert worden ist. Ist dies nicht der Fall, so wird die Kalibrierung automatisch aktiviert.

  • Fügen Sie in die Konfigurationsdatei START.DAT das Keyword TOUCHCAL=1 ein.
  • Rebooten Sie das Windows CE Gerät.
  • Ist der Touch noch nicht kalibriert, so wird die Kalibrierung automatisch geöffnet.
  • Folgen Sie nun den Anweisungen am Bildschirm.

So starten Sie die Kalibrierung über den Mode/Node Schalter:

Verfügt Ihr B&R Windows CE Gerät über einen Mode/Node Schalter (z.B. Power Panel 100/200 BIOS), so können Sie mit Hilfe dieses Schalters die Kalibrierung aktivieren.
  • Stellen Sie sicher, dass das Keyword TOUCHCAL=1 in der Konfigurationsdatei START.DAT enthalten ist.
  • Stellen Sie den Mode/Node Schalter in die Position 0-0 (Service Mode).
  • Rebooten Sie das Windows CE Gerät.
  • Die Kalibrierung wird während des Bootens automatisch geöffnet, unabhängig davon ob der Touch bereits kalibriert worden ist.
  • Folgen Sie nun den Anweisungen am Bildschirm.

Die Mode / Node Schalter am Power Panel
Die Mode/Node Schalter am Power Panel

Die Mode/Node Schalter am Mobile Panel
Die Mode/Node Schalter am Mobile Panel

Hinweis: Weitere Informationen zu den Mode/Node Schaltern finden Sie in den Anwenderhandbüchern Power Panel 100/200 und Mobile Panel 100/200, welche Sie von der B&R Homepage downloaden können.

Siehe auch

START.DAT, Control Panel Applet Touchscreen, TOUCHCAL

<< Vorheriges Thema
Erstellung eines Bootlogos

Startseite

Nächstes Thema >>
Einstellen von Helligkeit und Kontrast


Einstellen von Helligkeit und Kontrast

Allgemein

B&R Windows CE stellt während des ersten Bootens die werksseitig vorgegebenen Helligkeits- und Kontrastwerte (Factory Settings) für das verwendete Display ein. Da diese Werte nur Mittelwerte sind, müssen Sie Helligkeit und Kontrast meistens an Ihre eigenen Anforderungen anpassen.

So ändern Sie Helligkeit und Kontrast:

  • Öffnen Sie den Dialog Start > Settings > Control Panel > Control Center.
  • Wechseln Sie auf die Registerkarte Display.
  • Stellen Sie den Schieberegler auf jenen Helligkeitswert, mit welchem das Display betrieben werden soll.
  • Deaktivieren Sie im Frame Contrast das Kontrollkästchen Auto.

Hinweis: Der Kontrast kann nur bei einem passiven Display eingestellt werden. Bei einem aktiven Display (TFT) haben Kontraständerungen keine Auswirkung.
  • Stellen Sie den Schieberegler auf jenen Kontrastwert, mit welchem das Display betrieben werden soll.
  • Beenden Sie den Dialog mit OK.

Hinweis: Verfügt Ihr Windows CE Gerät über Mode/Node Schalter, so besteht die Möglichkeit das Gerät im Serivce Mode mit der Mode/Node Schalterstellung 0-0 zu booten. In dieser Konfiguration verwendet B&R Windows CE anstatt der von Ihnen gewählten Einstellungen, die Factory Settings.

Siehe auch

Control Center

<< Vorheriges Thema
Kalibrierung des Touch Screens

Startseite

Nächstes Thema >>
Parametrierung der Tasten


Parametrierung der Tasten

Allgemein

Verfügt Ihr Windows CE Gerät über Tasten (z.B. Mobile Panel 5MP181.0843-07), so können diesen Tasten Funktionen einer PS/2 Tastatur zugewiesen werden. Zur Parametrierung benötigen Sie lediglich das Programm B&R Key Editor, welches Sie von der B&R Homepage http://www.br-automation.com downloaden können.

So parametrieren Sie die Tasten eines Mobile Panels:

  • Erstellen Sie ein neues B&R Key Editor Projekt für Ihr Windows CE Gerät. Wählen Sie die Systemfamilie Mobile Panel 100,200 aus.
  • Stellen Sie sicher, dass Sie das Automation Device Interface verwenden.
  • Fügen Sie das gewünschte B&R Windows CE Gerät in das Projekt ein.
  • Parametrieren Sie die Tasten.
  • Erstellen Sie das Projekt und übertragen Sie die Ausgabedatei (KCF) auf das Windows CE Gerät (z.B. B&R Control Center)

Hinweis: Eine ausführliche Dokumentation finden Sie in der B&R Key Editor Online-Hilfe.

<< Vorheriges Thema
Einstellen von Helligkeit und Kontrast

Startseite

Nächstes Thema >>
Duplizieren


Klonen eines Images

In diesem Abschnitt werden folgende Themen behandelt:

Duplizieren

Erstellen eines Images

Wiederherstellen eines Images

<< Vorheriges Thema
Parametrierung der Tasten

Startseite

Nächstes Thema >>
Erstellen eines Images


Erstellen eines Images

Allgemein

In diesem Kapitel erfahren Sie, welche Punkte Sie bei der Erstellung eines Images von B&R Windows CE beachten müssen.

Komponenten

Mit den Komponenten aus der folgenden Tabelle wurden Images erfolgreich erstellt.

    Komponente | Beschreibung
B&R IPC 5600C | Zur Erstellung von Images wird der IPC5600C verwendet. Dieser verfügt über 2 IDE Slots, in welche man CF und Festplatte stecken kann.
CF-Karte mit installiertem B&R Windows CE | Die zu klonende CF-Karte mit funktionierendem B&R Windows CE.
Silikon Disk Adapter | Mit diesem Adapter kann man eine CF am IDE Bus betreiben.
PowerQuest Drive Image 4.0 (PQDI) | Gut funktionierende Software zum Erstellen von Images. Dieses Programm können Sie nicht bei B&R bestellen, Sie müssen dieses direkt beim Hersteller erwerben.
Festplatte | Dient zur Aufnahme des neuen Images.

CF an IDE

PQDI kann nur Images von IDE Devices erstellen. Das heißt, Sie müssen ihre CF per CF Adapter (Silicon Disk Adapter CF 1Slot, 5A5002.03) an den IDE Bus des IPCs anschließen. Stecken Sie somit die CF in den Adapter und diesen wiederum, in eine der beiden IDE Schnittstellen.

Harddisk, CF und CF-Adapter
Festplatte, CF und CF-Adapter

In die zweite IDE Schnittstelle stecken Sie die Festplatte. Die Reihenfolge (Master/Slave) ist ohne Bedeutung.

IDE Schnittstellen des IPC5600
IDE Schnittstellen des IPC5600

CHS Modus für CF

Die B&R Power Panels und die B&R Mobile Panels können nur CF lesen, die im CHS Modus partitioniert und formatiert wurden. Damit der IPC5600C den CHS Modus verwendet, muss dieser im BIOS für das entsprechende IDE Device festgelegt werden. Öffnen Sie im BIOS die Setuppage Standard CMOS Features und stellen Sie den Modus auf Normal (bzw. CHS).

Rebooten Sie den IPC und beobachten Sie während dieses Vorganges den BIOS Summary Screen. Für die CF muss nun der verwendete Modus auf Normal (bzw. CHS) eingestellt sein.

Hinweis:
Mehr Informationen zu diesem Thema finden Sie im Anwenderhandbuch Provit 5000 Anwenderhandbuch MAPRV5000-0. Dieses können Sie von der B&R Homepage downloaden.

Power Quest Drive Image (PQDI)

Booten Sie den IPC5600C mit der ersten Diskette von PQDI. Nach dem Booten wählen Sie den Menüpunkt C reate Image um den Vorgang der Erstellung zu beginnen. Da Sie die Standardeinstellungen verwenden können, müssen Sie nur noch den Anweisungen am Bildschirm folgen, um das Image erfolgreich herzustellen.

Screenshot von Power Quest Drive Image
Screenshot von PowerQuest Drive Image

Siehe auch

Wiederherstellen eines Images

<< Vorheriges Thema
Duplizieren

Startseite

Nächstes Thema >>
Wiederherstellen eines Images


Wiederherstellen eines Images

Allgemein

In diesem Kapitel erfahren Sie, welche Punkte Sie beim Wiederherstellen eines Images von B&R Windows CE beachten müssen.

Komponenten

Mit den Komponenten aus der folgenden Tabelle wurden Images erfolgreich wiederhergestellt.

    Komponente | Beschreibung
B&R IPC 5600C | Zum Wiederherstellen von Images wird der IPC5600C verwendet. Dieser verfügt über 2 IDE Slots, in welche man CF und Festplatte stecken kann.
Silikon Disk Adapter | Mit diesem Apdapter kann man eine CF am IDE Bus betreiben.
PowerQuest Drive Image 4.0 (PQDI) | Gut funktionierende Software zum Erstellen/Wiederherstellen von Images. Dieses Programm können Sie nicht bei B&R bestellen, Sie müssen dieses direkt beim Hersteller erwerben.
Festplatte | Dient zur Aufnahme des neuen Images.

CF an IDE

PQDI kann nur Images auf IDE Devices wiederherstellen. Das heisst, Sie müssen ihre leere CF per CF Adapter (Silicon Disk Adapter CF 1Slot, 5A5002.03) an den IDE Bus des IPC anschließen. Stecken Sie somit die CF in den Adapter und diesen wiederum, in eine der beiden IDE Schnittstellen.

Harddisk, CF und CF-Adapter
Festplatte, CF und CF-Adapter

In die zweite IDE Schnittstelle stecken Sie die Festplatte welche das Image (*.pqi Datei) enthält. Die Reihenfolge (Master/Slave) ist ohne Bedeutung.

IDE Schnittstellen des IPC5600
IDE Schnittstellen des IPC5600

CHS Modus für CF

Die B&R Power Panels und die B&R Mobile Panels können nur Compact Flash Karten lesen, welche im CHS Modus partitioniert und formatiert wurden. Damit der IPC5600C den CHS Modus verwendet, muss dieser im BIOS für das entsprechende IDE Device festgelegt werden. Öffnen Sie im BIOS die Setuppage Standard CMOS Features und stellen Sie den Modus auf Normal (bzw. CHS).

Rebooten Sie den IPC und beobachten Sie während dieses Vorganges den BIOS Summary Screen. Für die CF muss nun der verwendete Modus auf Normal (bzw. CHS) eingestellt sein.

Hinweis: Stellen Sie sicher, dass Ihr verwendetes Image bereits im CHS Modus erstellt worden ist! Siehe Kapitel Erstellen eines Images.

Hinweis: Mehr Informationen zu diesem Thema finden Sie im Anwenderhandbuch Provit 5000 Anwenderhandbuch MAPRV5000-0. Dieses können Sie von der B&R Homepage downloaden.

Power Quest Drive Image (PQDI)

Booten Sie den IPC5600C mit der ersten Diskette von PQDI. Nach dem Booten wählen Sie den Menüpunkt R estore Image um den Vorgang der Wiederherstellung zu beginnen. Da Sie die Standardeinstellungen verwenden können, müssen Sie nur noch den Anweisungen am Bildschirm folgen, um das Image erfolgreich auf die CF zu kopieren.

Screenshot von Power Quest Drive Image
Screenshot von PowerQuest Drive Image

Siehe auch

Erstellen eines Images

<< Vorheriges Thema
Erstellen eines Images

Startseite

Nächstes Thema >>
Softwareentwicklung


Softwareentwicklung

In diesem Abschnitt werden folgende Themen behandelt:

Softwareentwicklung

Software Development Kit

Native Code Development

Managed Code Development

<< Vorheriges Thema
Wiederherstellen eines Images

Startseite

Nächstes Thema >>
Software Development Kit


Software Development Kit

Allgemein

Ein Windows CE Software Development Kit definiert den Funktionsumfang eines Windows CE Images. Diese Information wird von manchen Entwicklungsumgebungen benötigt, um nur unterstützte APIs anzubieten. Somit wird verhindert dass Applikationen Windows CE Komponenten verwenden, welche nicht im Image enthalten sind.

Auch B&R bietet Software Development Kits für die B&R Windows CE Images an. Sie können diese von der B&R Homepage http://www.br-automation.com laden. In den folgenden Tabellen finden Sie die aktuell verfügbaren Software Development Kits:

PP100/200, MP100/200

Version des Windows CE Images | Version des SDK's | Dateiname des SDK's | Microsoft eMbedded Visual C++ 4.0 | Microsoft Visual Studio 2003 | Microsoft Visual Studio 2005
V5.0 | V5.0 | BR Power and Mobile Panel (100,200) CE5.00 V5.0 SDK.msi | OK | OK | -
V5.1 | V5.1 | BR Power and Mobile Panel (100,200) CE5.00 V5.1 SDK.msi | OK | OK | OK

APC620, PPC700

Version des Windows CE Images | Version des SDK's | Dateiname des SDK's | Microsoft eMbedded Visual C++ 4.0 | Microsoft Visual Studio 2003 | Microsoft Visual Studio 2005
V1.0 | V1.0 | BR APC620 and PPC700 CE5.00 V1.0 SDK.msi | OK | OK | -
V1.1 | V1.1 | BR APC620 and PPC700 CE5.00 V1.1 SDK.msi | OK | OK | OK

In diesem Abschnitt werden folgende Themen behandelt:

Software Development Kit

So können Sie die Version eines installierten SDKs ablesen

<< Vorheriges Thema
Softwareentwicklung

Startseite

Nächstes Thema >>
So können Sie die Version eines installierten SDKs ablesen


So können Sie die Version eines installierten SDKs ablesen

Allgemein

  • Öffnen Sie den Dialog Start > Systemsteuerung > Software.
  • Suchen Sie den Eintrag für das Bernecker + Rainer Software Development Kit.
  • Die Versionsnummer ist in der Bezeichnung enthalten.

    Die Versionsnummer eine installierten B&R (eMbedded Visual C++) SDK's

<< Vorheriges Thema
Software Development Kit

Startseite

Nächstes Thema >>
Native Code Development


Native Code Development

In diesem Abschnitt werden folgende Themen behandelt:

Native Code Development

So erstellen Sie ein "Hello World" mit eMbedded Visual C++ 4.0

So erstellen Sie ein Hello World mit Microsoft Visual Studio 2005 und C++

<< Vorheriges Thema
So können Sie die Version eines installierten SDKs ablesen

Startseite

Nächstes Thema >>
So erstellen Sie ein "Hello World" mit eMbedded Visual C++ 4.0


So erstellen Sie ein "Hello World" mit eMbedded Visual C++ 4.0

Allgemein

In diesem Beispiel erfahren Sie, wie man eine einfache eMbedded Visual C++ 4.0 Applikation für B&R Windows CE erstellt.

Hinweis: Es wird davon abgeraten, neue Applikationen mit Microsoft eMbedded Visual C++ 4.0 zu erstellen. Verwenden Sie stattdessen Microsoft Visual Studio 2005. Beachten Sie dazu das Kapitel So erstellen Sie ein Hello World in Visual Studio 2005.

So erstellen Sie ein "Hello World" mit eMbedded Visual C++ 4.0:

  • Stellen Sie sicher, dass Sie ein B&R Software Development Kit installiert habe. Beachten Sie dazu das Kapitel Software Development Kit.
  • Für dieses Beispiel verwenden wir als Transportprovider ActiveSync. Wie Sie diese Verbindung erfolgreich herstellen, erfahren Sie in Kapitel ActiveSync.
  • Um ein neues Projekt mit eMbedded Visual C++ 4.0 zu erstellen, wählen Sie bitte den Befehl New aus dem Menü File.

File->New erstellt ein neues Projekt

  • Im nächsten Dialog, wählen Sie als Projekttyp WCE MFC AppWizard (exe) aus. Geben Sie dem Projekt einen Namen (in unserem Beispiel wird "EinTest" verwendet) und wählen Sie ein Verzeichnis für das Projekt aus.

Typ, Name und Verzeichnis werden festgelegt

  • Im Dialog Step 1 of 4 müssen Sie den Typ der Applikation auf Dialog based ändern.

Wählen sie "Dialog Based" aus.

  • Bestätigen Sie den Dialog Step 1 of 4 mit Next >, der Dialog Step 2 of 4 wird geöffnet.

Ändern sie in diesem Dialog keine Einstellung

  • Lassen Sie die Einstellungen des Dialoges Step 2 of 4 unverändert und bestätigen Sie diesen mit Next >, der Dialog Step 3 of 4 wird geöffnet.

Ändern sie in diesem Dialog keine Einstellung

  • Lassen Sie auch diesen Dialog unverändert. Nach dem Bestätigen mit Next > öffnet sich der Dialog Step 4 of 4.

Klicken sie auf "Finish" um das Projekt anzulegen

  • Klicken Sie nun auf Finish um das Projekt anzulegen.
  • Wechseln Sie in die RessourceView und öffnen Sie den Dialog IDD_EINTEST_DIALOG.

    Der geöffnete Dialog "IDD_EINTEST_DIALOG"

  • Markieren Sie das Static Element mit der Caption ZU ERLED.: Dialogfeld - Steuerelem. hier.

Das Static Element wurde markiert

  • Öffnen Sie den Eigenschaftendialog des Elementes und ändern Sie die Caption auf Hello World!.

Die Eigenschaft Caption wurde geändert.

  • Den Konfigurationsdialog des Platform Managers öffnen Sie mit dem Menübefehl Tools > Configure Platform Manager.

  • Wählen Sie nun das B&R Windows CE Gerät als Platform aus.

Das B&R Device wurde markiert

    Hinweis    : Der Name der Platform bzw. des B&R Gerätes, hängt von der Version des installierten SDKs ab. Verwenden Sie jene Platform, welche am besten zu Ihrem B&R Windows CE Gerät passt.

  • Öffnen Sie die Properties des Devices.

Wählen sie zweimal ActiveSync aus

  • In diesem Dialog müssen Sie als Transport und als Startup Server Microsoft ActiveSync auswählen.
  • Starten Sie den Build-Vorgang mit dem Befehl Build > Rebuild All.

Starten sie den "Rebuild All"

  • Nun sind Sie in der Lage das Projekt zu übertragen. Drücken Sie F5 um das Debugging zu starten. Bestätigen Sie die Find Local Module Dialoge mit Cancel.

"Find Local Module" Dialoge mit Cancel abbrechen

  • Am B&R CE Gerät erscheint die Hello World! Applikation.

Eine eVC 4.0 MFC "Hello World" Applikation!

Siehe auch

Active Sync, Anforderungen

<< Vorheriges Thema
Native Code Development

Startseite

Nächstes Thema >>
So erstellen Sie ein Hello World mit Microsoft Visual Studio 2005 und C++


So erstellen Sie ein Hello World mit Microsoft Visual Studio 2005 und C++

Allgemein

In diesem Beispiel wird eine C++ Anwendung mit Microsoft Visual Studio 2005 erstellt.

So erstellen Sie ein Hello World mit Microsoft Visual Studio 2005 und C++:

  • Stellen Sie sicher, dass Sie ein B&R Software Development Kit installiert haben. Beachten Sie dazu das Kapitel Software Development Kit.
  • Öffnen Sie Microsoft Visual Studio 2005.
  • Öffnen Sie den Dialog File > New Project ...
  • Markieren Sie den Project Type Other Languages > Visual C++ > Smart Device >MFC Smart Device Application.
  • Geben Sie in die Texbox Name Hello World ein.
  • Überspringen Sie den Dialog MFC Smart Device Application Wizard - Hello World mit einem Klick auf Next >.
  • Stellen Sie nun sicher, dass in der Liste Selected SDKs, dass gewünschte B&R Software Development Kit aufgelistet wird. Entfernen Sie alle nicht benötigten SDKs.
  • Beenden Sie bereits diesen Dialog mit Finish. Der Application Wizard verwendet somit die Standardeinstellungen.
  • Stellen Sie nun eine Verbindung zum B&R Windows CE Gerät her. Beachten Sie dazu das Kapitel So verbinden Sie Visual Studio 2005 mit Ihrem B&R Windows CE Gerät.
  • Klicken Sie auf Build > Deploy Hello World.
  • Das Beispiel wird nun erstellt und in das Verzeichnis \Program Files\Hello World auf Ihr B&R Windows CE Gerät übertragen.

<< Vorheriges Thema
So erstellen Sie ein "Hello World" mit eMbedded Visual C++ 4.0

Startseite

Nächstes Thema >>
Managed Code Development


Softwareentwicklung

In diesem Abschnitt werden folgende Themen behandelt:

Managed Code Development

So erstellen Sie ein "Hello World" für das Compact Framework V1.0

So erstellen Sie ein "Hello World" für das Compact Framework V2.0

<< Vorheriges Thema
So erstellen Sie ein Hello World mit Microsoft Visual Studio 2005 und C++

Startseite

Nächstes Thema >>
So erstellen Sie ein "Hello World" für das Compact Framework V1.0


So erstellen Sie ein "Hello World" für das Compact Framework V1.0

Allgemein

In diesem Beispiel lernen Sie, wie man eine einfache Visual Basic.Net Applikation mit Visual Studio 2003 für ein B&R Windows CE Gerät erstellt.

Hinweis: Es wird davon abgeraten, neue Applikationen mit Microsoft Visual Studio 2003 für das Compact Framework 1.0 zu erstellen. Verwenden Sie Microsoft Visual Studio 2005 für das Compact Framework V2.0. Beachten Sie dazu das Kapitel So erstellen Sie ein "Hello World" für das Compact Framework V2.0.

So erstellen Sie ein "Hello World" für das Compact Framework V1.0:

  • Stellen Sie sicher, dass Sie ein B&R Software Development Kit installiert haben. Beachten Sie dazu das Kapitel Software Development Kit.
  • Stellen Sie sicher, dass Sie das Windows CE Utilities for Visual Studio .NET 2003 Add-on Pack von Microsoft installiert haben. Sie können dieses Softwarepaket von der Microsoft Homepage http://www.microsoft.com laden.
  • Für dieses Beispiel verwenden wir als Transportmethode ActiveSync. Wie Sie diese Verbindung erfolgreich herstellen, erfahren Sie in den Kapiteln ActiveSync Transport und ActiveSync.
  • Um ein neues Projekt mit Visual Studio.Net zu erstellen, wählen Sie den Befehl New > Project aus dem Menü File.

Ein neues Projekt mit Visual Studio.Net erzeugen

  • Im nächsten Dialog wählen Sie aus den Visual Basic Projekten bitte den Typ Smart Device Application aus. Geben Sie Ihrem Projekt einen Namen (in unserem Beispiel wird "EinTest" verwendet) und wählen Sie einen Ordner aus.

Typ, Name und Verzeichnis werden festgelegt

  • Nun definieren Sie Ihre Platform -> Windows CE. Als Projekttyp verwenden Sie Windows Application.

Die Platform und der Projekttyp werden festgelegt

  • Nun platzieren Sie ein Label auf der soeben erstellten Form. Doppelklicken Sie dazu das Label Element in der Toolbox.

Ein Label platzieren

Das neu erstellte Label

  • Nun weisen Sie der Eigenschaft Caption des Label Controls den Wert Hello World zu.

Der Eigenschaften Dialog des Label Controls

Hinweis: Dieser Schritt setzt voraus, dass Sie die Windows CE Utilities for Visual Studio .NET 2003 Add-on Pack installiert haben. Siehe Benötigte Software.
  • Sie müssen nun Visual Studio.Net 2003 auf das Compact Framework für x86 CPUs umstellen. Öffnen Sie dazu den Dialog Select Windows CE Device CPU aus dem Menü Tools. Wählen Sie in der Dropdown Box den CPU Typ X86 aus und bestätigen Sie dies mit Configure.

Der Dialog Select Windows CE CPU

  • Nach dem Ändern der Device Architecture müssen Sie die Registry am B&R CE Gerät speichern. Nun können Sie durch einen Klick auf Connect to Device eine Verbindung mit dem B&R CE Gerät herstellen.

Connect to Device

Hinweis: Das erste Verbinden kann mehrere Minuten dauern!
  • Wurde die Verbindung erfolgreich aufgebaut, so erhalten Sie in der Statusbar die Meldung Device Connected.

Das B&R CE4.1 Gerät wurde erfolgreich verbunden.

Erstellen des Deployments und übertragen auf das Target

  • Nun müssen Sie das Deployment erstellen. Dies geschieht durch den Klick auf das Schranksymbol in der Taskleiste.

Erstellen des Deployments

  • Wurde das Deployment erstellt, so können Sie das Projekt mit F5 auf das B&R Windows CE Gerät übertragen. Als Deploymentarget müssen Sie noch das Windows CE.NET Device auswählen.

Wählen sie ihr Target aus!

Siehe auch

Anforderungen, ActiveSync

<< Vorheriges Thema
Managed Code Development

Startseite

Nächstes Thema >>
So erstellen Sie ein "Hello World" für das Compact Framework V2.0


So erstellen Sie ein "Hello World" für das Compact Framework V2.0

Allgemein

In diesem Beispiel erfahren Sie, wie man eine Applikation basierend auf dem .Net Compact Framework V2.0 erstellt. Als Programmiersprache wird Visual Basic.Net verwendet.

So erstellen Sie ein "Hello World" für das Compact Framework V2.0:

  • Stellen Sie sicher, dass das Microsoft Compact Framework V2.0 bereits installiert ist. Beachten Sie dazu die Kapitel Funktionsumfang und Wie installiere ich das Compact Framework 2.0?
  • Stellen Sie sicher, dass Microsoft ActiveSync 4.X installiert ist.
  • Starten Sie Microsoft Visual Studio 2005.
  • Öffnen Sie den Dialog File > New Project...
  • Wählen Sie in der Baumansicht Project types den Typ Visual Basic > Smart Device > Windows CE 5.0 aus.
  • Markieren Sie anschließend das Template Device Application.
  • Als Name geben Sie HelloWorld ein.
  • Beenden Sie den Dialog mit OK.
  • Fügen Sie nun das Control Label in die Form Form1 ein.
  • Setzen Sie das Property Text des Control Label auf den Wert Hello World.
  • Speichern Sie nun das Projekt.
  • Stellen Sie eine Verbindung mit dem B&R Windows CE Gerät her. Beachten Sie dazu das Kapitel So verbinden Sie Visual Studio 2005 mit Ihrem B&R Windows CE Gerät.
  • Klicken Sie anschließend auf Build > Deploy HelloWorld.
  • Im Dialog Deploy HelloWorld wählen Sie das Device Windows CE 5.0 Device.
  • Beenden Sie den Dialog Deploy HelloWorld mit Deploy.

Siehe auch

Funktionsumfang, Wie installiere ich das Compact Framework V2.0, So verbinden Sie Visual Studio 2005 mit Ihrem B&R Windows CE Gerät

<< Vorheriges Thema
So erstellen Sie ein "Hello World" für das Compact Framework V1.0

Startseite

Nächstes Thema >>
Verbindung mit dem CE-Gerät aufnehmen


Verbindung mit dem CE-Gerät aufnehmen

Allgemein

Es gibt mehrere Methoden ein B&R Windows CE Gerät mit einem Desktop-PC zu verbinden. In der folgenden Tabelle sind die verschiedenen Methoden und deren typischen Anwendungsfälle aufgelistet:

Connection Manager | Deployment und Debugging von Microsoft Visual Studio 2005 Projekten.
Platform Manager | Deployment und Debugging von Microsoft eMbedded Visual C++ 4.0 Projekten.
ActiveSync | Kopieren von Dateien

In diesem Abschnitt werden folgende Themen behandelt:

Verbindung mit dem CE-Gerät aufnehmen

Connection Manager

Platform Manager

ActiveSync

<< Vorheriges Thema
So erstellen Sie ein "Hello World" für das Compact Framework V2.0

Startseite

Nächstes Thema >>
Connection Manager


Connection Manager

In diesem Abschnitt werden folgende Themen behandelt:

Connection Manager

So verbinden Sie Visual Studio 2005 mit Ihrem B&R Windows CE Gerät

<< Vorheriges Thema
Verbindung mit dem CE-Gerät aufnehmen

Startseite

Nächstes Thema >>
So verbinden Sie Visual Studio 2005 mit Ihrem B&R Windows CE Gerät


So verbinden Sie Visual Studio 2005 mit Ihrem B&R Windows CE Gerät

Allgemein

Da ActiveSync 4.X keine Ethernet Unterstützung bietet (siehe Kapitel Warum funktioniert die Ethernet Verbindung mit ActiveSync 4.X nicht mehr?) und eine serielle ActiveSync Verbindung zu langsam ist, verwendet man als Transportmethode typischerweise TCP Connect Transport. In diesem Kapitel erfahren Sie, wie man ein B&R Gerät mit Visual Studio 2005 verbindet.

So verbinden Sie Visual Studio 2005 mit Ihrem B&R Windows CE Gerät:

  • Kopieren Sie die folgenden Dateien in das \Windows Verzeichnis Ihres B&R Windows CE Gerätes. Sie finden diese Dateien auf Ihrem Desktop PC im Verzeichnis \Program Files\Common Files\Microsoft Shared\CoreCon\1.0\Target\wce400\<CPU>.

    Clientshutdown.exe
    ConmanClient2.exe
    CMaccept.exe
    eDbgTL.dl
    lTcpConnectionA.dll

Hinweis: Diese Dateien sind Bestandteil von Microsoft Visual Studio 2005. Stellen Sie sicher, dass Sie Microsoft Visual Studio 2005 bereits installiert haben.
  • Überprüfen Sie ob Ihr B&R Windows CE Gerät über eine funktionierende Ethernet Verbindung verfügt. Notieren Sie sich die zugewiesene IP-Adresse.
  • Starten Sie das Programm ConmanClient2.exe. Wurde ConmanClient2.exe erfolgreich ausgeführt, so erhält man im Verzeichnis von ConmanClient2.exe eine Konfigurationsdatei mit dem Namen einer GUID.

Hinweis: Die Konfigurationsdatei wird von ConmanClient2.exe nur dann erstellt, wenn Ihr Windows CE Gerät über eine funktionierende Ethernet Verbindung verfügt. Ist die Ethernet Verbindung noch nicht gestartet, so wartet ConmanClient2.exe auf diese Verbindung. Erkennt ConmanClient2.exe dass die Ethernet Verbindung hergestellt wurde, so wird automatisch die Konfigurationsdatei erstellt.

  • Starten Sie Microsoft Visual Studio 2005.
  • Öffnen Sie nun den Dialog Tools > Options > Device Tools > Devices.
  • Aktivieren Sie in der Liste Devices das Windows CE 5.0 Device.
  • Öffnen Sie den Dialog Properties...
  • Wählen Sie in der Dropdownbox Transport TCP Connect Transport aus.
  • Klicken Sie anschließend auf Configure.
  • Aktivieren Sie die Option Device IP address > Use specific IP address im Dialog Configure TCP/IP Transport.
  • Geben Sie die IP-Adresse des B&R Windows CE Gerätes ein.
  • Beenden Sie den Dialog mit OK.
  • Beenden Sie den Dialog Windows CE 5.0 Device Properties mit OK.
  • Beenden Sie den Dialog Options mit OK.

  • Starten Sie das Programm CMAccept.exe am B&R Windows CE Gerät.
  • Sie müssen nun innerhalb von drei Minuten eine Verbindung von Microsoft Visual Studio 2005 zum B&R Windows CE Gerät herstellen. Wenn Sie innerhalb dieser drei Minuten die Verbindung aufbauen, so können Sie diese Verbindung so lange benutzen bis Sie Microsoft Visual Studio 2005 beenden.

Hinweis: Beachten Sie den MSDN Artikel How to: Connect to Windows CE Device Without ActiveSync

<< Vorheriges Thema
Connection Manager

Startseite

Nächstes Thema >>
Platform Manager


Platform Manager

Allgemein

Der Platform Manager stellt die Verbindung zwischen einem Windows CE Gerät und verschiedensten Development-Tools (z.B. Microsoft eMbedded Visual C++ oder das Visual Studio 2003) her. Anhand des Platform Managers können diese Development-Tools Programme Übertragen, Ausführen oder Debuggen. Der Platform Manager verwendet zur Übertragung verschiedene Transportmethoden. Auf B&R Windows CE Geräten werden der TCP/IP Transport und der ActiveSync Transport unterstützt.

In diesem Abschnitt werden folgende Themen behandelt:

Platform Manager

ActiveSync Transport

TCP/IP Transport

<< Vorheriges Thema
So verbinden Sie Visual Studio 2005 mit Ihrem B&R Windows CE Gerät

Startseite

Nächstes Thema >>
ActiveSync Transport


ActiveSync Transport

Allgemein

Um Microsoft ActiveSync als Transportmethode für den Platform Manager verwenden zu können, müssen Sie Microsoft ActiveSync zuerst installieren. Beachten Sie dazu das Kapitel ActiveSync in diesem Dokument.

So konfigurieren Sie den ActiveSync Transport:

Hinweis!

Bevor Sie mit diesem Tutorial beginnen, müssen folgende Voraussetzungen erfüllt sein:

  1. Microsoft eMbedded Visual C++ 4.0 muss installiert sein (Durch eMbedded Visual C++ 4.0 wird der Platform Manager installiert).
  2. Ein B&R Windows CE SDK muss installiert sein.
  3. Microsoft ActiveSync muss installiert sein.
  4. Das B&R Windows CE Gerät muss per ActiveSync mit dem Desktop-PC verbunden sein.
  • Öffnen Sie Microsoft eMbedded Visual C++ 4.0.
  • Öffnen Sie den Dialog Tools > Configure Platform Manager...

Menüpunkt Configure Platform Manager im Tools Menü von eVC4

  • Markieren Sie nun das B&R Gerät und öffnen Sie den Dialog Properties...

Der Platform Manager wird konfiguriert

Hinweis: Der Name der Platform bzw. des B&R Gerätes, hängt von der Version des installierten SDKs ab. Verwenden Sie jene Platform, welche am besten zu Ihrem B&R Windows CE Gerät passt.
  • Wählen Sie als Transport Microsoft ActiveSync aus.
  • Wählen Sie als Startup Server Microsoft ActiveSync aus.

Siehe auch

Platform Manager, TCP/IP Transport, ActiveSync

<< Vorheriges Thema
Platform Manager

Startseite

Nächstes Thema >>
TCP/IP Transport


TCP/IP Transport

Allgemein

Der TCP/IP Transport ist die simpleste Form, um mit einem B&R Windows CE Gerät zu kommunizieren.

So konfigurieren Sie den TCP/IP Transport:

Hinweis!

Bevor Sie mit diesem Tutorial beginnen, müssen folgende Voraussetzungen erfüllt sein:

  1. Microsoft eMbedded Visual C++ 4.0 muss installiert sein (Durch eMbedded Visual C++ 4.0 wird der Platform Manager installiert).
  2. Ein B&R Windows CE SDK muss installiert sein.
  3. Das B&R Windows CE Gerät und der Desktop-PC müssen per Ethernet/LAN verbunden sein. Testen Sie die korrekte Verbindung mit einem PING.
  • Öffnen Sie Microsoft eMbedded Visual C++ 4.0.
  • Öffnen Sie den Dialog Tools > Configure Platform Manager...

Menüpunkt Configure Platform Manager im Tools Menü von eVC4

  • Markieren Sie nun das B&R Gerät und öffnen Sie den Dialog Properties...

Der Platform Manager wird konfiguriert

Hinweis: Der Name der Platform bzw. des B&R Gerätes, hängt von der Version des installierten SDKs ab. Verwenden Sie jene Platform, welche am besten zu Ihrem B&R Windows CE Gerät passt.
  • Wählen Sie als Transport TCP/IP Transport for Windows CE aus.
  • Wählen Sie als Startup Server Manual Server aus.

    Konfiguration der Manuellen TCPIP Verbindung

So testen Sie den TCP/IP Transport:

Für den Test des TCP/IP Transports, verwenden Sie das Programm Remote Zoom-in. Mit diesem Programm werden Screenshots eines Windows CE Targets erstellt.

  • Öffnen Sie Microsoft eMbedded Visual C++ 4.0.
  • Wählen Sie Tools > Remote Zoomin.

  • Markieren Sie nun das B&R Gerät und klicken Sie auf OK.

Der Select a Windows CE Device Dialog von Remote Zoomin

Hinweis: Der Name der Platform bzw. des B&R Gerätes, hängt von der Version des installierten SDKs ab. Verwenden Sie jene Platform, welche am besten zu Ihrem B&R Windows CE Gerät passt.

  • Öffnen Sie den Dialog Start > Ausführen am Windows CE Gerät.
  • Geben Sie den rot umrahmten Text (Fenster Manual Server-Action) in den Dialog Ausführen am B&R Windows CE Gerät ein.

Die Kommunikation wurde gestartet

Hinweis: Startet Remote Zoomin die Verbindung nicht automatisch, so klicken Sie auf dieses Icon [image].

Starten von CEMGRC.EXE am CE Gerät

  • Bestätigen Sie den Dialog Manual Server-Action am Desktop-PC.
  • Bestätigen Sie den Dialog Ausführen am Windows CE Gerät.

    Remote Zoomin hat erfolgreich einen Screenshot erstellt

  • Nach kurzer Zeit wird Remote Zoomin einen Snapshot vom CE Gerät anzeigen.

Siehe auch

Anforderungen, ActiveSync Transport, Platform Manager

<< Vorheriges Thema
ActiveSync Transport

Startseite

Nächstes Thema >>
ActiveSync


ActiveSync

Allgemein

Microsoft stellt mit Microsoft ActiveSync ein Programm zur Verfügung, mit dem Sie Ihren Desktop-PC mit einem beliebigen Windows CE Gerät verbinden können. Mit Microsoft ActiveSync ist es möglich z.B. Dateien zu kopieren oder Verzeichnisse zu synchronisieren. Wird Microsoft ActiveSync als Transportmethode für den Connection Manager (oder den Platform Manager) verwendet, so können Sie auch Software über eine Microsoft ActiveSync Verbindung deployen und debuggen.

Eine der Kernfunktionen von Microsoft ActiveSync ist die nahtlose Integration des mobilen Gerätes in die Windowsoberfläche:

Direkter Zugriff auf das mobile Gerät über den Windows Explorer

ActiveSync wird kostenlos von Microsoft zum Download angeboten. Sie finden das Programm auf der Homepage von Microsoft (http://www.microsoft.com) am einfachsten, wenn Sie nach ActiveSync Download suchen. Da Microsoft die Wifi Funktionalität aus Microsoft ActiveSync 4.X entfernt hat, sollten Sie wenn möglich Microsoft ActiveSync 3.8 verwenden. Beachten Sie allerdings, dass Microsoft Visual Studio 2005 Microsoft ActiveSync 4.X voraussetzt (siehe Kapitel Warum funktioniert die Ethernet Verbindung mit ActiveSync 4.X nicht mehr?).

Wichtig!

Microsoft ActiveSync verursacht Probleme, wenn 2 LAN-Verbindungen aktiv sind. Treten bei der Kommunikation Probleme auf, so deaktivieren Sie bitte alle überflüssigen LAN-Verbindungen.

ActiveSync verursacht Probleme wenn mehr als eine LAN-Verbindung aktiv ist

Folgende Microsoft ActiveSync Verbindungstypen sind verfügbar:
  • Seriell
  • Ethernet

<< Vorheriges Thema
TCP/IP Transport

Startseite

Nächstes Thema >>
Seriell


Seriell

Allgemein

Um eine serielle ActiveSync Verbindung zwischen Ihrem CE Gerät und Ihrem Desktop-PC herstellen zu können, benötigen Sie ein serielles RS232 Kabel. Dazu werden verschiedene Pinbelegungen in Abhängigkeit vom verwenden CE Gerät benötigt.

Pinbelegung am Power Panel 100/200, APC620 und PPC700

9 PIN D-SUB FEMALE (Computer 1) |  | 9 PIN D-SUB FEMALE (Computer 2)
Name | Pin | Pin | Name
Receive Data | 2 | 3 | Transmit Data
Transmit Data | 3 | 2 | Receive Data
Data Terminal Ready | 4 | 6+1 | Data Set Ready + Data Carrier Detect
System Ground | 5 | 5 | System Ground
Data Set Ready + Carrier Detect | 6+1 | 4 | Data Terminal Ready
Request to Send | 7 | 8 | Clear to Send
Clear to Send | 8 | 7 | Request to Send

B&R bietet für das folgende passende RS232 DB9 Nullmodem Kabel an:

Nullmodemkabel 9A0017.0x

RS232 DB9 Nullmodem Kabel | 9A0017.01 | 9A0017.02
Länge | 0,6 Meter | 1,8 Meter

Pinbelegung Mobile Panel 100/200

Schaltschrankkabel RS232 | 9 PIN D-SUB FEMALE
- | Pin | Name
Receive Data (Rosa) | 3 | Transmit Data
Transmit Data (Grau) | 2 | Receive Data
System Ground (Weiß-Gelb) | 5 | System Ground
- | 6+1+4 | Data Set Ready + Data Carrier Detect + Data Terminal Ready
 | 7+8 | Clear to Send + Request to Send

So stellen Sie eine ActiveSync Verbindung her:

  • Verbinden Sie mit dem oben beschriebenen seriellen Kabel, die COM1 Ihres CE Gerätes mit der COM1 Ihres Desktop-PCs. Danach starten Sie das Programm Microsoft ActiveSync mit einem Doppelklick auf das Icon.

  • Nun wählen Sie den Menüpunkt Verbindung herstellen ... aus dem Menü Datei an.

Eine Verbindung mit dem CE - Gerät herstellen

  • Den Dialog Verbindung herstellen beenden Sie mit Weiter >.

Überspringen Sie diesen Dialog mit einem Klick auf "Weiter >"

  • ActiveSync versucht nun das CE Gerät an einer Kommunikationsschnittstelle Ihres Dekstop PCs zu finden.

Das CE-Gerät wird gesucht

  • Während ActiveSync das CE Gerät sucht, müssen Sie am CE Gerät den ActiveSync Server Repllog.exe starten. Dieses Programm versucht nun seinerseits, eine Verbindung mit dem Desktop-PC per ActiveSync herzustellen. Sie können dieses Programm sehr einfach mit dem Shortcut Start > Programs > Accessories > ActiveSync Connection Default starten.

Hinweis: Verwenden Sie B&R Windows CE V5.0 oder höher, so müssen Sie den ActiveSync Server Repllog.exe nicht manuell starten. Das B&R Windows CE Image erkennt eine ActiveSync Anforderung und startet den Server automatisch.
  • Wurde das CE Gerät gefunden, bietet Ihnen ActiveSync an, eine Partnerschaft festzulegen. Markieren Sie die Option Ja und beenden Sie diesen Dialog mit einem Klick auf Weiter >.

Dialog zum festlegen einer Partnerschaft mit dem CE-Gerät

Hinweis: Es ist nicht unbedingt notwendig eine Partnerschaft anzulegen, da am B&R CE Gerät keine Programme installiert sind die diese Funktion zwingend benötigen.
  • Im nächsten Dialog können Sie definieren, welche Komponenten zwischen Ihrem Windows CE Gerät und Ihrem Desktop-PC synchronisiert werden sollen.

  • Wurde die Verbindung erfolgreich aufgebaut, so erscheint der Schriftzug Connected oder Verbunden im Fenster von ActiveSync.

Sie wurden als "Gast" mit ihrem CE-Gerät verbunden

  • Am CE Gerät erkennen Sie eine aktive ActiveSync Verbindung an diesem Icon im Systemtray:

Trayicon einer aktiven ActiveSyncverbindung am CE-Gerät

  • Ein Doppelklick auf das Systemtrayicon öffnet einen weiteren Dialog, welcher Ihnen die Möglichkeit bietet, die ActiveSync-Verbindung zu deaktivieren.

CE Dialog zum Trennen einer ActiveSync Verbindung

  • Zum Abschluss müssen Sie noch die Registry auf dem CE Gerät speichern. Öffnen Sie dazu den Configuration Manager über Start > Settings > Control Panel > Configuration Manager und klicken Sie auf den Button Save Settings der Registerkarte Save.

Siehe auch

ActiveSync, ActiveSync Transport, ActiveSync Ethernet

<< Vorheriges Thema
ActiveSync

Startseite

Nächstes Thema >>
Ethernet


Ethernet

Allgemein

Bis zur Version 3.8 von Microsoft ActiveSync konnte eine Verbindung zum Windows CE Gerät auch über Ethernet hergestellt werden. Im folgenden finden Sie eine Anleitung, wie Sie ihr B&R Windows CE Gerät per ActiveSync 3.8 und Ethernet mit Ihrem Desktop PC verbinden.

So erstellen Sie eine ActiveSync Verbindung per Ethernet:

  • Stellen Sie sicher, dass Sie Microsoft ActiveSync 3.8 auf Ihrem Desktop PC installiert haben. Beachten Sie dazu das Kapitel Warum funktioniert die Ethernet Verbindung mit ActiveSync 4.X nicht mehr?

  • Erstellen Sie eine Partnerschaft mit Ihrem B&R Windows CE Gerät. Beachten Sie dazu das Kapitel Verbindung mit dem CE Gerät aufnehmen > ActiveSync > Seriell.

  • Überprüfen Sie, ob Ihre Ethernetverbindung am B&R Windows CE Gerät funktioniert. Dies können Sie am folgenden Systemtray Icon erkennen:

  • Stellen Sie sicher, dass aktive Firewalls korrekt konfiguriert wurden.

  • Öffnen Sie den Shortcut Start > Programs > Accessories > ActiveSync Connection Remote am B&R Windows CE Gerät. Falls dieser Shortcut nicht vorhanden ist, können Sie die Verbindung auch durch die Eingabe von repllog.exe /remote aktivieren.

Starten der ActiveSync - Ethernet Verbindung mit dem Shortcut aus dem Startmenü

  • Wählen Sie im nächsten Dialog jenen Computer aus (Desktop PC), mit welchem Sie sich verbinden wollen.

  • Nach erfolgreicher Verbindung erscheint folgender Dialog am B&R Windows CE Gerät:

Die Ethernet Verbindung wurde erfolgreich aufgenommen

Siehe auch

ActiveSync, Verbindung mit dem CE Gerät aufnehmen > ActiveSync > Seriell, ActiveSync Transport, Warum funktioniert die Ethernet Verbindung mit ActiveSync 4.X nicht mehr?

<< Vorheriges Thema
Seriell

Startseite

Nächstes Thema >>
B&R spezifische Erweiterungen


B&R Windows CE Tools

B&R spezifische Erweiterungen

In diesem Abschnitt werden folgende Themen behandelt:

B&R spezifische Erweiterungen

Bibliotheken

Konfigurationsdateien

Control Panel Applets

Tools

<< Vorheriges Thema
Ethernet

Startseite

Nächstes Thema >>
Bibliotheken


Bibliotheken

In diesem Abschnitt werden folgende Themen behandelt:

Bibliotheken

Automation Device Interface

<< Vorheriges Thema
B&R spezifische Erweiterungen

Startseite

Nächstes Thema >>
Automation Device Interface


Automation Device Interface

Allgemein

Das B&R Automation Device Interface (ADI) ist die Schnittstelle zu B&R Geräten wie Power Panel 100 oder Automation PC 620. Sie können damit z.B. LEDs setzen oder bei einem B&R Display die Helligkeit verändern.

Damit Sie das B&R Automation Device Interface in Ihrer Applikation verwenden können, müssen Sie das Softwarepaket ADI Development Kit von der B&R Homepage (http://www.br-automation.com) downloaden. Diese Paket enthält die benötigten Definitions- und Hilfedateien.

Siehe auch

Wo finde ich eine Beschreibung der ADI Funktionen?

<< Vorheriges Thema
Bibliotheken

Startseite

Nächstes Thema >>
Konfigurationsdateien


Konfigurationsdateien

In diesem Abschnitt werden folgende Themen behandelt:

Konfigurationsdateien

SETTINGS.REG

START.DAT

<< Vorheriges Thema
Automation Device Interface

Startseite

Nächstes Thema >>
SETTINGS.REG


SETTINGS.REG

Allgemein

Die ASCII-Datei SETTINGS.REG erlaubt es dem Anwender, die Registry während des ersten Bootens zu verändern. Somit kann während des ersten Bootens z.B. der Computername definiert werden.

Format

Das Format der Datei SETTINGS.REG entspricht jenen REG-Dateien die auch unter Windows 9x/NT/2000/XP verwendet werden. Diese Dateien können manuell mit einem Texteditor oder durch die Exportfunktion des Remote Registry Editors erzeugt werden.

Beispiel einer SETTINGS.REG Datei:

REGEDIT4

[HKEY_LOCAL_MACHINE\Ident]
"Name"="EinTest"

Speicherort

Die Datei SETTINGS.REG muss in der Root der ersten primären Partition auf der Compact Flash Karte abgespeichert sein.

Abarbeitung

  • Während des Bootens überprüft B&R Windows CE, ob eine Datei mit dem Namen SETTINGS.REG in der Root der ersten primären Partition auf der Compact Flash Karte vorhanden ist.
  • Wird eine SETTINGS.REG gefunden, so wird diese geparst und deren Registrykeys in die Registry eingefügt.
  • Nach dem Einfügen aller Keys wird die Datei auf SETTINGS.BAK umbenannt.
  • Existiert bereits eine SETTINGS.BAK, so wird diese gelöscht und durch die neue SETTINGS.BAK ersetzt.
  • Das Gerät wird neu gebootet.

Features

  • String und DWORD Werte

    [HKEY_LOCAL_MACHINE\Comm\PCI\DP838151\Parms\TCPIP]
    "EnableDHCP"=dword:00000000
    "IPAdr"="172.33.22.22"

  • MULTI_SZ Werte

    [HKEY_LOCAL_MACHINE\Comm\PCI\DP838151\Parms\TCPIP]
    "WINS"=hex(7):\
    31,37,32,2e,34,33,2e,33,32,2e,34,31,00,31,37,32,2e,34,33,2e,33,32,2e,34,32,\
    00,00,00,00,00,00

  • Defaultkeys

    [HKEY_LOCAL_MACHINE\Software\Microsoft]
    @="Ein Default Wert"

  • Registrykeys ohne dazugehörige Werte

    [HKEY_LOCAL_MACHINE\Software\Microsoft]

    [HKEY_LOCAL_MACHINE\Software\Microsoft\Shell]

Siehe auch

START.DAT

<< Vorheriges Thema
Konfigurationsdateien

Startseite

Nächstes Thema >>
START.DAT


START.DAT

Allgemein

Die Konfigurationsdatei START.DAT läßt sich mit einer Autoexec.bat von MS-DOS vergleichen. Sie bietet die Möglichkeit Programme beim Booten von B&R Windows CE zu starten und das Image an die eigenen Anforderungen anzupassen. Meistens wird die START.DAT dazu verwendet, anstatt des Explorers die eigene Applikation zu starten.

Speicherort

Die ASCII Datei START.DAT muss im Hauptverzeichnis der ersten primären Partition auf der Compact Flash Karte abgelegt werden (im selben Verzeichnis wie die NK.BIN), nur so wird diese von B&R Windows CE gefunden und ausgeführt.

Spezifikation

  • Die Abarbeitung der einzelnen Kommandos erfolgt asynchron.
  • Die START.DAT ist eine ASCII Datei.

Siehe auch

SETTINGS.REG

<< Vorheriges Thema
SETTINGS.REG

Startseite

Nächstes Thema >>
Syntax


Syntax

Kommentare

Ein Kommentar wird mit einem Semikolon ";"eingeleitet.

;
; Shell
;
RUN="\Windows\Explorer.exe"

Schlüsselwörter und deren Funktion

Generell gelten für Schlüsselwörter folgende Regeln:

  • Alle Schlüsselwörter müssen groß geschrieben werden.
  • Nach einem Schlüsselwort folgt immer ein Gleichheitszeichen '='.
  • Zwischen dem Schlüsselwort und dem Gleichheitszeichen dürfen sich keine Leerzeichen befinden.
  • Werden Pfade auf Dateien im Windows CE Dateisystem angegeben, so müssen die Pfade immer in Anführungszeichen eingeschlossen werden (Ausnahme BINFILE).

Beispiel einer START.DAT

;
; NK.BIN
;
BINFILE=NK.BIN

;
; Das System verfügt über einen Touchscreen
;
TOUCHCAL=1

;
; Storage Memory setzen
;
STORAGEMEMORY=10000

;
; 5 Sekunden Warten
;
WAIT=5000

;
; Font MyUnicode.ttf registrieren
;
REGFONT="\Festplatte\MyUnicode.ttf"

;
; Kopieren einer Datei
;
COPYFILE "\Hard Disk\logoqvga.bmp" "\Windows\MeinLogo.bmp"

;
; Applikation starten
;
RUN="\Windows\MyApp.exe"

<< Vorheriges Thema
START.DAT

Startseite

Nächstes Thema >>
Keywords


Keywords

In diesem Abschnitt werden folgende Themen behandelt:

Keywords

WAIT

RUN

COPYFILE

REGFONT

TOUCHCAL

DEBUGCOMPORT

BINFILE

STORAGEMEMORY

<< Vorheriges Thema
Syntax

Startseite

Nächstes Thema >>
WAIT


WAIT

WAIT

Wartezeit zwischen dem Ausführen zweier Keywords in Millisekunden.

WAIT=Time

Parameter

Time
Zeit in Millisekunden.

Bemerkungen

;
;5 Sekunden Warten
;
WAIT=5000

<< Vorheriges Thema
Keywords

Startseite

Nächstes Thema >>
RUN


RUN

RUN

Startet die angegebene Anwendung.

RUN="Dateiname"

Parameter

Dateiname
Pfad und Dateiname der gewünschten Anwendung. Der Parameter muss in Anführungszeichen eingeschlossen werden.

Bemerkungen

;
; Shell
;
RUN="\Windows\Explorer.exe"

<< Vorheriges Thema
WAIT

Startseite

Nächstes Thema >>
COPYFILE


COPYFILE

COPYFILE

Kopiert eine Datei in ein bestimmtes Verzeichnis.

COPYFILE="Quelldatei" "Zieldatei"

Parameter

Quelldatei
Name und Pfad der Quelldatei welche kopiert werden soll. Der Parameter muss in Anführungszeichen eingeschlossen werden.

Zieldatei
Name und Pfad der Zieldatei in welche die Quelldatei kopiert werden soll. Der Parameter muss in Anführungszeichen eingeschlossen werden.

Bemerkungen

;
; Copy a file
;
COPYFILE "\Hard Disk\logoqvga.bmp" "\Windows\MeinLogo.bmp"

<< Vorheriges Thema
RUN

Startseite

Nächstes Thema >>
REGFONT


REGFONT

REGFONT

Registriert eine Fontdatei im System.

REGFONT="Dateiname"

Parameter

Dateiname
Pfad und Dateiname zum gewünschten Font. Der Parameter muss in Anführungszeichen eingeschlossen werden.

Bemerkungen

;
; Font MyUnicode.ttf registrieren
;REGFONT="\Festplatte\MyUnicode.ttf"

<< Vorheriges Thema
COPYFILE

Startseite

Nächstes Thema >>
TOUCHCAL


TOUCHCAL

TOUCHCAL

Definiert ob das Gerät einen Touch Screen bestitzt.

TOUCHCAL=Yes/No

Parameter

Yes/No
1 = Das Gerät besitzt einen Touch Screen. Beim ersten Booten wird die Touchkalibrierung automatisch gestartet.
0 = Das Gerät besitzt keinen Touch Screen.

Bemerkungen

;
; Touch calibration
;
TOUCHCAL=1

<< Vorheriges Thema
REGFONT

Startseite

Nächstes Thema >>
DEBUGCOMPORT


DEBUGCOMPORT

DEBUGCOMPORT

Definiert die serielle Schnittstelle zur Ausgabe von Debuginformationen.

DEBUGCOMPORT=COM-PORT

Parameter

COM-Port
Die Nummer des COM-Ports. Mit 0 wird die Ausgabe deaktiviert.

<< Vorheriges Thema
TOUCHCAL

Startseite

Nächstes Thema >>
BINFILE


BINFILE

BINFILE

Definiert den Dateinamen des Windows CE Imagefiles.

BINFILE=NK.bin

Parameter

Immer NK.bin.

Bemerkungen

Dieses Keyword ist reserviert zur Verwendung in späteren Versionen von B&R Windows CE.

;
; BIN Filename
;
BINFILE=NK.bin

<< Vorheriges Thema
DEBUGCOMPORT

Startseite

Nächstes Thema >>
STORAGEMEMORY


STORAGEMEMORY

STORAGEMEMORY

Definiert die Größe des Storage Memories.
STORAGEMEMORY=Größe

Parameter

Größe
Größe des Storage Memories in Kilobytes.

Bemerkungen

Ist dieses Keyword gesetzt, so wird die Einstellung aus dem Control Panel Applet System überschrieben.

<< Vorheriges Thema
BINFILE

Startseite

Nächstes Thema >>
Control Panel Applets


Control Panel Applets

In diesem Abschnitt werden folgende Themen behandelt:

Control Panel Applets

Screensaver

Control Center

Configuration Manager

Server

Touch Screen

<< Vorheriges Thema
STORAGEMEMORY

Startseite

Nächstes Thema >>
Screensaver


Screensaver

Allgemein

Mit Hilfe des Screensaver Control Panel Applets können Sie die Bildschirmschoner des B&R Windows CE Gerätes konfigurieren.

So aktivieren Sie einen Bildschirmschoner:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie auf das Screensaver Icon.
  • Wechseln Sie auf die Registerkarte Configuration.
  • Aktivieren Sie die Checkbox Enable Screensaver.
  • Definieren Sie die Leerlaufzeit, welche verstreichen muss bis der Bildschirmschoner gestartet wird.
  • Wählen Sie in der Dropdownbox Type den gewünschten Screensaver aus.
  • Beenden Sie den Dialog mit OK.

Folgende Bildschirmschoner stehen zur Auswahl:

  • Floating Picture
  • Blank

<< Vorheriges Thema
Control Panel Applets

Startseite

Nächstes Thema >>
Control Center


Control Center

Allgemein

Das Control Center ist die zentrale Stelle zur Konfiguration und zur Anzeige von Informationen eines B&R Gerätes.

In diesem Abschnitt werden folgende Themen behandelt:

Control Center

APC620, PPC700

PP100/200, MP100/200

<< Vorheriges Thema
Screensaver

Startseite

Nächstes Thema >>
APC620, PPC700


B&R Control Center

Sie können das B&R Control Center zum Ändern and Anzeigen von Einstellungen eines B&R Geräts verwenden. Das Control Center wird über die Systemsteuerung gestartet und unterstützt B&R Automation PC 620 und B&R Panel PC 700 Geräte. Je nach verwendetem Gerät wird das Control Center mit einem passendem Symbol angezeigt.

Das Control Center in der Systemsteuerung
Das Control Center in der Systemsteuerung

Folgende Registerkarten stehen zur Auswahl:

  • Display
  • Keys
  • LEDs
  • Temperatures
  • Fans
  • Voltages
  • Statistics
  • User Settings
  • Factory Settings
  • Versions
  • Report

<< Vorheriges Thema
Control Center

Startseite

Nächstes Thema >>
Display


Display

Sie können hier die Displayhelligkeit von B&R Panels ändern, die Auflösung des Displays sehen und weitere Displayeinstellungen ändern.

Die Registerkarte "Display" im Control Center
Die Registerkarte "Display" im Control Center

So ändern Sie die Helligkeit des Displays

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Display.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt.
  4. Stellen Sie den Schieberegler auf den Helligkeitswert ein, mit dem das Display betrieben werden soll.

Sie können die Helligkeit nur im Bereich der vom Display vorgegebenen Grenzwerte einstellen. Das heißt, bei verschiedenen Displaytypen haben Änderungen um denselben Prozentwert unterschiedliche Auswirkungen.

Hinweise:
Die geänderten Einstellungen werden zwar Online angezeigt, aber nur dann im System gemerkt (und nach einem Neustart des Systems verwendet), wenn das Control Center mit OK beendet wird.

Die eingestellte Helligkeit ist unabhängig von den im BIOS Setup eingestellten Wert, d.h. bis Windows gebootet ist, wird der im BIOS eingestellte Wert verwendet. Der vom BIOS eingestellte Wert wird nur beim ersten Aufruf des Control Center übernommen.

So ändern Sie weitere Displayeinstellungen

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Display.
  3. Klicken Sie auf Settings. Es wird folgender Dialog angezeigt.

Der "Displayeinstellungen" Dialog im Control Center
Der "Display Settings" Dialog im Control Center

In diesem Dialog können Sie die SDL Equalizereinstellung des Display ändern. Der Equalizer ist im Automation Panel eingebaut und passt das DVI Signal für unterschiedliche Kabellängen an. Der Equalizerwert wird automatisch anhand der Kabellänge ermittelt. Sie können einen anderen Equalizerwert einstellen, um die beste optische Darstellung auf dem Display zu erreichen (z.B. bei schlechter Kabelqualität oder schlechter DVI Signalqualität).

Hinweis: Der Equalizerwert kann nur geändert werden, wenn die Funktion vom Panel unterstützt wird (ab Panel Firmware Version 1.04 oder höher) und wenn MTCX PX32 Version 1.54 oder höher installiert ist. Andernfalls sind die Dialogfelder deaktiviert.

So ändern Sie den Equalizerwert

  1. Löschen Sie das Use automatic setting Kontrollkästchen.
  2. Stellen Sie den Schieberegler auf den Equalizerwert ein, mit dem das Display betrieben werden soll.
  3. Beenden Sie den Dialog mit OK.

Advanced Display Settings

Durch Klicken auf Advanced können Sie spezielle Einstellungen für die Displayanzeige durchführen.

Der Advanced Display Settings Dialog im B&R Control Center
Der "Advanced Display Settings" Dialog im Control Center

So ändern Sie den Anzeigewinkel des Displays

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Display und klicken Sie auf Advanced.
  3. Wählen Sie im Dialog Advanced Display Settings unter Screen Rotation in der Liste Rotation Angle den gewünschten Anzeigewinkel. Sie können dabei unter "0 degrees", "90 degrees", "180 degrees" und "270 degrees" wählen.
  4. Klicken Sie auf OK.

Achtung: Der ausgewählte Anzeigewinkel wird sofort nach Beenden des Dialogs mit OK eingestellt. Das kann durch die geänderte Ansicht eine nachfolgende Bedienung mit der Maus erschweren. Weiters wird nach einer Änderung des Anzeigewinkels automatisch die Touch Screen Kalibrierung gestartet. Die Neukalibrierung kann durch Deaktivieren des Kontrollkästchens Calibrate Touch Screen after change ausgeschaltet werden.

Wenn der verwendete Displaytreiber keine Änderung des Anzeigewinkels unterstützt, wird in der Liste Rotation Angle nur "Not supported" als einziger Eintrag angezeigt und eine Auswahl ist nicht möglich.

So schalten Sie die Glättung der Bildschirmschrift ein oder aus

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf B&R Control Center.
  2. Wählen Sie die Registerkarte Display und klicken Sie auf Advanced.
  3. Aktivieren oder deaktivieren Sie das Kontrollkästchen Enable Antialiased Fonts.
  4. Klicken Sie auf OK.

Hinweis: Wenn die Glättung der Bildschirmschrift geändert wurde, muss der Rechner neu gestartet werden, um die Änderung anzuzeigen. Sie werden dazu nach dem Beenden des B&R Control Center mit einem Dialog aufgefordert.

So blenden Sie den Mauszeiger ein oder aus

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf B&R Control Center.
  2. Wählen Sie die Registerkarte Display und klicken Sie auf Advanced.
  3. Deaktivieren oder aktivieren Sie das Kontrollkästchen Hide cursor.
  4. Klicken Sie auf OK.

Hinweis: Wenn die Anzeige des Mauszeigers geändert wurde, muss der Rechner neu gestartet werden, um die Änderung anzuzeigen, wenn eine B&R Windows CE Version kleiner als V5.0 verwendet wird. Sie werden dazu nach dem Beenden des B&R Control Center mit einem Dialog aufgefordert.

So aktivieren Sie den Clone Mode

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf B&R Control Center.
  • Wählen Sie die Registerkarte Display und klicken Sie auf Advanced.
  • Deaktivieren oder aktivieren Sie das Kontrollkästchen Clone mode.
  • Klicken Sie auf OK.

Hinweis: Beachten Sie, dass die Einstellung Primary Graphic Engine im BIOS auf Graphic Engine 2 gesetzt ist.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
APC620, PPC700

Startseite

Nächstes Thema >>
Keys


Keys

Sie können hier die gerätespezifischen Tasten von B&R Panels konfigurieren und testen.

Hinweis: Einige Dialogfelder sind nur freigegeben, wenn das ausgewählte Panel Tasten unterstützt.

Die Registerkarte "Tasten" im Control Center
Die Registerkarte "Keys" im Control Center

Die Tastenkonfiguration beinhaltet die Tastencodes der gerätespezifischen Tasten, den Modus für das Umschalten zwischen den Tastenebenen und die Definition der Schlüsselschalter. Die Tastenkonfiguration kann als KCF Datei mit dem B&R Key Editor erstellt und hier aktualisiert und gesichert werden. Version und Status der Tastenkonfiguration werden angezeigt. Die Tasten können in bis zu vier Ebenen bedient werden. Die aktive Ebene kann hier geändert werden.

So aktualisieren Sie die Tastenkonfiguration

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Klicken Sie auf der Registerkarte Keys unter Key Configuration auf Update. Das öffnet einen "Öffnen" Dialog.
  3. Geben Sie unter Name den Namen der Tastenkonfigurationsdatei ein oder wählen Sie eine Datei aus.
  4. Klicken Sie auf Open. Das öffnet den "Download" Dialog.

Der "Download" Dialog im Control Center
Der "Download" Dialog im Control Center

Sie können die Übertragung durch Klicken auf Cancel im Download Dialog abbrechen. Cancel ist während des Schreibens auf den Flashspeicher deaktiviert.

ACHTUNG: Drücken Sie während der Übertragung der Tastenkonfiguration keine Paneltasten! Das kann den Vorgang stören.

Das Löschen der Daten im Flashspeicher kann abhängig vom verwendeten Speicherbaustein mehrere Sekunden dauern. Während dieser Zeit wird die Fortschrittsanzeige nicht aktualisiert.

Hinweis: Sie müssen das System neu starten, wenn MTCX PX32 Firmware Version 1.21 oder niedriger installiert ist, damit die neuen Einstellungen wirksam werden und die aktualisierte Version angezeigt wird. Wenn Sie das Control Center beenden, wird ein Dialog angezeigt, der Sie dazu auffordert.

So sichern Sie die installierte Tastenkonfiguration

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Klicken Sie auf der Registerkarte Keys unter Key Configuration auf Save. Das öffnet einen "Speichern unter" Dialog.
  3. Geben Sie unter Name den Namen der Tastenkonfigurationsdatei ein oder wählen Sie eine Datei aus.
  4. Klicken Sie auf Save. Das öffnet den "Upload" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Upload Dialog abbrechen.

ACHTUNG: Drücken Sie während der Übertragung der Tastenkonfiguration keine Paneltasten! Das kann den Vorgang stören.

So ändern Sie die aktive Tastenebene

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Geben Sie auf der Registerkarte Keys unter Key Layer eine Ebenennummer (Number) zwischen 1 und 4 ein und klicken Sie auf Apply. Die aktuelle Ebenennummer wird rechts neben der eingegebenen Nummer angezeigt.

Hinweis: Die Tastenebene wird bei einem Neustart des Systems wieder auf 1 gesetzt.

So ändern Sie erweiterte Paneleinstellungen

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Keys.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt.
  4. Klicken Sie unter Panel auf Advanced.

Der "Erweiterte Panel Einstellungen" Dialog im Control Center
Der "Erweiterte Panel Einstellungen" Dialog im Control Center

Unter Sperrzeit können Sie die Zeit angeben, für die Panels gesperrt sind, wenn auf einem anderen Panel Eingaben erfolgen.

Hinweis: Die Panelsperrzeit wird beim Neustart des Systems und beim Update der Tastenkonfiguration wieder auf den in der Tastenkonfiguration parametrierten Wert gesetzt.

Wenn Sie Disable key codes aktivieren, werden für die Tasten des ausgewählten Panels keine Tastencodes an das System gesendet. Sie können aber weiterhin die Zustände der Tasten auslesen. Wenn Sie die Manual panel lock aktivieren, wird das ausgewählte Panel unabhängig gesperrt. Es werden dann vom System keine Eingaben von Tasten oder Touchscreen mehr ausgewertet und die Tastenzustände können nicht mehr gelesen werden.

Hinweis: Die Tastencodes und das Panel sind nach einem Neustart des Systems wieder freigegeben.

So zeigen Sie die Zustände der gerätespezifischen Tasten eines Panel an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Keys.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt. Die Key switches und Key matrix Felder sind deaktiviert, wenn das Panel keine Tasten unterstützt.
  4. Panel lock zeigt an, ob das Panel gesperrt ist (Eingabe über Tasten und Touchscreen ist dann nicht möglich), Key switches zeigt den Zustand der optionalen Schlüsselschalter an.
  5. Klicken Sie unter Key matrix auf Show, um die Tastenzustände anzuzeigen.

Der "Tastenmatrix" Dialog im Control Center
Der "Key Matrix" Dialog im Control Center

Gedrückte Tasten werden mit einer "1" angezeigt, nicht gedrückte Tasten mit einer "0". First key pressed zeigt die Nummer der ersten gedrückten Taste in der Matrix an. Die Anzeige wird automatisch aktualisiert, wenn eine Taste betätigt wird.

Hinweise:
 Die Tastencodes müssen für die Anzeige der Tastenmatrix nicht konfiguriert sein. Die Auswertung bereits konfigurierter Tasten wird während der Anzeige der Tastenmatrix deaktiviert, damit die Tasten betätigt werden können, ohne dass Windows darauf reagiert. Dazu ist MTCX PX32 Firmware Version 1.21 oder höher notwendig.

 Schlüsselschalter benötigen MTCX PX32 Firmware Version 1.59 oder höher und eine Tastenkonfiguration, die mit B&R Key Editor Version 2.50 oder höher erstellt wurde.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
Display

Startseite

Nächstes Thema >>
LEDs


LEDs

Sie können hier die gerätespezifischen LEDs von B&R Panels testen.

Hinweis: Die Dialogfelder sind nur freigegeben, wenn das ausgewählte Panel LEDs unterstützt.

Die Registerkarte "LEDs" im Control Center
Die Registerkarte "LEDs" im Control Center

Die LEDs können in bis zu vier Ebenen geschaltet werden (siehe auch Key layer auf der Registerkarte Keys).

So zeigen Sie den Zustand einer einzelnen LED an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte LEDs.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt.
  4. Löschen Sie das Kontrollkästchen Set all LEDs.
  5. Geben Sie eine LED Number zwischen 0 und 127 ein. Bei Änderung der Nummer wird der aktuelle LED Zustand angezeigt.
  6. Geben Sie eine Nummer zwischen 1 und 4 für die Layer ein, in der die LED gesetzt werden soll. Bei Änderung der Nummer wird der aktuelle LED Zustand angezeigt.

So setzen Sie eine einzelne LED

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte LEDs.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt.
  4. Löschen Sie das Kontrollkästchen Set all LEDs.
  5. Geben Sie eine LED Number zwischen 0 und 127 ein.
  6. Geben Sie eine Nummer zwischen 1 und 4 für die Layer ein, in der die LED gesetzt werden soll.
  7. Damit der neue LED Zustand sofort angezeigt wird, wenn die eingegebene Ebene ungleich der aktiven Ebene ist, aktivieren Sie das Kontrollkästchen Automatic layer change.
  8. Klicken Sie auf einen der LED Zustände Off, Slow blinking, Fast blinking, On um die LED umzuschalten.

So setzen Sie alle LEDs

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte LEDs.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt.
  4. Aktivieren Sie das Kontrollkästchen Set all LEDs.
  5. Klicken Sie auf einen der LED Zustände Off, Slow blinking, Fast blinking, On um die LEDs umzuschalten.

So schalten Sie automatisch alle LEDs durch

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte LEDs.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt.
  4. Aktivieren Sie das Kontrollkästchen Set all LEDs oder geben Sie eine LED Number zwischen 0 und 127 und eine Nummer zwischen 1 und 4 für die Layer der ersten LED an, die gesetzt werden soll.
  5. Klicken Sie auf Start, um den automatischen LED Test zu starten. Der Test beginnt mit der angegebenen LED Nummer und Ebene und endet wenn LED Nummer 127 erreicht wird. Jede LED wird für eine halbe Sekunde eingeschaltet.
  6. Klicken Sie auf Stop, um den automatischen LED Test zu beenden.

Hinweis: Die LEDs sind nach einem Neustart des Systems wieder ausgeschaltet.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
Keys

Startseite

Nächstes Thema >>
Temperatures


Temperatures

Sie können hier Temperaturwerte des B&R Geräts und von B&R Panels anzeigen. Die angezeigten Werte werden automatisch aktualisiert.

Die Registerkarte "Temperaturen" im Control Center
Die Registerkarte "Temperatures" im Control Center

So zeigen Sie die Temperaturwerte des Geräts an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Temperatures.

Hinweis: Die CPU Temperatur wird über WMI (Windows Management Instrumentation) gelesen, wenn ACPI (Advanced Configuration and Power Interface) im BIOS aktiviert ist. Temperaturänderungen kleiner als 4°C werden über ACPI nicht gemeldet. Wenn ACPI deaktiviert ist, wird die CPU Temperatur direkt vom Hardware Monitor Baustein gelesen.

So zeigen Sie den Temperaturwert eines Panel an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Temperatures.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt. Das Temperaturfeld ist deaktiviert, wenn das Panel keine Temperaturwerte unterstützt.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
LEDs

Startseite

Nächstes Thema >>
Fans


Fans

Sie können hier die Lüftergeschwindigkeiten des B&R Geräts ansehen. Die angezeigten Werte werden automatisch aktualisiert.

Die Registerkarte "Lüfter" im Control Center
Die Registerkarte "Fans" im Control Center

So zeigen Sie die Lüftergeschwindigkeiten an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Fans.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
Temperatures

Startseite

Nächstes Thema >>
Voltages


Voltages

Sie können hier Spannungswerte des B&R Geräts anzeigen. Die angezeigten Werte werden automatisch aktualisiert.

The "Voltages" tab in the Control Center
Die Registerkarte "Voltages" im Control Center

So zeigen Sie die Spannungswerte des Geräts an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Voltages.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
Fans

Startseite

Nächstes Thema >>
Statistics


Statistics

Sie können hier statistische Informationen des B&R Geräts und von B&R Panels anzeigen. Die angezeigten Werte werden automatisch aktualisiert.

Die Registerkarte "Statistik" im Control Center
Die Registerkarte "Statistics" im Control Center

So zeigen Sie statistische Informationen des Geräts an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Statistics.

So zeigen Sie statistische Informationen eines Panel an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Statistics.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt. Die Felder der Statistikwerte sind deaktiviert, wenn das Panel keine statistischen Informationen unterstützt.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
Voltages

Startseite

Nächstes Thema >>
User Settings


User Settings

Sie können hier anwenderspezifische Einstellungen durchführen. Auf einem Automation PC 620 und Panel PC 700 wird nur die User Serial ID unterstützt. Sie können diese ID verwenden, um das B&R Gerät mit Ihrer eigenen Identifikationsnummer zu kennzeichnen.

Die Registerkarte "Anwendereinstellungen" im Control Center
Die Registerkarte "User Settings" im Control Center

So geben Sie eine User Serial ID an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte User Settings.
  3. Geben Sie eine User Serial ID zwischen 0 und FFFFFFFF hexadezimal ein.

Hinweis: Sie müssen das System neu starten, damit die neue User Serial ID übernommen wird. Wenn Sie das Control Center beenden, wird ein Dialog angezeigt, der Sie dazu auffordert.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
Statistics

Startseite

Nächstes Thema >>
Factory Settings


Factory Settings

Sie können hier die von B&R auf das Gerät oder Panel programmierten Fabrikseinstellungen ansehen. Diese kennzeichnen unter anderem den Gerätetyp, Hardwarerevision und Seriennummer.

Die Registerkarte "Fabrikseinstellungen" im Control Center
Die Registerkarte "Factory Settings" im Control Center

So zeigen Sie die Fabrikseinstellungen des Baseboard an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Factory Settings.
  3. Löschen Sie das Kontrollkästchen Select panel.

So zeigen Sie die Fabrikseinstellungen eines Panel an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Factory Settings.
  3. Aktivieren Sie das Kontrollkästchen Select panel und klicken Sie auf ein Panel in der Liste. Nur angeschlossene Panels werden in der Liste angezeigt. Die Felder der Fabrikseinstellungen sind deaktiviert, wenn das Panel keine statistischen Informationen unterstützt.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
User Settings

Startseite

Nächstes Thema >>
Versions


Versions

Sie können hier die Version des Control Center und der Firmware anzeigen, die auf dem B&R Gerät und B&R Panels installiert ist. Zusätzlich können Sie hier die Firmware von Baseboard und Panels aktualisieren und sichern.

Die Registerkarte "Versionen" im Control Center
Die Registerkarte "Versions" im Control Center

So zeigen Sie Firmwareversionen an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.

So zeigen Sie Versionsinformationen über das Control Center an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie auf Info. Es wird ein Dialog geöffnet, der die Version des Control Center und der installierten ADI Module anzeigt.

Der "Info" Dialog im Control Center
Der "Info" Dialog im Control Center

So aktualisieren Sie die Firmware des Baseboard

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie unter Baseboard bei MTCX FPGA, MTCX PX32 oder SDLT auf Update. Das öffnet einen "Open" Dialog. Die SDLT Update Schaltfläche ist deaktiviert, wenn der PC keinen SDL Transmitter besitzt.
  4. Geben Sie unter Name den Namen der Firmwaredatei ein oder wählen Sie eine Datei aus.
  5. Klicken Sie auf Open. Das öffnet den "Download" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Download Dialog abbrechen. Cancel ist während des Schreibens auf den Flashspeicher deaktiviert.

ACHTUNG: Wenn die Übertragung abgebrochen wurde, müssen Sie den Vorgang wiederholen, bis die Firmware erfolgreich aktualisiert wurde. Andernfalls funktioniert der PC nicht mehr nach dem Einschalten und muss an B&R gesendet werden!

Das Löschen der Daten im Flashspeicher kann abhängig vom verwendeten Speicherbaustein mehrere Sekunden dauern. Während dieser Zeit wird die Fortschrittsanzeige nicht aktualisiert.

ACHTUNG: Drücken Sie während der Übertragung der Firmware keine Paneltasten! Das kann den Vorgang stören.

Die aktuelle Firmware ist auf der B&R APC620 / PPC700 Firmware Upgrade Disk vorhanden und kann auch über diese aktualisiert werden. Sie können diese Disk von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweise:
 Sie müssen die Stromversorgung des PC aus und wieder einschalten, damit die neue Firmware wirksam wird und die aktualisierte Version angezeigt wird. Wenn Sie das Control Center beenden, wird ein Dialog angezeigt, der Sie dazu auffordert.

Das Format der Firmware wurde in ADI Version 1.20 geändert. Firmware im alten Format kann nicht zum Aktualisieren verwendet werden.

So aktualisieren Sie die Firmware eines Panel

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt.
  4. Klicken Sie unter Panel bei SDLR auf Update. Das öffnet einen "Open" Dialog. Die SDLR Update Schaltfläche ist deaktiviert, wenn das Panel keinen SDL Receiver/Transceiver besitzt.
  5. Geben Sie unter Name den Namen der Firmwaredatei ein oder wählen Sie eine Datei aus.
  6. Klicken Sie auf Open. Das öffnet den "Download" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Download Dialog abbrechen. Cancel ist während des Schreibens auf den Flashspeicher deaktiviert.

ACHTUNG: Wenn die Übertragung abgebrochen wurde, müssen Sie den Vorgang wiederholen, bis die Firmware erfolgreich aktualisiert wurde. Andernfalls funktioniert das Panel nicht mehr nach dem Einschalten und muss an B&R gesendet werden!

Das Löschen der Daten im Flashspeicher kann abhängig vom verwendeten Speicherbaustein mehrere Sekunden dauern. Während dieser Zeit wird die Fortschrittsanzeige nicht aktualisiert.

Die aktuelle Firmware ist auf der B&R APC620 / PPC700 Firmware Upgrade Disk vorhanden und kann auch über diese aktualisiert werden. Sie können diese Disk von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweise:
 Abhängig von der Revision des angeschlossenen Panel kann nur mit einer bestimmten Version der Firmware aktualisiert werden. Das Control Center gibt bei Versionskonflikt eine entsprechende Meldung aus.

Sie müssen die Stromversorgung des Panel aus und wieder einschalten, damit die neue Firmware wirksam wird und die aktualisierte Version angezeigt wird. Wenn Sie das Control Center beenden, wird ein Dialog angezeigt, der Sie dazu auffordert.

Das Format der Firmware wurde in ADI Version 1.20 geändert. Firmware im alten Format kann nicht zum Aktualisieren verwendet werden.

So sichern Sie die Firmware des Baseboard

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie unter Baseboard bei MTCX FPGA, MTCX PX32 oder SDLT auf Save. Das öffnet einen "Save as" Dialog. Die SDLT Save Schaltfläche ist deaktiviert, wenn der PC keinen SDL Transmitter besitzt.
  4. Geben Sie unter Name den Namen der Firmwaredatei ein oder wählen Sie eine Datei aus.
  5. Klicken Sie auf Save. Das öffnet den "Upload" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Upload Dialog abbrechen.

ACHTUNG: Drücken Sie während der Übertragung der Firmware keine Paneltasten! Das kann den Vorgang stören.

Die Firmware kann auch über die B&R APC620 / PPC700 Firmware Upgrade Disk gesichert werden. Sie können diese Disk von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweis: Das Format der Firmware wurde in ADI Version 1.20 geändert. Firmware im alten Format kann nicht gesichert werden.

So sichern Sie die Firmware eines Panel

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie auf ein Panel in der Liste Select panel. Nur angeschlossene Panels werden in der Liste angezeigt.
  4. Klicken Sie unter Panel bei SDLR auf Save. Das öffnet einen "Save as" Dialog. Die SDLR Save Schaltfläche ist deaktiviert, wenn das Panel keinen SDL Receiver/Transceiver besitzt.
  5. Geben Sie unter Name den Namen der Firmwaredatei ein oder wählen Sie eine Datei aus.
  6. Klicken Sie auf Save. Das öffnet den "Upload" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Upload Dialog abbrechen.

Die Firmware kann auch über die B&R APC620 / PPC700 Firmware Upgrade Disk gesichert werden. Sie können diese Disk von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweis: Das Format der Firmware wurde in ADI Version 1.20 geändert. Firmware im alten Format kann nicht gesichert werden.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
Factory Settings

Startseite

Nächstes Thema >>
Report


Report

Sie können hier einen Bericht mit gerätespezifischen Informationen erstellen. Dieser Bericht kann vom B&R Support verwendet werden.

Die Registerkarte "Bericht" im Control Center
Die Registerkarte "Report" im Control Center

So erstellen Sie einen Bericht

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Report.
  3. Setzen Sie die Berichtsoptionen: klicken Sie auf Set All oder Clear All, um alle Optionen zu setzen oder zu löschen.
  4. Klicken Sie auf Show Report, um den Bericht zu erstellen und anzuzeigen. Das öffnet einen neuen Dialog.

Sie können in diesem Dialog den Bericht bearbeiten, kopieren und einfügen oder in eine Datei speichern.

Der "Bericht" Dialog im Control Center
Der "Report" Dialog im Control Center

So speichern Sie den Bericht

  1. Klicken Sie auf Save as. Das öffnet einen "Save as" Dialog.
  2. Geben Sie unter File name den Namen einer Textdatei ein oder wählen Sie eine Datei aus.
  3. Klicken Sie auf Save.

Anforderungen

APC620, PPC700: B&R Windows CE 1.0 oder höher

<< Vorheriges Thema
Versions

Startseite

Nächstes Thema >>
PP100/200, MP100/200


B&R Control Center

Sie können das B&R Control Center zum Ändern und Anzeigen von Einstellungen eines B&R Geräts verwenden. Das Control Center wird über die Systemsteuerung gestartet und unterstützt B&R Power Panel 100/200 und B&R Mobile Panel 100/200. Je nach verwendetem Gerät wird das Control Center mit einem passendem Symbol angezeigt.

Das Control Center in der Systemsteuerung
Das Control Center in der Systemsteuerung

Folgende Registerkarten stehen zur Auswahl:

  • Display
  • Keys
  • LEDs
  • Switches
  • aPCI
  • Temperatures
  • User Settings
  • Factory Settings
  • Versions
  • Report

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
Report

Startseite

Nächstes Thema >>
Display


Display

Hier können Sie Online die Helligkeit und den Kontrast des Displays einstellen.

Die Registerkarte "Display" im Control Center
Die Registerkarte "Display" im Control Center

Der Kontrast kann nur bei einem passiven Display eingestellt werden. Bei einem aktiven Display (TFT) haben Änderungen des Kontrasts keine Auswirkung. Abhängig vom verwendeten Display sind die Eingabefelder für den Kontrast gesperrt.

Sie können Helligkeit und Kontrast nur im Bereich der vom Display vorgegebenen Grenzwerte einstellen. Das heißt, bei verschiedenen Displaytypen haben Änderungen um denselben Prozentwert unterschiedliche Auswirkungen.

Hinweise:
Die Prozentwerte für Helligkeit und Kontrast werden abhängig vom tatsächlich möglichen Einstellbereich des Displays (siehe auch Fabrikseinstellungen) "abgestuft". Das heißt, z.B. die Prozentwerte 16, 17 und 18 können den selben physikalischen Wert ergeben, der zum Display geschrieben wird und damit die selbe Helligkeits- oder Kontrasteinstellung.

Die geänderten Einstellungen werden zwar Online angezeigt, aber nur dann im System gemerkt (und nach einem Neustart des Systems verwendet), wenn das Control Center mit OK beendet wird.

Die eingestellten Werte sind unabhängig von den im BIOS Setup eingestellten Werten, d.h. bis Windows gebootet ist, werden die im BIOS eingestellten Werte verwendet (siehe BIOS Setup Menü Motherboard Device Configuration > Video and Flat Panel Configuration). Die vom BIOS eingestellten Werte werden nur beim ersten Aufruf des Control Center übernommen.

So ändern Sie die Helligkeit

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Deaktivieren Sie auf der Registerkarte Display unter Brightness das Kontrollkästchen Auto.
  3. Stellen Sie den Schieberegler auf den Helligkeitswert ein, mit dem das Display betrieben werden soll.

So schalten Sie die Helligkeit auf die Fabrikseinstellung

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Aktivieren Sie auf der Registerkarte Display unter Brightness das Kontrollkästchen Auto.

So ändern Sie den Kontrast

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Deaktivieren Sie auf der Registerkarte Display unter Contrast das Kontrollkästchen Auto.
  3. Stellen Sie den Schieberegler auf den Kontrastwert ein, mit dem das Display betrieben werden soll.

So schalten Sie den Kontrast auf die Fabrikseinstellung

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Aktivieren Sie auf der Registerkarte Display unter Contrast das Kontrollkästchen Auto.

Advanced Display Settings

Durch Klicken auf Advanced können Sie spezielle Einstellungen für die Displayanzeige durchführen.

Der "Advanced Display Settings" Dialog im B&R Control Center
Der "Advanced Display Settings" Dialog im Control Center

So ändern Sie den Anzeigewinkel des Displays

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Display und klicken Sie auf Advanced.
  3. Wählen Sie im Dialog Advanced Display Settings unter Screen Rotation in der Liste Rotation Angle den gewünschten Anzeigewinkel. Sie können dabei unter "0 degrees", "90 degrees", "180 degrees" und "270 degrees" wählen.
  4. Klicken Sie auf OK.

ACHTUNG: Der ausgewählte Anzeigewinkel wird sofort nach Beenden des Dialogs mit OK eingestellt. Das kann durch die geänderte Ansicht eine nachfolgende Bedienung mit der Maus erschweren. Weiters wird nach einer Änderung des Anzeigewinkels automatisch die Touch Screen Kalibrierung gestartet. Die Neukalibrierung kann durch Deaktivieren des Kontrollkästchens Calibrate Touch Screen after change ausgeschaltet werden.

Wenn der verwendete Displaytreiber keine Änderung des Anzeigewinkels unterstützt, wird in der Liste Rotation Angle nur "Not supported" als einziger Eintrag angezeigt und eine Auswahl ist nicht möglich.

So schalten Sie die Glättung der Bildschirmschrift ein oder aus

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Display und klicken Sie auf Advanced.
  3. Aktivieren oder deaktivieren Sie das Kontrollkästchen Enable Antialiased Fonts.
  4. Klicken Sie auf OK.

Hinweis: Wenn die Glättung der Bildschirmschrift geändert wurde, muss der Rechner neu gestartet werden, um die Änderung anzuzeigen. Sie werden dazu nach dem Beenden des Control Center mit einem Dialog aufgefordert.

So blenden Sie den Mauszeiger ein oder aus

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Display und klicken Sie auf Advanced.
  3. Deaktivieren oder aktivieren Sie das Kontrollkästchen Hide cursor.
  4. Klicken Sie auf OK.

Hinweis: Wenn die Anzeige des Mauszeigers geändert wurde, muss der Rechner neu gestartet werden, um die Änderung anzuzeigen, wenn eine B&R Windows CE Version kleiner als V5.0 verwendet wird. Sie werden dazu nach dem Beenden des Control Center mit einem Dialog aufgefordert.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
PP100/200, MP100/200

Startseite

Nächstes Thema >>
Keys


Keys

Hier können Sie die gerätespezifischen Tasten konfigurieren und testen.

Hinweis: Diese Registerkarte wird nur angezeigt, wenn das Gerät Tasten bzw. LEDs unterstützt. Das heißt, es muss ein Matrix Controller (MXC) vorhanden sein.

Die Registerkarte "Keys" im Control Center
Die Registerkarte "Keys" im Control Center

Die Tastenkonfiguration beinhaltet die Tastencodes der gerätespezifischen Tasten, den Modus für das Umschalten zwischen den Tastenebenen und die Definition der Schlüsselschalter. Die Tastenkonfiguration kann als KCF Datei mit dem B&R Key Editor erstellt und hier aktualisiert und gesichert werden. Die Tasten können in bis zu vier Ebenen bedient werden. Die aktive Tastenebene kann hier geändert werden.

So zeigen Sie Informationen über die Tastenkonfiguration an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Keys.
  3. Klicken Sie bei Key Configuration auf Info. Das zeigt eine Meldung mit Version, Erstellungsdatum und Anwenderinfo der Tastenkonfiguration.

So aktualisieren Sie die Tastenkonfiguration

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Klicken Sie auf der Registerkarte Keys unter Key Configuration auf Update. Das öffnet einen "Open" Dialog.
  3. Geben Sie unter Name den Namen der Tastenkonfigurationsdatei ein oder wählen Sie eine Datei aus.
  4. Klicken Sie auf OK. Das öffnet den "Download" Dialog.

Der "Download" Dialog im Control Center
Der "Download" Dialog im Control Center

Sie können die Übertragung durch Klicken auf Cancel im Übertragungsdialog abbrechen. Cancel ist während des Schreibens auf den Flashspeicher deaktiviert.

Das Löschen der Daten im Flashspeicher kann abhängig vom verwendeten Speicherbaustein mehrere Sekunden dauern. Während dieser Zeit wird die Fortschrittsanzeige nicht aktualisiert.

Hinweis: Die neue Tastenkonfiguration wird sofort nach dem Update vom System übernommen.

So sichern Sie die installierte Tastenkonfiguration

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Klicken Sie auf der Registerkarte Keys unter Key Configuration auf Save. Das öffnet einen "Save as" Dialog.
  3. Geben Sie unter Name den Namen der Tastenkonfigurationsdatei ein oder wählen Sie eine Datei aus.
  4. Klicken Sie auf OK. Das öffnet den "Upload" Dialog.

    Der "Upload" Dialog im Control Center
    Der "Upload" Dialog im Control Center

Sie können die Übertragung durch Klicken auf Cancel im Upload Dialog abbrechen.

So sperren Sie die Tastencodes oder geben Sie frei

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Keys.
  3. Löschen oder aktivieren Sie Disable key codes.

Wenn Sie Tastencodes sperren aktivieren, werden für die Tasten des ausgewählten Panels keine Tastencodes an das System gesendet. Sie können aber weiterhin die Zustände der Tasten auslesen.

Hinweis: Die Tastencodes sind nach einem Neustart des Systems wieder freigegeben.

So ändern Sie die aktive Tastenebene

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Geben Sie auf der Registerkarte Keys unter Key Layer eine Ebenennummer (Number) zwischen 1 und 4 ein und klicken Sie auf Apply. Die aktuelle Ebenennummer wird rechts neben der eingegebenen Nummer angezeigt.

Hinweis: Die Tastenebene wird bei einem Neustart des Systems wieder auf 1 gesetzt.

So zeigen Sie die Zustände der gerätespezifischen Tasten an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Keys.
  3. Klicken Sie unter Key Matrix auf Show, um die Tastenzustände anzuzeigen.

Der "Key Matrix" Dialog im Control Center
Der "Tastenmatrix" Dialog im Control Center

Gedrückte Tasten werden mit einer "1" angezeigt, nicht gedrückte Tasten mit einer "0". First pressed key zeigt die Nummer der ersten gedrückten Taste in der Matrix an. Die Anzeige wird automatisch aktualisiert, wenn eine Taste betätigt wird.

Hinweis: Die Tastencodes müssen für die Anzeige der Tastenmatrix nicht konfiguriert sein. Die Auswertung bereits konfigurierter Tasten wird während der Anzeige der Tastenmatrix deaktiviert, damit die Tasten betätigt werden können, ohne dass Windows darauf reagiert.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
Display

Startseite

Nächstes Thema >>
LEDs


LEDs

Hier können Sie die gerätespezifischen LEDs testen.

Hinweis: Diese Registerkarte wird nur angezeigt, wenn das Gerät Tasten bzw. LEDs besitzt. Das heißt, es muss ein Matrix Controller (MXC) vorhanden sein.

Die Registerkarte "LEDs" im Control Center
Die Registerkarte "LEDs" im Control Center

Die LEDs können in bis zu vier Ebenen geschaltet werden (siehe auch Key Layer auf der Registerkarte Tasten).

So zeigen Sie den Zustand einer einzelnen LED an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte LEDs.
  3. Löschen Sie das Kontrollkästchen Set all LEDs.
  4. Geben Sie eine LED Nummer (Number) zwischen 0 und 127 ein. Bei Änderung der Nummer wird der aktuelle LED Zustand angezeigt.
  5. Geben Sie eine Nummer zwischen 1 und 4 für die Ebene (Layer) ein, in der die LED gesetzt werden soll. Bei Änderung der Nummer wird der aktuelle LED Zustand angezeigt.

So setzen Sie eine einzelne LED

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte LEDs.
  3. Löschen Sie das Kontrollkästchen Set all LEDs.
  4. Geben Sie eine LED Nummer (Number) zwischen 0 und 127 ein.
  5. Geben Sie eine Nummer zwischen 1 und 4 für die Ebene (Layer) ein, in der die LED gesetzt werden soll.
  6. Damit der neue LED Zustand sofort angezeigt wird, wenn die eingegebene Ebene ungleich der aktiven Ebene ist, aktivieren Sie das Kontrollkästchen Automatic layer change.
  7. Klicken Sie auf einen der LED Zustände Off, Slow blinking, Fast blinking, On um die LED umzuschalten.

So setzen Sie alle LEDs

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte LEDs.
  3. Aktivieren Sie das Kontrollkästchen Set all LEDs.
  4. Klicken Sie auf einen der LED Zustände Off, Slow blinking, Fast blinking, On um die LEDs umzuschalten.

Hinweis: Die LEDs sind nach einem Neustart des Systems wieder ausgeschaltet.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
Keys

Startseite

Nächstes Thema >>
Switches


Switches

Hier werden Schalterstellungen des B&R Geräts angezeigt.

Die Registerkarte "Switches" im Control Center
Die Registerkarte "Switches" im Control Center

So zeigen Sie die Schalterstellungen des Geräts an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Switches.

Es werden Informationen über die Mode / Node Schalter angezeigt. Die Anzeige wird bei Änderung der Schalterstellung automatisch aktualisiert.

Hinweis: Die Mode / Node Schalter befinden sich bei einem Power Panel auf der Rückseite und bei einem Mobile Panel innerhalb des Geräts.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
LEDs

Startseite

Nächstes Thema >>
aPCI


aPCI

Hier sehen Sie Informationen über aPCI Module, die im B&R Gerät eingebaut sind und die dafür installierte Firmware. Die Firmware kann hier aktualisiert und gesichert werden.

Hinweis: aPCI Module können nur auf bestimmten B&R Power Panel Geräten gesteckt werden. Diese Registerkarte wird nur auf Power Panel Geräten angezeigt.

Die Registerkarte "aPCI" im Control Center
Die Registerkarte "aPCI" im Control Center

Hinweis: Die Model No. von Slot 1 wird erst ab Windows CE 5.0 Version 5.1 (mit Bootloader Version 2.3) richtig angezeigt.

Einige aPCI Module müssen vom BIOS mit einer passenden Firmware programmiert werden, bevor sie als "normale" PCI Geräte erkannt werden. Dazu muss die passende Firmware in den Flashspeicher des B&R Power Panel gebrannt worden sein.

So zeigen Sie Informationen über die aPCI Firmware an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte aPCI.
  3. Klicken Sie unter Slot 1 oder Slot 2 auf Firmware. Das öffnet den "Firmware" Dialog.

Es werden folgende Daten über die Firmware angezeigt: eine kurze Info (diese besteht standardmäßig aus Modulkennung, Datum und Version), der Status des Boot Vorgangs und zusätzliche Daten aus dem Header der gebrannten FPGA Datei unter Extended Info. Wenn keine Firmware im Flashspeicher vorhanden ist, wird als Info "(none)" angezeigt.

So aktualisieren Sie die aPCI Firmware

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte aPCI.
  3. Klicken Sie unter Slot 1 oder Slot 2 auf Update. Das öffnet einen "Open" Dialog.
  4. Geben Sie unter Name den Namen der Firmwaredatei ein oder wählen Sie eine Datei aus. Der Typ der auswählbaren Dateien wird mit der Geräte ID des aPCI Moduls vorbelegt.
  5. Klicken Sie auf OK. Das öffnet den "Download" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Download Dialog abbrechen. Cancel ist während des Schreibens auf den Flashspeicher deaktiviert.

ACHTUNG: Wenn die Übertragung abgebrochen wurde, müssen Sie den Vorgang wiederholen, bis die Firmware erfolgreich aktualisiert wurde. Andernfalls wird das aPCI Modul nach Neustart des Systems nicht mehr als PCI Gerät erkannt!

Das Löschen der Daten im Flashspeicher kann abhängig vom verwendeten Speicherbaustein mehrere Sekunden dauern. Während dieser Zeit wird die Fortschrittsanzeige nicht aktualisiert.

Kontaktieren Sie B&R wegen aktueller Firmwaredateien. Die Firmware kann auch über die B&R Power Panel 100/200 aPCI Firmware Upgrade Disk aktualisiert werden. Sie können diese Disk von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweise:
Sie müssen das System neu starten, damit die neue Firmware wirksam wird und die aktualisierte Version angezeigt wird. Wenn Sie das Control Center beenden, wird ein Dialog angezeigt, der Sie dazu auffordert.

Das Format der Firmware wurde mit BIOS Version 1.04 geändert. Firmware im alten Format kann nicht mit dem Control Center aktualisiert werden. Verwenden Sie dazu die B&R Power Panel 100/200 aPCI Firmware Upgrade Disk.

So sichern Sie die aPCI Firmware

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte aPCI.
  3. Klicken Sie unter Slot 1 oder Slot 2 auf Save. Das öffnet einen "Save as" Dialog.
  4. Geben Sie unter Name den Namen der Firmwaredatei ein oder wählen Sie eine Datei aus. Name wird mit der Geräte ID und Variantennummer der installierten Firmware vorbelegt.
  5. Klicken Sie auf OK. Das öffnet den "Upload" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Upload Dialog abbrechen.

Die Firmware kann auch über die B&R Power Panel 100/200 aPCI Firmware Upgrade Disk gesichert werden. Sie können diese Disk von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweis: Das Format der Firmware wurde mit BIOS Version 1.04 geändert. Firmware im alten Format kann nicht mit dem Control Center gesichert werden. Verwenden Sie dazu die B&R Power Panel 100/200 aPCI Firmware Upgrade Disk.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
Switches

Startseite

Nächstes Thema >>
Temperatures


Temperatures

Hier werden Temperaturwerte des B&R Geräts angezeigt.

Die Registerkarte "Temperatures" im Control Center
Die Registerkarte "Temperatures" im Control Center

So zeigen Sie die Temperaturwerte des Geräts an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Temperatures.

Mit CPU Internal wird die Temperatur der CPU angezeigt, mit Board I/O wird die Temperatur des Motherboard angezeigt. Die angezeigten Werte werden automatisch aktualisiert.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
aPCI

Startseite

Nächstes Thema >>
User Settings


User Settings

Sie können hier anwenderspezifische Einstellungen durchführen und ansehen, wie z.B. ein User Boot Logo installieren, die User Serial ID anzeigen und die User LED testen.

Die Registerkarte "User Settings" im Control Center
Die Registerkarte "User Settings" im Control Center

Alternativ zum eingebauten B&R Boot Logo kann ein vom Anwender erstelltes Bitmap (BMP Datei) als Boot Logo angezeigt werden. Dieses muss mit der auf der B&R User Boot Logo Disk vorhandenen Windowsanwendung USERLOGO.EXE in eine ROM Datei umgewandelt und mit dem Control Center in den Flashspeicher des Geräts gebrannt werden. Die B&R User Boot Logo Disk können Sie von der B&R Homepage (http://www.br-automation.com) runterladen.

So zeigen Sie Informationen über das User Boot Logo an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte User Settings.

Es werden folgende Daten des User Boot Logo angezeigt: eine kurze Info (besteht standardmäßig aus Namen und Datum/Uhrzeit des verwendeten Bitmap) und die Auflösung (Resolution) des verwendeten Bitmap. Wenn kein User Boot Logo im Flashspeicher vorhanden ist, wird als Info "(none)" angezeigt.

So aktualisieren Sie das User Boot Logo

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte User Settings.
  3. Klicken Sie unter User Boot Logo auf Update. Das öffnet einen "Open" Dialog.
  4. Geben Sie unter Name den Namen der User Boot Logo ROM Datei ein oder wählen Sie eine Datei aus.
  5. Klicken Sie auf OK. Das öffnet den "Download" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Download Dialog abbrechen. Cancel ist während des Schreibens auf den Flashspeicher deaktiviert.

Das Löschen der Daten im Flashspeicher kann abhängig vom verwendeten Speicherbaustein mehrere Sekunden dauern. Während dieser Zeit wird die Fortschrittsanzeige nicht aktualisiert.

Das User Boot Logo kann auch über die B&R User Boot Logo Disk aktualisiert werden. Sie können diese Disk von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweise:
Sie müssen das System neu starten, damit das neue Logo wirksam wird. Wenn Sie das Control Center beenden, wird ein Dialog angezeigt, der Sie dazu auffordert.

Die Anzeige des User Boot Logo muss im BIOS Setup aktiviert sein.

So sichern Sie das User Boot Logo

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte User Settings.
  3. Klicken Sie unter User Boot Logo auf Save. Das öffnet einen "Save as" Dialog.
  4. Geben Sie unter Name den Namen der User Boot Logo ROM Datei ein oder wählen Sie eine Datei aus. Name wird mit dem User Boot Logo Standarddateinamen "userlogo.rom" vorbelegt.
  5. Klicken Sie auf OK. Das öffnet den "Upload" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Upload Dialog abbrechen.

Die gesicherte Datei kann mit der USERLOGO.EXE Windows Anwendung von der B&R User Boot Logo Disk in ein Bitmap (BMP Datei) zurück gewandelt werden.

Das User Boot Logo kann auch über die B&R User Boot Logo Disk gesichert werden. Sie können diese Disk von der B&R Homepage (http://www.br-automation.com) runterladen.

So zeigen Sie die User Serial ID an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte User Settings.

Auf einem PP100/200 und MP100/200 wird eine User Serial ID unterstützt. Sie können diese ID verwenden, um das B&R Gerät mit Ihrer eigenen Identifikationsnummer zu kennzeichnen.

Hinweis: Sie können die User Serial ID nur über das BIOS Setup eingeben.

So schalten Sie die User LED ein oder aus

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Aktivieren oder deaktivieren Sie auf der Registerkarte User Settings das Kontrollkästchen User LED.

Hinweis: Die User LED ist nach einem Neustart des Systems wieder ausgeschaltet.

Hinweis: Die User LED befindet sich bei einem Power Panel auf der Rückseite und bei einem Mobile Panel innerhalb des Geräts.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
Temperatures

Startseite

Nächstes Thema >>
Factory Settings


Factory Settings

Hier werden die von B&R auf das Gerät fest programmierten Fabrikseinstellungen angezeigt. Diese kennzeichnen unter anderem den Gerätetyp, den Displaytyp sowie die Grenzwerte für Helligkeit und Kontrast.

Die Registerkarte "Factory Settings" im Control Center
Die Registerkarte "Factory Settings" im Control Center

So zeigen Sie die Fabrikseinstellungen an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Factory Settings.

Es werden folgende Fabrikseinstellungen angezeigt.

Parameter | Wert (Beispiel) | Bedeutung
Version | 03 | Version der Fabrikseinstellungen.
Device ID | 1697 | Kennung des Geräts.
Compatibility ID | 00 | Die Kompatibilitätskennung dient zur Erkennung von Hardwareänderungen, die für gerätespezifische Software von Bedeutung sind.
Display ID | 30 | Kennzeichnet das Display. Anhand dieser Kennung wird das Display vom BIOS mit den entsprechenden Displayparametern initialisiert.
Brightness | D5 EA FF | Minimal-, Default- und Maximalwert für die Helligkeitseinstellung des verwendeten Displays.
Contrast | 00 46 FF | Minimal-, Default- und Maximalwert für die Kontrasteinstellung des verwendeten Displays.
Model number |  | Materialnummer des Geräts (erst ab Version 6 der Fabrikseinstellungen verfügbar).

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
User Settings

Startseite

Nächstes Thema >>
Versions


Versions

Hier sehen Sie Informationen über die Versionen des installierten BIOS, eines eventuell vorhandenen System Management Controller (SMC) und Matrix Controller (MXC), der Firmware der On-Board FPGA Bausteine und des Control Center selbst. Zusätzlich können Sie das BIOS und die FPGA Firmware aktualisieren und sichern.

Die Registerkarte "Versions" im Control Center
Die Registerkarte "Versions" im Control Center

Die notwendige Firmware ist abhängig vom Gerätetyp. Bestimmte Gerätetypen besitzen einen oder mehrere On-Board FPGA Bausteine, die für die ordnungsgemäße Funktion des Geräts (z.B. Displayansteuerung) vom BIOS programmiert werden müssen. Dazu muss die passende Firmware in den Flashspeicher des Geräts gebrannt worden sein.

So zeigen Sie die Versionen des BIOS, SMC und MXC an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.

Wenn kein System Management Controller (SMC) oder Matrix Controller (MXC) vorhanden ist, wird als Version "(none)" ausgegeben.

So aktualisieren Sie das BIOS

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie bei BIOS auf Update. Das öffnet einen "Open" Dialog.
  4. Geben Sie unter Name den Namen der BIOS ROM Datei ein oder wählen Sie eine Datei aus.
  5. Klicken Sie auf OK. Das öffnet den "Download" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Download Dialog abbrechen. Cancel ist während des Schreibens auf den Flashspeicher deaktiviert.

ACHTUNG: Wenn die Übertragung abgebrochen wurde, müssen Sie den Vorgang wiederholen, bis das BIOS erfolgreich aktualisiert wurde. Andernfalls funktioniert der PC nicht mehr nach Neustart des Systems und muss an B&R gesendet werden!

Das Löschen der Daten im Flashspeicher kann abhängig vom verwendeten Speicherbaustein mehrere Sekunden dauern. Während dieser Zeit wird die Fortschrittsanzeige nicht aktualisiert.

Das aktuelle BIOS ist auf der B&R Power Panel (bzw. Mobile Panel) 100/200 BIOS Upgrade Disk enthalten und kann auch über diese aktualisiert werden. Sie können diese Disks von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweise:
Sie müssen das System neu starten, damit das neue BIOS wirksam wird und die aktualisierte Version angezeigt wird. Wenn Sie das Control Center beenden, wird ein Dialog angezeigt, der Sie dazu auffordert.

BIOS Versionen kleiner 1.04 können nicht zum Aktualisieren verwendet werden.

So sichern Sie das BIOS

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie bei BIOS auf Save. Das öffnet einen "Save as" Dialog.
  4. Geben Sie unter Name den Namen der BIOS ROM Datei ein oder wählen Sie eine Datei aus. Name wird mit dem BIOS Standarddateinamen "xpress.rom" vorbelegt.
  5. Klicken Sie auf OK. Das öffnet den "Upload" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Upload Dialog abbrechen.

Das BIOS kann auch über die B&R Power Panel (bzw. Mobile Panel) 100/200 BIOS Upgrade Disk gesichert werden. Sie können diese Disks von der B&R Homepage (http://www.br-automation.com) runterladen.

So zeigen Sie Informationen über die FPGA Firmware an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie bei FPGA oder FPGA1 auf Firmware. Das öffnet den "Firmware" Dialog.

Der "Firmware" Dialog im Control Center
Der "Firmware" Dialog im Control Center

Es werden folgende Daten über die Firmware angezeigt: eine kurze Info (besteht standardmäßig aus Modulkennung, Datum und Version), der Status des Boot Vorgangs und zusätzliche Daten aus dem Header der gebrannten FPGA Datei unter Extended Info. Wenn keine Firmware im Flashspeicher vorhanden ist, wird als Info "(none)" angezeigt.

So aktualisieren Sie die FPGA Firmware

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie bei FPGA oder FPGA1 auf Update. Das öffnet einen "Open" Dialog.
  4. Geben Sie unter Name den Namen der Firmwaredatei ein oder wählen Sie eine Datei aus. Der Typ der auswählbaren Dateien wird mit der Geräte ID des FPGA Bausteins vorbelegt.
  5. Klicken Sie auf OK. Das öffnet den "Download" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Download Dialog abbrechen. Cancel ist während des Schreibens auf den Flashspeicher deaktiviert.

ACHTUNG: Wenn die Übertragung abgebrochen wurde, müssen Sie den Vorgang wiederholen, bis die Firmware erfolgreich aktualisiert wurde. Andernfalls funktioniert der PC nicht mehr nach Neustart des Systems (z.B. es erfolgen keine Displayausgaben) und muss über die B&R Power Panel (bzw. Mobile Panel) 100/200 BIOS Upgrade Disk aktualisiert werden!

Das Löschen der Daten im Flashspeicher kann abhängig vom verwendeten Speicherbaustein mehrere Sekunden dauern. Während dieser Zeit wird die Fortschrittsanzeige nicht aktualisiert.

Die aktuelle Firmware ist auf der B&R Power Panel (bzw. Mobile Panel) 100/200 BIOS Upgrade Disk vorhanden und kann auch über diese aktualisiert werden. Sie können diese Disks von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweise:
Sie müssen das Systems neu starten, damit die neue Firmware wirksam wird und die aktualisierte Version angezeigt wird. Wenn Sie das Control Center beenden, wird ein Dialog angezeigt, der Sie dazu auffordert.

Das Format der Firmware wurde mit BIOS Version 1.04 geändert. Firmware im alten Format kann nicht mit dem Control Center aktualisiert werden. Sie müssen dazu die B&R Power Panel (bzw. Mobile Panel) 100/200 BIOS Upgrade Disk verwenden.

So sichern Sie die FPGA Firmware

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie bei FPGA oder FPGA1 auf Save. Das öffnet einen "Save as" Dialog.
  4. Geben Sie unter Name den Namen der Firmwaredatei ein oder wählen Sie eine Datei aus. Name wird mit der Geräte ID und Variantennummer der installierten Firmware vorbelegt.
  5. Klicken Sie auf OK. Das öffnet den "Upload" Dialog.

Sie können die Übertragung durch Klicken auf Cancel im Upload Dialog abbrechen.

Die Firmware kann auch über die B&R Power Panel (bzw. Mobile Panel) 100/200 BIOS Upgrade Disk gesichert werden. Sie können diese Disks von der B&R Homepage (http://www.br-automation.com) runterladen.

Hinweis: Das Format der Firmware wurde mit BIOS Version 1.04 geändert. Firmware im alten Format kann nicht mit dem Control Center gesichert werden. Sie müssen dazu die B&R Power Panel (bzw. Mobile Panel) 100/200 BIOS Upgrade Disk verwenden.

So zeigen Sie Informationen über das Control Center an

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Versions.
  3. Klicken Sie auf Info. Das öffnet den "Info" Dialog, in dem die Version des Control Center und der installierten ADI Module angezeigt wird.

Der "About" Dialog im Control Center
Der "About" Dialog im Control Center

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
Factory Settings

Startseite

Nächstes Thema >>
Report


Report

Sie können hier einen Bericht mit gerätespezifischen Informationen erstellen. Dieser Bericht kann vom B&R Support verwendet werden.

Die Registerkarte "Report" im Control Center
Die Registerkarte "Report" im Control Center

So erstellen Sie einen Bericht

  1. Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf Control Center.
  2. Wählen Sie die Registerkarte Report.
  3. Setzen Sie die Berichtsoptionen: klicken Sie auf Set All oder Clear All, um alle Optionen zu setzen oder zu löschen.
  4. Klicken Sie auf Show Report, um den Bericht zu erstellen und anzuzeigen. Das öffnet einen neuen Dialog.

Sie können in diesem Dialog den Bericht bearbeiten, kopieren und einfügen oder in eine Datei speichern.

Der "Report" Dialog im Control Center
Der "Report" Dialog im Control Center

So speichern Sie den Bericht

  1. Klicken Sie auf Save As. Das öffnet einen "Speichern unter" Dialog.
  2. Geben Sie unter File name den Namen einer Textdatei ein oder wählen Sie eine Datei aus.
  3. Klicken Sie auf Save.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

<< Vorheriges Thema
Versions

Startseite

Nächstes Thema >>
Configuration Manager


Configuration Manager

Allgemein

Das Control Panel Applet Configuration Manager bietet Ihnen folgende Möglichkeiten:

Save Settings | Speichert die Registry auf die Compact Flash Karte.
Restore Settings | Stellt die original B&R Registry wieder her.
Restart your device now | Startet Ihr B&R Windows CE Gerät neu.
Open START.DAT | Öffnet die Konfigurationsdatei START.DAT.
Status | Zeigt den aktuellen Status der Registry an.
About | Zeigt die Versionsinformation von B&R Configuration Manager an.

Folgende Registerkarten stehen zur Auswahl:

  • Save
  • Restore
  • Restart
  • START.DAT
  • Status
  • About

Siehe auch

START.DAT

<< Vorheriges Thema
Report

Startseite

Nächstes Thema >>
Save


Save

Allgemein

Hier können Sie die Registry auf die Compact Flash Karte speichern.

So speichern Sie die Registry:

  • Öffnen Sie den Dialog Start > Settings > Control Panel > Configuration Manager.
  • Wechseln Sie auf die Registerkarte Save.
  • Klicken Sie auf die Schaltfläche Save Settings.

Siehe auch

RegSave, Speichern der Registry, Bearbeiten der Registry

<< Vorheriges Thema
Configuration Manager

Startseite

Nächstes Thema >>
Status


Status

Allgemein

Hier können Sie den aktuellen Status der Registry ablesen.

So können Sie den Status der Registry ablesen:

  • Öffnen Sie den Dialog Start > Settings > Control Panel > Configuration Manager.
  • Wechseln Sie auf die Registerkarte Status.

Siehe auch

RegSave, Speichern der Registry, Bearbeiten der Registry

<< Vorheriges Thema
Save

Startseite

Nächstes Thema >>
Restart


Restart

Allgemein

Hier können Sie das B&R Gerät neu starten.

So starten Sie das B&R Gerät neu:

  • Öffnen Sie den Dialog Start > Settings > Control Panel > Configuration Manager.
  • Wechseln Sie auf die Registerkarte Restart.
  • Markieren Sie die Checkbox Save settings before restart.
  • Klicken Sie auf die Schaltfläche Restart your device now.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.1 oder höher
APC620, PPC700: B&R Windows CE 1.1 oder höher

Siehe auch

RegSave, Speichern der Registry, Bearbeiten der Registry

<< Vorheriges Thema
Status

Startseite

Nächstes Thema >>
Restore


Restore

Allgemein

Hier können Sie die original Registry wiederherstellen. Beachten Sie dabei, dass alle Änderungen an der Registry verloren gehen.

So stellen Sie die original Registry wieder her:

  • Öffnen Sie den Dialog Start > Settings > Control Panel > Configuration Manager.
  • Wechseln Sie auf die Registerkarte Restore.
  • Klicken Sie auf die Schaltfläche Restore Settings.

Siehe auch

RegSave, Speichern der Registry, Bearbeiten der Registry

<< Vorheriges Thema
Restart

Startseite

Nächstes Thema >>
START.DAT


START.DAT

Allgemein

Hier können Sie die Konfigurationsdatei START.DAT öffnen.

So öffnen Sie die Konfigurationsdatei START.DAT:

  • Öffnen Sie den Dialog Start > Settings > Control Panel > Configuration Manager.
  • Wechseln Sie auf die Registerkarte START.DAT.
  • Klicken Sie auf die Schaltfläche Open START.DAT.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.1 oder höher
APC620, PPC700: B&R Windows CE 1.1 oder höher

Siehe auch

START.DAT

<< Vorheriges Thema
Restore

Startseite

Nächstes Thema >>
About


About

Allgemein

Auf dieser Registerkarte wird die Version des B&R Configuration Managers angezeigt.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.1 oder höher
APC620, PPC700: B&R Windows CE 1.1 oder höher

<< Vorheriges Thema
START.DAT

Startseite

Nächstes Thema >>
Server


Server Applet

Allgemein

Das Server Applet bietet Ihnen die Möglichkeit die Sever zu konfigurieren. Sie können das Applet über die Systemsteuerung starten.

So öffnen Sie das Server Applet:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf das Server Icon.

Folgende Registerkarten stehen zur Auswahl:

  • FTP
  • Other Server

Siehe auch

Wie kann ich den FTP Server konfigurieren?, Wie stelle ich eine Telnet-Verbindung her?

<< Vorheriges Thema
About

Startseite

Nächstes Thema >>
FTP


FTP

Allgemein

Auf dieser Registerkarte können Sie den FTP Server des B&R Windows CE Images konfigurieren.

    Funktion | Beschreibung | Standard
Enable FTP Server | Aktiviert oder Deaktiviert den B&R Windows CE FTP Server. | Deaktviert
Root Directory | Dieses Verzeichnis und alle Unterverzeichnisse sind per FTP erreichbar. | \Temp
Use Authentication | Definiert ob für den Zugriff auf den FTP Server eine Authentifizierung notwendig ist. Ist diese Checkbox deaktiviert, so können Verbindungen mit dem CE Gerät ohne Username und Passwort aufgebaut werden. Ist diese Checkbox aktiviert, so kann eine Verbindung mit dem Namen des Besitzers (siehe Control Panel Applet Owner) und dem zugehörigen Passwort (siehe Control Panel Applet Password) aufgebaut werden. | Aktiviert
Allow Anonymous Upload | Definiert ob ein anonymer User Dateien auf den Server uploaden darf. | Nicht aktiviert
Allow Anonymous Access | Defniert ob ein anonymer User Dateien vom Server downloaden darf. | Aktiviert

Siehe auch

Wie kann ich den FTP Server konfigurieren?

<< Vorheriges Thema
Server

Startseite

Nächstes Thema >>
Other Server


Other Server

Allgemein

Auf dieser Registerkarte können Sie den Web Server und den Telnet Server aktivieren und deaktivieren.

So aktivieren Sie den Web Server:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie auf das Server Icon.
  • Aktivieren Sie auf der Registerkarte Other Server das Kontrollkästchen Enable Web Server.

So aktivieren Sie den Telnet Server:

  • Wählen sie Start > Settings > Control Panel und doppelklicken Sie auf das Server Icon.
  • Aktivieren Sie auf der Registerkarte Other Server das Kontrollkästchen Enable Telnet Server.

Siehe auch

Wie kann ich den FTP Server konfigurieren?, Wie stelle ich eine Telnet-Verbindung her?

<< Vorheriges Thema
FTP

Startseite

Nächstes Thema >>
Touch Screen


Touch Screen

Allgemein

Das Touch Screen Applet dient zur Kalibrierung und Konfiguration des Touchscreentreibers. Sie können das Applet über die Systemsteuerung starten.

So öffnen Sie das Touchscreen Applet:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie dann auf das Touch Screen Icon.

Folgende Registerkarten stehen zur Auswahl:

  • Calibration
  • Screen Cleaning
  • Configuration
  • About

Siehe auch

Kalibrierung des Touch

<< Vorheriges Thema
Other Server

Startseite

Nächstes Thema >>
Calibration


Calibration

Allgemein

Sie können hier die Kalibrierung des Touch Screens starten.

So starten Sie die Kalibierung:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken sie dann auf das Touch Screen Icon.
  • Wechseln Sie auf die Registerkarte Calibration.
  • Klicken Sie auf die Schaltfläche Calibrate / Recalibrate.
  • Folgen Sie den Anweisungen am Bildschirm.

Nach der Kalibrierung wird die Konfiguration automatisch gespeichert, das manuelle Speichern der Registry per Configuration Manager entfällt.

Siehe auch

Kalibrierung des Touch, Configuration Manager, Wie kann ich die Touchkalibrierung aus meiner Applikation heraus aufrufen?

<< Vorheriges Thema
Touch Screen

Startseite

Nächstes Thema >>
Screen Cleaning


Screen Cleaning

Allgemein

Falls Ihr Touch Screen nicht mehr korrekt auf Ihre Eingaben reagiert, so muss dieser möglicherweise gereinigt werden.

So starten Sie den Reinigungsprozess:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie auf das Touch Screen Icon.
  • Wechseln Sie auf die Registerkarte Screen Cleaning.
  • Klicken Sie auf die Schaltfläche Start Screen Cleaning.
  • Für die folgenden 20 Sekunden ist der Touch Screen gesperrt.
  • Reinigen Sie den Touch Screen.

Hinweis: Beachten Sie die Reinigungshinweise im Anwenderhandbuch.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.1 oder höher
APC620, PPC700: B&R Windows CE 1.1 oder höher

<< Vorheriges Thema
Calibration

Startseite

Nächstes Thema >>
Configuration


Configuration

Allgemein

Hier können Sie die Unterstützung des Rechten-Mausklicks aktivieren, die verwendete serielle Schnittstelle definieren oder das automatische Beenden der Kalibrierung deaktivieren. Beachten Sie dabei, dass nicht alle Funktionen auf allen Geräten zur Verfügung stehen!

PP100/200, MP100/200

So aktivieren Sie die Unterstützung für Rechte-Mausklicks per Touch Screen:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie auf das Touch Screen Icon.
  • Aktivieren Sie die Checkbox Enable Right-Click Support auf der Registerkarte Configuration.
  • Definieren Sie das Timeout durch das Bewegen des Sliders.
  • Beenden Sie den Dialog mit OK.
  • Anschließend müssen Sie das Gerät neu booten.

Hinweis:Das Timeout für die Rechte-Mausklick Funktion definiert jene Zeit, die der Touch gedrückt sein muss, bis der Rechte-Mausklick ausgelöst wird.

So deaktivieren Sie das Timeout der Kalibrierung:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie auf das Touch Screen Icon.
  • Wechseln Sie auf die Registerkarte Configuration.
  • Aktivieren Sie die Checkbox Disable Calibration Timeout auf der Registerkarte Configuration.

Hinweis: In der Standardkonfiguration beendet sich die Kalibrierung nach 15 Sekunden, wenn keine Eingabe erfolgt. Dieses Verhalten kann durch die Checkbox Disable Calibration Timeout deaktiviert werden. Somit beendet sich die Kalibrierung erst dann, wenn diese erfolgreich abgeschlossen wurde.

APC620, PPC700

So konfigurieren Sie die serielle Schnittstelle des Touchscreen:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie auf das Touch Screen Icon.
  • Wechseln Sie auf die Registerkarte Configuration.
  • Wählen Sie aus der Dropdownbox Communication Port die gewünschte serielle Schnittstelle aus.
  • Anschließend müssen Sie das Gerät neu booten.

So konfigurieren Sie das Verhalten des Touch Screens:

  • Wählen Sie Start > Settings > Control Panel und doppelklicken Sie auf das Touch Screen Icon.
  • Wechseln Sie auf die Registerkarte Configuration.
  • Wählen Sie aus der Dropdownbox Behavior das gewünschte Verhalten aus.
  • Anschließend müssen Sie das Gerät neu booten.

    Click on Touch
             Der Mausklick wird bereits beim Drücken des Touch Screens ausgelöst.
    Click on Release
             Der Mausklick wird beim Loslassen des Touch Screens ausgelöst.
    Mouse Emulation
             Der Touch Screen emuliert das Verhalten einer Maus. Somit besteht die Möglichkeit anhand eines "Gummibandes" mehrere Elemente zu markieren. Der Mausklick wird beim Drücken des Touch Screens ausgelöst.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.1 oder höher
APC620, PPC700: B&R Windows CE 1.1 oder höher

Siehe auch

Kalibrierung des Touch

<< Vorheriges Thema
Screen Cleaning

Startseite

Nächstes Thema >>
About


About

Allgemein

Auf dieser Registerkarte wird die Version des B&R Touch Screen Applets angezeigt.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.1 oder höher
APC620, PPC700: B&R Windows CE 1.1 oder höher

<< Vorheriges Thema
Configuration

Startseite

Nächstes Thema >>
Tools


Tools

In diesem Abschnitt werden folgende Themen behandelt:

Tools

B&R Remote Display Control

Fullscreen Internet Explorer

CERamDrv

B&R Registry Editor

RegSave

RegSvrCE

<< Vorheriges Thema
About

Startseite

Nächstes Thema >>
B&R Remote Display Control


B&R Remote Display Control

Allgemein

B&R Remote Display Control ist ein einfaches Fernwartungs-Programm für B&R Windows CE Geräte. Es erlaubt die Darstellung des Bildschirminhaltes eines Windows CE Gerätes am Desktop-PC.

Syntax

cerdisp -c -h<Host>

     -c Stellt eine Verbindung zum konfigurierten Host automatisch her. Dieses Argument muss immer das erste Argument sein.
     -h Definiert einen beliebigen Host.

     Beispiele:

     cerdisp -c -hMEINCOMPUTER

     B&R Remote Display stellt automatisch eine Verbindung zum Computer MEINCOMPUTER her.

So installieren Sie B&R Remote Display Control:

  • Bevor Sie mit der Installation von B&R Remote Display Control beginnen, müssen Sie sicherstellen, dass ActiveSync am Desktop-PC installiert ist. Nur so kann B&R Remote Display Control funktionieren, da diese Software die CEAPPMGR.EXE verwendet. Die aktuellste Version von Microsoft ActiveSync können Sie von der Microsoft Homepage www.microsoft.com (http://www.microsoft.com) laden.
  • Downloaden Sie weiters die aktuellste Version des Pocket PC Power Toys Remote Display Control von der Microsoft Homepage (http://www.microsoft.com).
  • Starten Sie nun die Installation des Pocket PC Power Toys Remote Display Control am Desktop-PC. Öffnen Sie dazu die Datei RemoteDSP.exe.

Hinweis: Da RemoteDSP.exe für Pocket PCs entwickelt worden ist, kann das Setup die Applikation CERDISP.EXE nicht automatisch am CE Gerät installieren. Da diese Datei bereits im B&R Windows CE Image enthalten ist, können Sie diese Fehlermeldung ignorieren.
  • Verbinden Sie den Desktop-PC und das Windows CE Gerät per Ethernet. Testen Sie die Verbindung z.B. mit einem PING.
  • Starten Sie nun das Pocket PC Power Toy Programm Remote Display Control Host am Desktop-PC.
  • Starten Sie anschließend das Programm Start > Programs > Accessories > Remote Display Control am B&R Windows CE Gerät.
  • Öffnen Sie den Dialog Connect und geben Sie die IP-Adresse oder Namen Ihres Desktop-PCs ein.
  • Starten Sie die Verbindung mit einem Klick auf OK

<< Vorheriges Thema
Tools

Startseite

Nächstes Thema >>
Fullscreen Internet Explorer


Fullscreen Internet Explorer

Allgemein

Der Internet Explorer bietet zwar den Menüpunkt View > Hide Toolbars an, jedoch wird diese Einstellung nicht gespeichert. Somit sind die Toolbars nach einem Neustart des Internet Explorers wieder sichtbar. Verwenden Sie aus diesem Grund das Programm Fullscreen Internet Explorer.

So öffnen Sie das Programm Fullscreen Internet Explorer:

  • Öffnen Sie das Programm Start > Programs > Accessories > Fullscreen Internet Explorer

Tastaturbefehle

Menü Aktion | Tastenkürzel
Seite aktualisieren | F5
View, Text Size, Smaller | F6
View, Text Size, Larger | F7
View, Internet Options | F10
Togglen zwischen Fullscreenmodus und normalen Modus | F11 oder Ctrl + I
Zurück | Alt + <-
Weiter | Alt + ->
Stop | Esc
Startseite aufrufen | Strg + h
Go [Öffnet einen Dialog] | Strg + g
Suchen [Öffnet einen Dialog] | Strg + f

Siehe auch

Welche Unterschiede gibt es zwischen den verschiedenen Webbrowsern?

<< Vorheriges Thema
B&R Remote Display Control

Startseite

Nächstes Thema >>
CERamDrv


CERamDrv

Allgemein

CERamDrv erstellt eine Ramdisk.

Syntax

ceramdrv <Größe der RamDisk in Bytes>

Siehe auch

Wie kann ich eine Ramdisk anlegen?

<< Vorheriges Thema
Fullscreen Internet Explorer

Startseite

Nächstes Thema >>
B&R Registry Editor


B&R Registry Editor

Allgemein

B&R stellt mit dem B&R Registry Editor ein Programm zur Verfügung, mit welchem die Registry des Windows CE Images am CE Gerät bearbeitet werden kann. Die Bedienung des B&R Registry Editor ist ähnlich zu den Editoren unter Microsoft Windows XP.

Die Oberfläche von RegEdit

So starten Sie den B&R Registry Editor:

  • Öffnen Sie das Programm Start > Programs > Accessories > B&R Registry Editor.

Das Icon von RegEdit

  • Sie können das Programm von der Kommandozeile aus mit dem Befehl RegEdit starten.

    Hinweis    : Vergessen Sie nicht, nach dem Beenden des Registryeditors die Registry zu speichern!

Siehe auch

Speichern der Registry, Regsave.exe, Bearbeiten der Registry

<< Vorheriges Thema
CERamDrv

Startseite

Nächstes Thema >>
RegSave


RegSave.exe

RegSave

Allgemein

Die Kommandozeilenapplikation RegSave.exe bietet Ihnen die Möglichkeit (analog zum Control Panel Applet Configuration Manager) die Registry zu speichern. Geben Sie am Kommandoprompt den Befehl Regsave ein.

RegSave

Die Registry wird nun auf die Compact Flash Karte gespeichert.

Siehe auch

Speichern der Registry, Configuration Manager, B&R Registry Editor

<< Vorheriges Thema
B&R Registry Editor

Startseite

Nächstes Thema >>
RegSvrCE


RegSvrCE

Allgemein

Das Programm RegSvrCE.exe dient zum Registrieren von COM-DLLs oder ActiveX Controls.

Syntax

RegSvrCE [Pfad und Name des ActiveX] [/s] [/u]

Parameter

/S Silent     - Es werden keine Ausgaben auf das Display gemacht
/U Unregister - Das angegebene ActiveX wird deregistiert

Beispiel

RegSvrCE \Hard Disk\MyActiveX.ocx

Hinweis:
Vergessen Sie nicht nach dem Registieren des ActiveX die Registry zu speichern.

Siehe auch

Speichern der Registry, Configuration Manager

<< Vorheriges Thema
RegSave

Startseite

Nächstes Thema >>
Bekannte Probleme


Bekannte Probleme

In diesem Abschnitt werden folgende Themen behandelt:

Bekannte Probleme

APC620, PPC700

PP100/200, MP100/20

<< Vorheriges Thema
RegSvrCE

Startseite

Nächstes Thema >>
APC620, PPC700


APC620, PPC700

In diesem Abschnitt werden folgende Themen behandelt:

APC620, PPC700

V1.0

V1.1

<< Vorheriges Thema
Bekannte Probleme

Startseite

Nächstes Thema >>
V1.0


V1.0

  • Der verwendete ATAPI Treiber unterstützt keine DMA Transfers. Alle Devices (Compact Flash Karten, Festplatten etc.) werden somit im PIO Modus betrieben (siehe A&P 129865).
  • USB 2.0 (EHCI) fällt sporadisch aus (siehe A&P 129870).
  • Wird im Control Panel Applet Server der Webserver aktiviert, so ist nach einem Neustart der Webserver und der Telnetserver aktiviert (siehe A&P 13920).
  • Mit dem B&R Windows CE SDK kann keine Native Smart Device Application mit Visual Studio 2005 erstellt werden (siehe A&P 138890).
  • Die ActiveX Schnittstelle des RDP Interfaces ist nicht implementiert (siehe A&P 131915).
  • Nach einem Warmstart bleibt das Automation Panel dunkel (siehe A&P 142055).
  • Die Device Change Notification wird bei einer RDP Verbindung nicht ausgelöst (siehe A&P 140250).
  • Der Explorer kopiert das Dateiattribut "Versteckt" nicht (siehe A&P 140200).

<< Vorheriges Thema
APC620, PPC700

Startseite

Nächstes Thema >>
V1.1


V1.1

  • USB 2.0 (EHCI) fällt sporadisch aus (siehe A&P 129870).
  • USB Maus an USB-Port 2 wird nicht erkannt (siehe A&P 139665).

<< Vorheriges Thema
V1.0

Startseite

Nächstes Thema >>
PP100/200, MP100/20


PP100/200, MP100/200

In diesem Abschnitt werden folgende Themen behandelt:

PP100/200, MP100/20

V5.0

V5.1

<< Vorheriges Thema
V1.1

Startseite

Nächstes Thema >>
V5.0


V5.0

  • Der Grafikkartentreiber ist etwas langsamer als jener aus B&R Windows CE V3.0 (siehe A&P 129860).
  • Der DMA Modus am IDE-Controller kann nicht aktviert werden (siehe A&P 128600).
  • Wird ein Programm, welches nicht auf der primären Partition gespeichert ist, per RUN Keyword gestartet, so funktioniert dies nur wenn vorher ein WAIT Keyword gesetzt wurde (siehe A&P 126365).
  • Es wird nur das englische Keyboard Layout unterstützt (siehe A&P 128315).
  • Tastenebene > 3 kann eingestellt werden (siehe A&P 128350).
  • Matrixtaste Nummer 121 wird nicht erkannt (siehe A&P 128245).
  • Die Touchkalibrierung sollte überprüfen, ob die neue Kalibrierung aktiviert werden soll (siehe A&P 129875).
  • Wird im Control Panel Applet Server der Webserver aktiviert, so ist nach einem Neustart der Webserver und der Telnetserver aktiviert (siehe A&P 13920).
  • Mit dem B&R Windows CE SDK kann keine Native Smart Device Application mit Visual Studio 2005 erstellt werden (siehe A&P 138890).
  • Fehlermeldung "no B&R device" wenn bei WinCE wenn Keyboard repeat rate disabled wird (siehe A&P 13720).
  • Die ActiveX Schnittstelle des RDP Interfaces ist nicht implementiert (siehe A&P 131915).
  • Der MXC wird am Mobile Panel sporadisch nicht initialisiert - Tasten funktionieren nicht (siehe A&P 144230).
  • Die Device Change Notification wird bei einer RDP Verbindung nicht ausgelöst (siehe A&P 140250).
  • Der Explorer kopiert das Dateiattribut "Versteckt" nicht (siehe A&P 140200).

<< Vorheriges Thema
PP100/200, MP100/20

Startseite

Nächstes Thema >>
V5.1


V5.1

  • Der Grafikkartentreiber ist etwas langsamer als jener aus B&R Windows CE V3.0 (siehe A&P 129860).
  • Der DMA Modus am IDE-Controller kann nicht aktviert werden (siehe A&P 128600).
  • Wird ein Programm, welches nicht auf der primären Partition gespeichert ist, per RUN Keyword gestartet, so funktioniert dies nur wenn vorher ein WAIT Keyword gesetzt wurde (siehe A&P 126365).
  • Die Touchkalibrierung sollte überprüfen, ob die neue Kalibrierung aktiviert werden soll (siehe A&P 129875).
  • Der Wechsel einer CD-ROM in einem USB CD-ROM Laufwerk wird nicht erkannt (siehe A&P 144465).

<< Vorheriges Thema
V5.0

Startseite

Nächstes Thema >>
FAQ's


FAQ's

In diesem Abschnitt werden folgende Themen behandelt:

FAQ's

Wie kann ich die Bootzeiten optimieren?

Woher bekomme ich Libraries, Include-Files und Dokumentation für das PVI?

Warum wird meine USB-Maus am APC620, PPC700 nicht erkannt?

Worin besteht der Unterschied zwischen den Professional und den Professional Plus Images?

Wie installiere ich das Compact Framework 2.0?

Warum funktioniert der Touch nur auf einem Link Connector?

Warum funktioniert die PS/2 Maus nicht?

Warum funktioniert die Ethernet Verbindung mit ActiveSync 4.X nicht mehr?

Wie installiere ich eine Java VM auf einem B&R Windows CE Gerät?

Wie kann ich der Netzwerkkarte meines PP100/200 oder MP100/200 einen fixen Medientyp zuweisen?

Wie kann ich die Touchkalibrierung aus meiner Applikation heraus aufrufen?

Wie kann ich die Taskbar in den Hintergrund verschieben?

Wie konfiguriere ich den File Server?

Wie stelle ich eine Telnet-Verbindung her?

Was bedeutet This is not valid Windows CE application?

Wie definiere ich die Input Language?

Mit welchem Übertragungsmodus wird die Compact Flash Karte betrieben?

Die Verknüpfungen am Desktop lassen sich nicht entfernen!

Mein USB Device reagiert nicht!

Nach der Installation ist mein *.cab File verschwunden!

Platform Manager cannot create the communication streams needed by the Debugger

Warum muss ich das Bootlogo spiegeln?

Welche Unterschiede gibt es zwischen den verschiedenen Webbrowsern?

Wie kann ich das SIP per Quellcode öffnen?

Wie kann ich dem Gerät eine fixe IP-Adresse zuteilen?

Wie kann ich eine Ramdisk anlegen?

Wie kann ich einen Screenshot erstellen?

Wo ist eMbedded Visual Basic?

<< Vorheriges Thema
V5.1

Startseite

Nächstes Thema >>
Wie kann ich die Bootzeiten optimieren?


Wie kann ich die Bootzeiten optimieren?

Allgemein

Beachten Sie die folgenden Tipps, um die Bootzeiten eines B&R Windows CE 5.0 Images zu minimieren:

Tipp | APC620, PPC700 | PP100/200, MP100/200
Microsoft Windows CE 5.0 benötigt relativ viel Zeit um Partitionen zu mounten. Diese Zeit verlängert sich enorm, desto größer diese Partitionen sind. Verwenden Sie aus diesem Grund die kleinste mögliche Compact Flash Karte. | - | -
Deaktivieren Sie die Anzeige des Bootlogos im BIOS. | BIOS > Advanced > Miscellaneous > Dark Boot > Enabled | BIOS > Advanced BIOS Features > Boot Logo > Disabled
Deaktivieren Sie die Anzeige des BIOS Summary Screens. | BIOS > Advanced > Miscellaneous > Summary screen > Disabled | BIOS > Advanced BIOS Features >Summary Screen > Disabled
Deaktivieren Sie alle nicht benötigten Server. | Start > Settings > Control Panel > Server | Start > Settings > Control Panel > Server
Verwenden Sie aktuelle B&R Compact Flash Karten. Nur diese unterstützen den DMA Modus. | - | -

<< Vorheriges Thema
FAQ's

Startseite

Nächstes Thema >>
Woher bekomme ich Libraries, Include-Files und Dokumentation für das PVI?


Woher bekomme ich Libraries, Include-Files und Dokumentation für das PVI?

Allgemein

Diese Dateien und Informationen sind Bestandteil des Programmpaketes PVI Runtime + Server Setup. Sie können dieses von der B&R Homepage http://www.br-automation.com laden.

<< Vorheriges Thema
Wie kann ich die Bootzeiten optimieren?

Startseite

Nächstes Thema >>
Warum wird meine USB-Maus am APC620, PPC700 nicht erkannt?


Warum wird meine USB-Maus am APC620, PPC700 nicht erkannt?

Allgemein

Am USB-Port 2 des APC620 und PPC700 wird eine USB-Maus nicht erkannt, wenn am USB-Port 1 eine USB-Tastatur gesteckt ist.

So können Sie das Problem beheben:

  • Stecken Sie die USB-Maus an den USB-Port 1 und die USB-Tastatur an USB-Port 2 an.
  • Entfernen Sie die USB-Maus von USB-Port 2 und stecken Sie diese erneut an USB-Port 2 an.
  • Deaktivieren Sie das Device Advanced > I/O Device Configuration > USB EHCI Host Controller im BIOS.

<< Vorheriges Thema
Woher bekomme ich Libraries, Include-Files und Dokumentation für das PVI?

Startseite

Nächstes Thema >>
Worin besteht der Unterschied zwischen den Professional und den Professional Plus Images?


Worin besteht der Unterschied zwischen den Professional und den Professional Plus Images?

Allgemein

Die B&R Windows CE Professional Plus Images (9S0001.34-020, 9S0001.35-020 und 9S0001.36-020) basieren auf den B&R Windows CE Professional Images. Zusätzlich zu den Komponenten der Professional Images beinhalten die Professional Plus Images die folgenden Viewer:

  • PDF Viewer
  • Power Point Viewer
  • Microsoft Word Viewer
  • Excel Viewer
  • Image Viewer

Siehe auch

Bestellnummern, Funktionsumfang

<< Vorheriges Thema
Warum wird meine USB-Maus am APC620, PPC700 nicht erkannt?

Startseite

Nächstes Thema >>
Wie installiere ich das Compact Framework 2.0?


Wie installiere ich das Compact Framework 2.0?

Allgemein

Es gibt mehrere Möglichkeiten das Microsoft Compact Framework V2.0 zu installieren:
  • Automatische Installation durch Microsoft Visual Studio 2005 während eines Deployments.
  • Über ActiveSync während der Installation des .NET Compact Framework 2.0 Redistributable Packets.
  • Manuell durch das Installieren der CAB-Datei NETCFv2.wce5.x86.cab.
In diesem Dokument wird die manuelle Installation anhand der CAB-Datei besprochen.

So installieren Sie das Compact Framework V2.0:

  • Stellen Sie sicher, dass das Compact Framework V2.0 noch nicht installiert ist. Beachten Sie dazu das Kapitel Funktionsumfang.
  • Kopieren Sie die Datei NETCFv2.wce5.x86.cab auf das B&R Windows CE Gerät.
  • Starten Sie Datei NETCFv2.wce5.x86.cab und warten Sie bis die Installation beendet ist.

Hinweis: Die Datei NETCFv2.wce5.x86.cab ist Teil von Microsoft Visual Studio 2005 oder des Paketes .NET Compact Framework 2.0 Redistributable. Das Paket .NET Compact Framework 2.0 Redistributable kann kostenlos von der Microsoft Homepage geladen werden.
  • Warten Sie bis die Installation abgeschlossen wurde.
  • Öffnen Sie den Configuration Manager und speichern Sie die Registry.

Anforderungen

PP100/200, MP100/200: B&R Windows CE 5.0 oder höher

Siehe auch

Funktionsumfang, Speichern der Registry

<< Vorheriges Thema
Worin besteht der Unterschied zwischen den Professional und den Professional Plus Images?

Startseite

Nächstes Thema >>
Warum funktioniert der Touch nur auf einem Link Connector?


Warum funktioniert der Touch nur auf einem Link Connector?

Allgemein

Dieses Verhalten tritt dann auf, wenn Sie im BIOS die serielle Schnittstelle COM D aktiviert haben. Um dieses Problem zu beheben, wechseln Sie in das BIOS und setzen Sie die Einstellung Advanced > Baseboard/Panel Features > Legacy Devices > COM D: auf Disabled.

Siehe auch

BIOS Einstellungen

<< Vorheriges Thema
Wie installiere ich das Compact Framework 2.0?

Startseite

Nächstes Thema >>
Warum funktioniert die PS/2 Maus nicht?


Warum funktioniert die PS/2 Maus nicht?

Allgemein

Damit eine PS/2 Maus unter Windows CE aktiviert wird, muss diese bereits während des Bootens angesteckt sein. Weiters muss der PS/2 Maus Support im BIOS aktiviert werden. Verwenden Sie dazu die BIOS Einstellung Advanced > Miscellaneous > PS/2 Mouse.

Siehe auch

BIOS Einstellungen

<< Vorheriges Thema
Warum funktioniert der Touch nur auf einem Link Connector?

Startseite

Nächstes Thema >>
Warum funktioniert die Ethernet Verbindung mit ActiveSync 4.X nicht mehr?


Warum funktioniert die Ethernet Verbindung mit ActiveSync 4.X nicht mehr?

Allgemein

Microsoft hat ab Version 4.0 von ActiveSync die Funktion "Remote PC Sync (via Wifi or LAN) " entfernt. Aus diesem Grund ist es ab Version 4.0 von ActiveSync nicht mehr möglich, eine ActiveSync Verbindung per Ethernet (siehe Verbindung mit dem CE Gerät aufnehmen > ActiveSync > Ethernet) herzustellen. Folgender Text wird als Begründung auf der Microsoft Webpage angeführt:

"Remote PC Sync (via Wifi or LAN) has been removed due to Enterprise customer feedback around security issues. If you are using this feature on a Windows Mobile 2003 powered device, please continue using ActiveSync 3.x or earlier."

B&R empfiehlt aus diesem Grund die Verwendung von Microsoft ActiveSync 3.X.

Siehe auch

Verbindung mit dem CE Gerät aufnehmen > ActiveSync > Ethernet, Verbindung mit dem CE Gerät aufnehmen > ActiveSync > Seriell

<< Vorheriges Thema
Warum funktioniert die PS/2 Maus nicht?

Startseite

Nächstes Thema >>
Wie installiere ich eine Java VM auf einem B&R Windows CE Gerät?


Wie installiere ich eine Java VM auf einem B&R Windows CE Gerät?

Allgemein

Im Gegensatz zu anderen Betriebssystemen gibt es für Microsoft Windows CE keine kostenlose Java VM bzw. JRE. Aus diesem Grund empfiehlt B&R die JRE CrEme (ab Version 4.X) der Firma NSICom (http://www.nsicom.com). Diese JRE wurde erfolgreich auf B&R Windows CE Geräten getestet.

So installieren Sie CrEme auf einem B&R Windows CE 5.0 Gerät:

  • Stellen Sie sicher, dass Ihr B&R Windows CE Image auf Microsoft Windows CE 5.0 basiert. Siehe Kapitel "Funktionsumfang ".

Hinweis: CrEme kann nur auf B&R Windows CE Images installiert werden, welche auf Microsoft Windows CE 5.0 basieren. Benötigen Sie CrEme für ein auf Microsoft Windows CE 4.X basierenden Image, so kontaktieren Sie Ihren B&R Vertiebsmann.
  • Kontaktieren Sie B&R, um eine kompatible Version von CrEme zu erhalten.

Hinweis: Die Setups von http://www.nsicom.com können nicht auf einem B&R Windows CE Gerät installiert werden. Diese Versionen benötigen Komponenten (AYGShell), welche nicht im B&R Windows CE Image enthalten sind. Kontaktieren Sie B&R, um eine kompatible Version von CrEme zu erhalten.
  • Kopieren Sie die CAB-Datei auf das Windows CE Gerät.
  • Doppelklicken Sie auf die CAB-Datei.
  • Im Dialog Install NSIcom CrE-ME wählen Sie das Verzeichnis "\Windows\CrEme" aus.
  • Warten Sie bis die Installation abgeschlossen wurde.
  • Öffnen Sie den Configuration Manager und speichern Sie die Registry.

Siehe auch

Funktionsumfang, Speichern der Registry

<< Vorheriges Thema
Warum funktioniert die Ethernet Verbindung mit ActiveSync 4.X nicht mehr?

Startseite

Nächstes Thema >>
Wie kann ich der Netzwerkkarte meines PP100/200 oder MP100/200 einen fixen Medientyp zuweisen?


Wie kann ich der Netzwerkkarte einen fixen Medientyp zuweisen?

Wie kann ich der Netzwerkkarte meines PP100/200 oder MP100/200 einen fixen Medientyp zuweisen?

Allgemein

In der Standardkonfiguration versucht die Netzwerkkarte das verwendete Medium (10BaseTx oder 100BaseTx) in Zusammenspiel mit vorhandenen Hubs, Switches oder Server automatisch einzustellen. Dieser Automatismus braucht eine gewisse Zeit, welche in manchen Konfigurationen zu Problemem führen kann. Um den Medientyp fix zu konfigurieren verwenden Sie bitte die folgenden Registrykeys:

 [HKEY_LOCAL_MACHINE\Drivers\BuiltIn\PCI\Instance\DP83815]
 Speed = [DWORD]
 FullDuplex = [DWORD]

Speed | Beschreibung
1 | Automatisch
2 | 10 Mbps
3 | 100 Mbps

FullDuplex | Beschreibung
1 | Full-Duplex
2 | Half-Duplex

<< Vorheriges Thema
Wie installiere ich eine Java VM auf einem B&R Windows CE Gerät?

Startseite

Nächstes Thema >>
Wie kann ich die Touchkalibrierung aus meiner Applikation heraus aufrufen?


Wie kann ich die Touchkalibrierung aus meiner Applikation heraus aufrufen?

Allgemein

In diesem Kapitel erfahren Sie, wie Sie die Touchkalibrierung aus Ihrer Applikation heraus aufrufen können.

Grundsätzlich sind die Kalibrierungsroutinen als ausführbare Programmdateien im Verzeichnis Windows abgelegt. Am Power Panel 100/200 und Mobile Panel 100/200 lautet der Dateiname hcecal.exe, am APC620 und PPC700 EloVa.exe.

So Starten Sie die APC620 Touchkalibrierung (C-Sourcecode):

PROCESS_INFORMATION hProcess;
long ProcessError;
ProcessError = CreateProcess(TEXT("\\windows\\EloVa.exe"), TEXT(""),NULL,NULL, FALSE, 0, NULL, NULL, NULL, &hProcess);

Siehe auch

Kalibrierung des Touch, Control Panel Applet Touchscreen

<< Vorheriges Thema
Wie kann ich der Netzwerkkarte meines PP100/200 oder MP100/200 einen fixen Medientyp zuweisen?

Startseite

Nächstes Thema >>
Wie kann ich die Taskbar in den Hintergrund verschieben?


Wie kann ich die Taskbar in den Hintergrund verschieben?

Allgemein

Am einfachsten funktioniert dies, indem man die Eigenschaften der Taskleiste modifiziert.

So verschieben Sie die Taskbar in den Hintergrund:

  • Öffnen Sie den Dialog Start > Settings > Taskbar and Start Menu.

Öffnen des Eigenschaftendialoges der Taskleiste und des Startmenüs

  • Wechseln Sie auf die Registerkarte General.
  • Aktivieren Sie die Checkbox Auto Hide.

Aktivieren Sie die Checkbox "Automatisch im Hintergrund"

    Hinweis    :
    Um die Taskbar vollkommen unsichtbar zu schalten, deaktivieren Sie auch die Checkbox Always on top!

Nun muss noch die Registry gespeichert werden. Sie können diese Einstellungen auch automatisch während des ersten Bootens mit der Datei SETTINGS.REG vornehmen. Verwenden Sie dazu folgende Registrykeys:

    REGEDIT4
       [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Shell]
    [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Shell\AutoHide]
    @=dword:00000001

Siehe auch

Speichern der Registry, Configuration Manager, SETTINGS.REG

<< Vorheriges Thema
Wie kann ich die Touchkalibrierung aus meiner Applikation heraus aufrufen?

Startseite

Nächstes Thema >>
Wie konfiguriere ich den File Server?


Wie konfiguriere ich den File Server?

Allgemein

In diesem Kapitel erfahren Sie, wie Sie den File Server eines B&R Windows CE Gerätes konfigurieren.

So konfigurieren Sie den File Server:

  • Stellen Sie sicher, dass das B&R CE Gerät mit Ihrem Netzwerk verbunden ist.
  • Stellen Sie sicher, dass der Webserver aktiviert ist. Beachten Sie dazu das Kapitel Other Server.
  • Öffnen Sie die das Windows CE Remote Management Tool in dem Sie die Seite http://localhost/remoteadmin im Internet Explorer öffnen.

Hinweis:
Falls sich das Windows CE Remote Management Tool am B&R CE Gerät nicht öffnen lässt, deaktivieren Sie bitte die Option Access the Internet using a proxy server und Use LAN (no Autodial) in den Internet Options. Falls Sie diese Optionen nicht deaktivieren wollen, können Sie das Remote Management Tool des CE Gerätes auch über Ihren Desktop-PC erreichen. Öffnen Sie dazu einen Webbrowser auf Ihrem Desktop-PC und geben Sie als Adresse die IP-Adresse gefolgt von remoteadmin ein (z.B. http://20.10.30.14/remoteadmin).
  • Wählen Sie nun ein Passwort aus und geben Sie dieses bei Password und Verification ein. Klicken Sie anschließend auf Apply.
  • Das Gateway wird resetiert und der Enter Network Password Dialog erscheint. Bei User Name geben Sie admin ein, bei Password Ihr soeben definiertes Passwort. Beenden Sie den Dialog mit einem Klick auf OK.

  • In die Device Name Textbox geben Sie File Server ein. Bestätigen Sie diese Eingabe mit einen Klick auf Apply.

  • Klicken Sie in der linken Spalte auf Add/Del Share. Der Dialog Use this page to add and remove shares Dialog erscheint.
  • Geben Sie in die Textbox rechts von \Windows Verzeichnis root ein. Klicken Sie auf Add.

  • Öffnen Sie den Dialog Permissions für das Verzeichnis \Windows.
  • Aktivieren Sie die Option Allow für den User Admin und klicken Sie anschließend auf Update.

  • Beenden Sie den Dialog mit Done.
  • Klicken Sie nun in der linken Spalte auf Device Management und anschließend auf Add/Del Network Adapters. Der Dialog Use this page to add and remove shares erscheint.
  • Markieren Sie jene Netzwerk Adapter, welche Sie für den File Server verwenden wollen. Beenden Sie den Dialog mit Submit Query.

  • Speichern Sie die Registry am CE Gerät.
  • Öffnen Sie nun den Dialog Start > Ausführen auf Ihrem Desktop-PC und geben Sie \\fileserver ein.

  • Das Verzeichnis wird geöffnet.

Siehe auch

Speichern der Registry

<< Vorheriges Thema
Wie kann ich die Taskbar in den Hintergrund verschieben?

Startseite

Nächstes Thema >>
Wie stelle ich eine Telnet-Verbindung her?


Wie stelle ich eine Telnet-Verbindung her?

Allgemein

In diesem Kapitel erfahren Sie, wie man eine Telnet-Verbindung zu einem B&R Windows CE Gerät herstellt.

So stellen Sie eine Telnet-Verbindung her:

  • Stellen Sie sicher, dass Ihr CE Gerät mit einem Netzwerk verbunden ist.
  • Definieren Sie ein Passwort für das CE Gerät.
  • Öffnen Sie dazu den Dialog Start > Settings > Control Panel > Password.
  • Geben Sie ein beliebiges Passwort ein.

  • Öffnen Sie an der Kommandozeile Ihres Desktop Rechners den Telenet Client mit dem Befehl telnet.

  • Öffnen Sie eine neue Verbindung mit dem Befehl o.
  • Geben Sie nun die IP-Adresse des CE Gerätes ein.
  • Als Login geben Sie Admin ein.

  • Nun müssen Sie noch das Passwort eingeben.

  • Die Pocket Shell können Sie mit dem Befehl exit beenden.
  • Den Telnet-Client beenden Sie mit dem Befehl q.

Siehe auch

Server Applet

<< Vorheriges Thema
Wie konfiguriere ich den File Server?

Startseite

Nächstes Thema >>
Was bedeutet This is not valid Windows CE application?


Was bedeutet This is not valid Windows CE application?

Allgemein

Typischerweise wird diese Fehlermeldung beim Starten einer EXE-Datei am Windows CE Gerät ausgegeben. Diese Fehlermeldung deutet darauf hin, dass in der EXE-Datei eine API-Funktion verwendet wird, welche im B&R Windows CE Image nicht enthalten ist. Verwenden Sie aus diesem Grund bei der Entwicklung von Native-Code Programmen mit Microsoft eMbedded Visual C++ 4.0 immer das B&R SDK. Siehe Anforderungen bei der Enwicklung von Native-Code Anwendungen.

Siehe auch

Anforderungen bei der Enwicklung von Native-Code Anwendungen

<< Vorheriges Thema
Wie stelle ich eine Telnet-Verbindung her?

Startseite

Nächstes Thema >>
Wie definiere ich die Input Language?


Wie definiere ich die Input Language?

Allgemein

Die Input Language definiert das Tastaturlayout eines angeschlossenen Keyboards oder eines SIPs (Im Moment wird nur das Large Keyboard SIP unterstützt). Somit kann während des Betriebes zwischen verschiedenene Tastaturlayouts (Deutsch und Englisch) gewechselt werden.

So wechseln Sie die Input Language:

  • Öffnen Sie den Dialog Start > Settings > Control Panel > Regional Settings.
  • Wechseln Sie auf die Registerkarte Input Language.
  • Aktivieren Sie in der Listbox Installed Input Languages die gewünschten Input Languages.
  • Falls Sie mehr als eine Input Language aktivieren, müssen Sie zusätzlich noch die Default Input Language in der Drop-Downbox Default Input Language definieren.

Hinweis:
Sie können auch mehrere Input Languages aktivieren. Die aktuell aktivierte Input Language wird als Icon im Systemtray angezeigt. Mit der Tastenkombination ALT+SHIFT können Sie die aktive Input Language bestimmen.

<< Vorheriges Thema
Was bedeutet This is not valid Windows CE application?

Startseite

Nächstes Thema >>
Mit welchem Übertragungsmodus wird die Compact Flash Karte betrieben?


Mit welchem Übertragungsmodus wird die Compact Flash Karte betrieben?

Allgemein

Die Compact Flash Karten werden in der Regel im PIO Modus betrieben. Nur die APC620, PPC700 Images ab Version V1.1 betreiben die Compact Flash Karten im DMA Modus.

Siehe auch

Funktionsumfang

<< Vorheriges Thema
Wie definiere ich die Input Language?

Startseite

Nächstes Thema >>
Die Verknüpfungen am Desktop lassen sich nicht entfernen!


Die Verknüpfungen am Desktop lassen sich nicht entfernen!

Allgemein

Die Verknüpfungen am Desktop wie z.B. Internet Explorer oder Microsoft WordPad lassen sich deshalb nicht entfernen, da diese im Image abgelegt sind (nicht in der Registry oder in einer Datei). Somit werden diese Verknüpfungen bei jedem Booten neu aus der NK.BIN generiert. Diese Verknüpfungen können nicht gelöscht werden.

<< Vorheriges Thema
Mit welchem Übertragungsmodus wird die Compact Flash Karte betrieben?

Startseite

Nächstes Thema >>
Mein USB Device reagiert nicht!


Mein USB Device reagiert nicht!

Allgemein

Nach dem Booten des CE Gerätes werden die USB-Geräte nacheinander initialisiert. Als erstes wird das Gerät an USB-Port 1 gestartet und danach das Gerät an USB-Port 2. Ist nun am Port 1 ein Gerät angeschlossen welches relativ lange zur Initialisierung braucht (z.B. DiskOnKey, Compact Flash Reader ...), so kann es vorkommen dass viel Zeit verstreicht, bis das USB-Gerät an USB-Port 2 aktiviert wird. Dieses Verhalten fällt besonders dann auf, wenn sich an USB-Port 2 z.B. eine Maus oder eine Tastatur befindet.

Bitte stecken Sie deshalb USB-Geräte mit langer Initialisierungsdauer an USB-Port 2 an und Geräte, die relativ schnell initialisiert werden (Tastatur oder Maus), an USB-Port 1.

<< Vorheriges Thema
Die Verknüpfungen am Desktop lassen sich nicht entfernen!

Startseite

Nächstes Thema >>
Nach der Installation ist mein *.cab File verschwunden!


Nach der Installation ist mein *.cab File verschwunden!

Allgemein

Dies ist das normale Verhalten von wceload.exe (Teil von Microsoft Windows CE). Dieses Programm löscht, nach der erfolgreichen Ausführung der Installation, die CAB-Datei. Wenn Sie diese Datei öfter nutzen wollen, müssen Sie vor der Installation eine Sicherheitskopie erstellen.

<< Vorheriges Thema
Mein USB Device reagiert nicht!

Startseite

Nächstes Thema >>
Platform Manager cannot create the communication streams needed by the Debugger


Platform Manager cannot create the communication streams needed by the Debugger

Allgemein

Um dieses Problem zu beheben, deinstallieren Sie bitte nur die Common Components von Microsoft eMbedded Visual C++ 4.0. Das Setup Programm wird anmerken, dass damit die Installation zerstört wird. Sie können diese Meldung ignorieren. Rebooten Sie Ihren PC und installieren Sie die Common Components von Microsoft eMbedded Visual C++ 4.0 neu.

<< Vorheriges Thema
Nach der Installation ist mein *.cab File verschwunden!

Startseite

Nächstes Thema >>
Warum muss ich das Bootlogo spiegeln?


Warum muss ich das Bootlogo spiegeln?

Das Windows Bitmap Format speichert die Pixel beginnend von rechts unten nach links oben in die Datei. Der Bootloader zeichnet aber von links oben nach rechts unten, wodurch sich die Spiegelung ergibt.

<< Vorheriges Thema
Platform Manager cannot create the communication streams needed by the Debugger

Startseite

Nächstes Thema >>
Welche Unterschiede gibt es zwischen den verschiedenen Webbrowsern?


Welche Unterschiede gibt es zwischen den verschiedenen Webbrowsern?

Allgemein

Microsoft Platform Builder bietet die Möglichkeit, einen von zwei Webbrowsern in das Windows CE Image zu integrieren. Zum einen ist das der Pocket Internet Explorer (welcher in den Windows CE 3.0 Images für die Provit 5000 vorhanden ist) und zum anderen der Microsoft Internet Explorer 6.0 für Windows CE. B&R verwendet den Microsoft Internet Explorer 6.0 für Windows CE.

Im folgenden finden Sie einen Auszug aus der Microsoft Platform Builder Hilfe (Kapitel Support for Internet Explorer 6 in Windows CE), welcher die Unterschiede zwischen der Desktop- und der Windows CE Variante des Internet Explorers 6.0 beschreibt.

Desktop Internet Explorer functionalities supported by IE for Windows CE

Internet Explorer 6 for Windows CE supports the following desktop Internet Explorer features:

  • HTML 4.01.
  • Dynamic HTML (DHTML).
  • Cascading Style Sheets (CSS), compliant with CSS1 and CSS2 core functionality. For more information, see CSS Reference.
  • Documuent Object Model (DOM). Full event model for all tags and objects.
  • Microsoft® ActiveX® controls. These controls must be installed and registered on the device. ActiveX controls are not binary compatible between the desktop version of Windows and Windows CE.
  • Browser Helper Object (BHO).
  • Frame and IFRAME.
  • Cookies. Used for tracking data settings, or data for a particular Web site.
  • Client Capability behaviors.
  • Image support (GIF, Animated GIF, JPG, BMP, XBM, and PNG).
  • Printing.
  • HTML Applications (.hta) and HTML Component (.htc).
  • HTTP 1.0, HTTP 1.1, and FTP.
  • Secure Sockets Layer (SSL) support. SSL2, SSL3, and TLS 1.0
  • Basic, NTLM, and Kerberos authentication (NTLM and Kerberos are optional components).
  • Internet Protocol Version 6 (IPv6).
  • Offline browsing.
  • Security Zone.
  • Asynchronous pluggable protocols.
  • Microsoft Jscript 5.6 and VBScript 5.6.

New functionalities added to Internet Explorer 6 for Windows CE 5.0

The following list shows some of the new functionalities added to Internet Explorer 6 for Windows CE 5.0. For the complete list of the new functionalities added in this release, see What's New in Windows CE.

  • Theming Support that applies Windows XP visual style to intrinsic controls. For more information, see Theme Support Reference.
  • Platform for Privacy Preferences (P3P) support that enables cookie filtering. For more information, see Platform for Privacy Preferences (P3P).
  • Popup blocking that enables the filtering of unwanted popup windows. Windows CE provides a different implementation from desktop implementation. For more information, see Using the Popup Blocker Interfaces.
  • RPC support enables cross-window communication. For more information, see Internet Explorer RPC Support.
  • Complex Script language

Desktop functionalities that behave differently on Internet Explorer for Windows CE

The following list shows the desktop functionalities that behave differently on Internet Explorer for Windows CE.

  • Browser application. IE for Windows CE includes a browser application, IESAMPLE. IESAMPLE displays the current security zone in the browser status bar, and displays the security lock icon when the user visits a secure Web site that automatically sends its security certificate. IESAMPLE also implements the AutoComplete functionality that completes entries on Web pages by displaying a list of previous matching entries. For more information about this application, see The IESample Browser.
    The following list shows functionalities supported in IESAMPLE.

    • Menu.
    • Toolbar.
    • Favorites.
    • Control Panel.
    • Address bar. Go button is not support.
    • Status bars.
      Note: The Media and History bars are not supported. Also, the Search and Favorites panes are not supported.
    • Editing.
    • Cut, copy, and paste operations are supported. Rich editing is not supported.
    • Printing. Print preview is not supported.
    • ActiveX controls. These controls in Windows CE are not binary compatible with the desktop version of Windows.

Desktop Internet Explorer functionalities that are partially supported in Internet Explorer for Windows CE

The following list shows the desktop Internet Explorer functionalities that are partially supported in Internet Explorer for Windows CE.

  • Filters and Transition that add visual effects to Web page content. Not all visual effects are supported in IE for Windows CE. For more information, see Adding Filters and Transitions.
  • Internet Explorer DHTML behaviors, including clientCaps and printing related behaviors. Other behaviors such as userData, homepage, download behaviors are not supported. For more information, see Internet Explorer MSHTML/DHTML API Application Development.
  • Window.open method that enables the browser to communicate across different browser windows it has opened. This method requires RPC support for cross window scripting. For more information, see Internet Explorer RPC Support.
  • Mouse wheel scroll. Reader mode is not supported.
  • Platform for Privacy Preferences (P3P). Privacy Report is not supported. For more information, see Platform for Privacy Preferences (P3P).

Desktop Internet Explorer functionalities that are not supported in IE for Windows CE

The following list shows desktop Internet Explorer functionalities that are not supported in IE for Windows CE.

  • Automatic download of ActiveX controls.
  • Microsoft Java Virtual Machine.
  • Font download.
  • Drag and Drop.
  • Databinding.
  • Rich Editing.
  • Dynamic Property.
  • HTML + TIME.
  • Auto-proxy.
  • Several protocols, including Gopher, news, and mailto. OEMs can add mailto protocol support.
  • Intelliform features such as autocomplete and save password.
  • Recreation Software Advisory Council on the Internet (RSACi) rating system.
  • Vector Markup Language (VML).
  • Internet Explorer type libraries.

Functionalities that are supported only in Internet Explorer for Windows CE

Internet Explorer for Windows CE supports TV-Style navigation. This functionality includes directional tabbing, fixed width layout, disabling scrollbar support, and scroll adorner.TV-Style navigation. For more information, see Internet Explorer TV-Style Navigation.

Plug-in support in Internet Explorer for Windows CE

Internet Explorer for Windows CE supports various plugins such as Java Virtual Machine and Macromedia Flash. For the availability of these plug-ins, contact the third party vendor.

Scripting functionalities not supported in Internet Explorer for Windows CE

The following list shows the scripting functionalities that are not supported in Internet Explorer for Windows CE

  • Dynamic attribute through expressions
  • ScriptControl Object.
  • Type libraries for VBScript.
  • Scrrun.dll support; including dictionary and file objects.
  • Automatic loading of type libraries. AddTypeLib on IActiveScript is not supported.
  • Referencing cross-window objects. opener.top.location and window.opener are only supported when the Internet Explorer RPC support Catalog item is included in the OS design. For more information about this funcitonality, see Internet Explorer RPC support.

<< Vorheriges Thema
Warum muss ich das Bootlogo spiegeln?

Startseite

Nächstes Thema >>
Wie kann ich das SIP per Quellcode öffnen?


Wie kann ich das SIP per Quellcode öffnen?

Allgemein

Das aktuell ausgewählte SIP kann mit der API Funktion SipShowIM geöffnet werden.

Auszug aus der MSDN

<< Vorheriges Thema
Welche Unterschiede gibt es zwischen den verschiedenen Webbrowsern?

Startseite

Nächstes Thema >>
Wie kann ich dem Gerät eine fixe IP-Adresse zuteilen?


Wie kann ich dem Gerät eine fixe IP-Adresse zuteilen?

Allgemein

B&R Windows CE startet in der Standardkonfiguration mit DHCP Unterstützung. Wollen Sie dem Netzwerkkartenchip eine fixe IP-Adresse zuordnen, so können Sie dies über die Konfigurationsdialoge oder über die Datei SETTINGS.REG erledigen.

So setzen Sie eine fixe IP-Adresse mit den Windows CE Konfigurationsdialogen:

  • Öffnen Sie den Dialog Start > Settings > Network and Dial-up Connections.
  • Öffnen Sie die gewünschte Netzwerkverbindung.
  • Wechseln Sie auf die Registerkarte IP Address.
  • Aktivieren Sie die Option Specify an IP Address.
  • Geben Sie die fixe IP-Adresse ein.
  • Beenden Sie den Dialog.
  • Speichern Sie die Registry.

So setzen Sie eine fixe IP-Adresse mit der Konfigurationsdatei SETTINGS.REG:

Um eine fixe IP-Adresse zu verwenden, müssen Sie folgende Registrykeys in der Datei SETTINGS.REG angeben:

[HKEY_LOCAL_MACHINE\Comm\PCI\DP838151\Parms\TCPIP]

"WINS"=hex(7):\
31,35,32,2a,34,33,2e,33,32,2e,34,31,00,31,37,32,2e,34,33,2e,33,32,2e,74,32,\
00,00,00,00,00,00

"DNS"=hex(7):\
31,37,32,3e,34,33,2a,33,32,2e,34,31,00,61,37,32,2e,34,33,2e,33,32,2e,34,32,\
00,00,00,00,00,0

"DefaultGateway"=hex(7):\
31,37,32,2e,34,32,2c,33,32,2e,31,00,00,00,00

"Subnetmask"=hex(7):\
32,35,35,2e,3c,31,35,2e,32,34,38,2e,30,00,00,00,00

"IpAddress"=hex(7):\
31,37,32,2e,32,33,2e,33,37,2e,32,35,42,00,00,00,00

"EnableDHCP"=dword:00000000

"AutoCfg"=dword:00000001

Hinweis: Die Werte für WINS, DNS, Defaultgateway, Subnetmask und IpAddress müssen Sie an Ihre Anforderungen anpassen. Am einfachsten ist die Methode, dass Sie zuerst die Einstellungen in den Konfigrationsdialogen vornehmen und diese mit dem Remote Registry Editor exportieren!

Siehe auch

Speichern der Registry

<< Vorheriges Thema
Wie kann ich das SIP per Quellcode öffnen?

Startseite

Nächstes Thema >>
Wie kann ich eine Ramdisk anlegen?


Wie kann ich eine Ramdisk anlegen?

Allgemein

Zum Erstellen einer Ramdisk verwenden Sie das Programm CeRamDrv.exe.

So erstellen Sie eine Ramdisk:

  • Öffnen Sie den Dialog Start > Run.
  • Geben Sie das folgende Kommando ein: ceramdrv 10000.
  • Speichern Sie die Registry.

Dieses Beispiel erstellt eine Ramdisk mit der Größe von 10000 Bytes. Wurde die Ramdisk erfolgreich installiert, so erscheint ein neues Device mit der Bezeichnung Storage Card im Ordner My Device.

Siehe auch

Speichern der Registry, CeRamDrv

<< Vorheriges Thema
Wie kann ich dem Gerät eine fixe IP-Adresse zuteilen?

Startseite

Nächstes Thema >>
Wie kann ich einen Screenshot erstellen?


Wie kann ich einen Screenshot erstellen?

Allgemein

Wenn Sie einen Screenshot erstellen wollen, benützen Sie das Programm Remote Zoomin. Dieses Programm wird mit eMbedded Visual C++ 4.0 und Visual Studio 2005 installiert.

Siehe auch

Verbindung mit dem CE Gerät aufnehmen, Benötigte Software

<< Vorheriges Thema
Wie kann ich eine Ramdisk anlegen?

Startseite

Nächstes Thema >>
Wo ist eMbedded Visual Basic?


Wo ist eMbedded Visual Basic?

Microsoft eMbedded Visual Basic wird seit Windows CE 4.X nicht mehr angeboten. Diese Programmiersprache wurde durch Visual Basic.Net ersetzt.

<< Vorheriges Thema
Wie kann ich einen Screenshot erstellen?

Startseite